2009/07/27 19:06:48  phil
Fixed the super-type of QGLContext because it takes part in parent/child
relationships.
Released as v4.5.4.


2009/07/27 14:28:13  phil
Released as v4.5.3.


2009/07/24 17:26:52  phil
Fixed the highlightedtextedit.py example.
configure.py gives precedence to the directory containing sip.h to that
containing Python.h (as the latter may include a distro supplied sip.h).


2009/07/20 11:38:56  phil
QVariant.toPyObject() now recurses through any collections.


2009/07/20 10:33:01  phil
Fixed a problem where None wasn't being interpreted as an invalid QVariant.


2009/07/17 13:14:11  phil
Cleared a benign exception raised with bound signals that numpy was noticing.


2009/07/14 14:29:43  phil
Released as v4.5.2.


2009/07/12 18:38:09  phil
Added the two QImage ctors that take non-const data as a void *.


2009/07/12 18:16:59  phil
Added a missing /Transfer/ from QTableWidget.setItemPrototype().


2009/07/12 18:05:50  phil
Fixed a bug in the chart.py example.
Added support for QHeaderView to pyuic.
Fixed support for stretch in a layout containing widgets in pyuic.


2009/07/09 16:55:29  phil
Fixed bugs in the conversions of QVariantList, QVariantMap and QVariantHash.


2009/07/06 16:13:51  phil
Fixed a pyuic regression when populating a QTreeWidget.


2009/07/03 16:15:00  phil
Fixed a problem converting large 32 bit unsigned values to a QVector.


2009/07/03 14:09:09  phil
Added support to pyuic for stretch in box layouts.


2009/06/27 16:04:40  phil
Fixed a problem setting a QVariant property.


2009/06/27 15:49:03  phil
Allow QVariant to be used as a property type.


2009/06/27 13:05:32  phil
Added the QAxContainer module to the GPL package as it's now included in the
LGPL Qt v4.5.2.
Fixed the webbrowser.py example.
Added a workaround to a qmake regression in Qt v4.5.2 when building static
libraries.


2009/06/26 17:40:39  phil
Fixed the license checks for Qt v4.5.2.


2009/06/24 11:39:15  phil
Any Python object can now be supplied when a QVariant is expected.  None is
interpreted as an invalid QVariant.


2009/06/23 22:23:03  phil
Fixed a regression in converting Python objects to QVariant containers.


2009/06/22 20:15:06  phil
Fixed the locale independent upper-case conversion regression in pyuic
introduced when porting to Python v3.


2009/06/22 18:59:20  phil
Fixed a pyuic bug handling spacers in QFormLayouts.


2009/06/16  9:32:22  phil
Released as v4.5.1.


2009/06/16  9:21:01  phil
Only convert exact dicts to a QVariantMap and back and not dict sub-classes.


2009/06/14 14:57:37  phil
Removed an assertion when building dynamic meta-objects, instead just ignore
the attribute if it doesn't have the expected type.


2009/06/13 11:29:17  phil
Fixed the handling of QWizard by pyuic.


2009/06/12 17:28:44  phil
Changed the SIP dependency to v4.8.1 (not necessary but we don't want it to
survive in the wild).
Changed the roadmap to show how incompatible APIs will be selected.


2009/06/12  9:09:41  phil
Fixed __str__ for QByteArray for Python v3 so it is consistent with Python v2.


2009/06/12  8:23:23  phil
Reverted the roadmap change about __hash__ being an incompatibile change.  The
issue isn't that the hash function has changed (which isn't considered a
compatibility problem) it's that different objects that previously had a
different hash value (based on their id()) now might have the same hash value.


2009/06/11 22:16:19  phil
Updated the roadmap to show that the __hash__ additions (including QUrl) are
not now considered incompatible changes.


2009/06/11 14:20:11  phil
Removed the Python v3 buffer protocol support for QString.


2009/06/09 22:25:27  phil
Improved the implementation of the Python v3 buffer protocol for QByteArray.


2009/06/09 17:42:14  phil
Fixed a pyuic problem with Python v3 when setting the tab order.


2009/06/09 16:41:36  phil
Added /Transfer/ to QComboBox.setLineEdit().
Added /KeepReference/ to setValidator() and setCompleter() for QLineEdit and
QComboBox.


2009/06/09 16:04:50  phil
Added the missing setCoordinateMode() and coordinateMode() methods from
QGradient.


2009/06/05  9:40:16  phil
Released as v4.5.


2009/06/04 22:36:11  phil
Another (final) go at fixing QAbstractItemModel.createIndex().


2009/06/04 21:38:38  phil
Changed the implementation of QModelIndex.internalId() to match that of the
id() builtin - and let Python handle the portabilty issues.


2009/06/04 18:05:02  phil
Removed the /KeepReference/ annotation from QAbstractItemModel.createIndex()
as the extra reference should really be associated with the returned
QModelIndex.


2009/06/04 14:53:46  phil
Hopefully finally fixed QModel.internalId() and
QAbstractItemModel.createIndex() for all platforms.


2009/06/03 22:29:54  phil
Treat QModelIndex.internalId() and a quint64 rather than qint64.


2009/06/03 17:12:23  phil
Use the Qt v4.2.0 and later version of QAbstractItemModel.createIndex().


2009/06/01 14:31:16  phil
Backed out QFlags.testFlag() because of some problem with PyKDE4 (and no time
to investigate further).


2009/06/01 10:17:36  phil
QVector<unsigned> now creates Python long objects to ensure values stay
unsigned on 32 bit systems.


2009/05/29 16:04:00  phil
Eliminated more warning messages.


2009/05/29 12:56:59  phil
Eliminated some compiler warning messages - particularly for Python v2.4.


2009/05/27 22:59:18  phil
Added the graphicssystems plugins to the Windows installer.


2009/05/27 13:25:58  phil
Some fixes for the OpenGL examples from Francis Cho.


2009/05/26 23:42:52  phil
Added support for QWizard and QWizardPage to pyuic.


2009/05/26 15:15:30  phil
Added the missing QFlags.testFlag().
Added a convenience QFlags(int) ctor.


2009/05/26 12:55:34  phil
Expanded the documentation describing the slight changes in QVariant handling.


2009/05/26 11:53:15  phil
Added the /KeepReference/ annotations to all methods that set factories,
delegates or icon providers.


2009/05/25 18:29:13  phil
Removed the unused installers and build documentation.
Moved from __nonzero__ to __bool__.


2009/05/20 11:27:41  phil
QVariant.toPyObject() now raises an exception if the QVariant is invalid.


2009/05/18  0:14:02  phil
Fixed a deadlock between the GIL and Qt's internal thread mutex when a slot
proxy is calling QObject::sender() while holding the GIL.


2009/05/17 17:19:37  phil
Fixed a typo in pyuic in the handling of filter plugins.


2009/05/17 16:54:14  phil
Added the fetchmore.py example from Darryl Wallace.


2009/05/07 14:52:50  phil
Fixed the new qtdemo for OS/X.


2009/05/06 20:44:44  phil
Removed a couple of compiler warning messages.


2009/05/06 15:00:47  phil
Fixed a configure.py bug that meant the DBus detection was broken.


2009/05/04 19:02:00  phil
Fixed bugs in the Designer plugin example widgets introduced when converting to
the new signal API.


2009/05/04 16:49:16  phil
Fixed a silly configure.py bug related to the new -py3 pyrcc flag.


2009/05/04 15:49:09  phil
Had second thoughts about pyrcc4 and added the -py2 flag and made it the
default.


2009/05/04 15:26:51  phil
Added support for QT_TR_NOOP_UTF8 to QtCore and pylupdate4.


2009/05/04 13:55:20  phil
Various Windows installer fixes.
The new qtdemo example now works with Python v3.


2009/05/02  9:53:03  phil
Added some unit tests that (hopefully) prove that the recent Chimera changes
don't affect Python sub-classes.


2009/05/01 15:30:21  phil
Chimera now handles all QWidget and QObject sub-classes as QWidgetStar and
QObjectStar (not just QWidget and QObject themselves).


2009/05/01 14:13:20  phil
Reinstanted QString(const QByteArray &) now that a QByteArray isn't
automatically converted to a QString.


2009/05/01  9:39:52  phil
In Python v3, Chimera now handles bytes and bytearray objects as QByteArrays
rather then QStrings.


2009/04/30 22:11:06  phil
Explicity set %DefaultSupertype in each module now that it doesn't affect
importing modules.


2009/04/30 18:01:44  phil
Fixed the issue with Assistant and the new qtdemo.
Fixed some of the example READMEs to make sure they had at least three
interesting paragraphs.
Removed the old qtdemo.
Added the new addressbook tutorial.
Removed the old tutorial.
Fixed some GIL issues when creating PyQtProxy instances.


2009/04/29 17:14:47  phil
Latest qtdemo patch from Grissiom.
qtdemo animation fix from me.


2009/04/28 22:20:14  phil
Some updates to the Windows installer.
More qtdemo fixes - everything now seems to (sort of) work.


2009/04/27 20:42:53  phil
Updated the roadmap to remove QByteArray from the list of classes to be removed
in the v2 API.  If it was removed then we couldn't implement the different
QSvgRenderer ctors (for example).


2009/04/27 20:35:19  phil
Revised the automatic conversions for QString and QByteArray.  See QByteArray's
%ConvertToTypeCode for a full explanation.
Reverted the changes to the ordering of methods of QSvgRenderer and QSvgWidget
as the above changes should be the proper fix to the underlying problem.


2009/04/27 15:31:12  phil
Fixed a problem with short-circuit signals where the wrong one might be found
when more than one with the same signature appeared in an object hierachy.


2009/04/26 14:03:31  phil
Added the /KeepReference/ annotation to the setItem() and setTimeLine() methods
of QGraphicsItemAnimation.


2009/04/25 18:55:48  phil
Fixed the build in the case where the sip.h file is installed in a non-standard
directory.


2009/04/25 18:42:19  phil
More new qtdemo fixes - the basic animation and menu display now seems to work.


2009/04/25  9:48:42  phil
New qtdemo patch from Grissiom.


2009/04/24 16:22:22  phil
The qpy libraries now respect the debug flag when building.


2009/04/24 10:07:08  phil
Updated for Qt v4.5.1.


2009/04/24  9:46:00  phil
Some more qtdemo fixes.


2009/04/23 16:40:54  phil
Fixes for the new qtdemo example from Henning Schroeder and Matthew Smith.


2009/04/22 21:16:33  phil
Added the translated (but not debugged) new qtdemo example.


2009/04/19 15:05:40  phil
Fixed a bug with the handling of flag types, particularly when emitted as a
signal argument.


2009/04/14 17:23:08  phil
Explicitly disallow connecting a signal to itself because Qt doesn't handle it
gracefully.


2009/04/12 12:01:09  phil
Fixed the protected methods of QGraphicsItemAnimation which were incorrectly
identified as signals.


2009/04/11 14:09:38  phil
Fixed a bug in the parsing of string arguments to pyqtSignal().


2009/04/10 17:59:26  phil
Updated all the network examples.


2009/04/10 14:08:57  phil
Updated the mainwindows examples.


2009/04/09 22:43:30  phil
Updated the layouts examples.


2009/04/09 18:34:36  phil
Updated all of the OpenGL examples.


2009/04/09 16:08:44  phil
Updated the rest of the painting examples.


2009/04/09 13:55:11  phil
Added a whole load of signals missing from QAbstractItemModel.


2009/04/03 22:06:00  phil
Updated the basicdrawing.py and svgviewer.py examples.


2009/04/03 16:55:25  phil
Fixed a couple of Python v3 porting issues with pyuic.
Updated the pyuic examples.


2009/04/03 14:51:54  phil
Updated the SQL examples.


2009/04/03 14:07:18  phil
Updated the threads examples.


2009/04/02 18:13:46  phil
Redid the translation methods to honour the Qt encoding.
Completed the port of pyuic to Python v3.


2009/04/02 10:27:35  phil
Restructured the pyuic port support.


2009/04/01 19:22:39  phil
More porting of pyuic to Python v3.


2009/04/01 15:07:42  phil
Fixed support for signals with non-signal overloads (eg.
QNetworkReply.error()).


2009/03/31 18:12:19  phil
Updated the QGraphicsView examples.


2009/03/31 14:16:24  phil
Added the QPyTextObject class to allow new types of text object to be defined
in Python.
Added the textobject.py example.
Reordered some methods in QSvgRenderer so that QByteArray arguments are handled
properly.


2009/03/31 12:02:08  phil
Updated the drag-and-drop examples.


2009/03/30 19:57:10  phil
Implemented the Python v3 buffer protocol for QString.


2009/03/30 18:04:22  phil
Updated the rich text examples.


2009/03/30 12:28:38  phil
Updated the documentation regarding QStrings and automatic conversions.
Allow a Latin-1 unicode object to be used when a QByteArray is expected for
Python v2.
Switched the order of the QSVGWidget.load() overloads.


2009/03/28 23:25:50  phil
Added the /KeepReference/ annotation to every call to setModel() (or similar).
Added the editabletreemodel.py example from Cyril Romain.
Updated all the item views examples.


2009/03/28 11:19:00  phil
Fixed MacOS/X universal builds for Intel.


2009/03/27 23:08:57  phil
More pyuic refactoring.
Removed the old pyuic tests and started to add new unittest-based ones.


2009/03/27 19:09:14  phil
Started to refactor pyuic to work with both Python v2 and v3.


2009/03/27 15:04:08  phil
Updated the screenshot.py, scribble.py, shapedclock.py, sliders.py,
spinboxes.py, styles.py and tetrix.py examples.


2009/03/27 10:20:28  phil
Updated the digitalclock.py, groupbox.py, imageviewer.py and lineedits.py
examples.


2009/03/26 22:26:40  phil
Switched to the new /Encoding/ annotation.
Updated the analogclock.py, calculator.py and charactermap.py examples.


2009/03/25 11:09:06  phil
Fixed a problem with configure.py getting the user to agree to the license with
Python v3.
Fixed a documentation bug.


2009/03/24 23:32:04  phil
Updated the wiggly.py and windowflags.py examples.


2009/03/24 23:03:13  phil
Updated the tooltips.py example.


2009/03/24 22:37:19  phil
Updated the movie.py example.


2009/03/24 19:13:30  phil
Updated the icons.py example.


2009/03/24 17:37:36  phil
Fixed the storing of flags and enums in a QVariant.


2009/03/24 11:23:40  phil
Updated the remaining dialogs examples.


2009/03/23 20:58:14  phil
QLatin1String will now accept an Python v3 string (so long as it can be
encoded as Latin-1).
Added the classwizard.py example.


2009/03/23 17:49:02  phil
Updated the systray.py example.


2009/03/23 17:28:24  phil
Updated the xml, activeqt and demo examples.


2009/03/23 15:58:03  phil
Reverted the changes that removed the use of sipSelfWasArg in handwritten code.


2009/03/23 12:47:30  phil
Updated the settingseditor.py example.


2009/03/22 21:19:06  phil
A QByteArray can now be used whenever a QString is expected.
Fixed problems with QTextStream.
Updated the codecs.py and regexp.py examples.


2009/03/22 16:32:44  phil
Fixed Python v3 portability issues in the Designer plugins example.
Updated the qtdemo example to the new connection API.


2009/03/21 23:36:36  phil
Added print() and exec() methods to suplement the existing print_() and exec_()
methods for Python v3.


2009/03/20 19:08:02  phil
Fixed some portability issues in the unit tests.  All now run with both Python
v2 and v3.


2009/03/20 18:33:17  phil
Fixed the Python v3 buffer protocol support for QByteArray.


2009/03/20 18:15:46  phil
Added some more /Byte/ annotations to QChar.


2009/03/20 18:10:54  phil
Added /Byte/ to QLatin1Char.


2009/03/20 17:48:24  phil
Applied the new /Byte/ annotation where seemed appropriate.


2009/03/18 21:26:49  phil
More unit test fixes.


2009/03/18 18:41:58  phil
Started to fix the unit tests for Python v3.


2009/03/18 17:15:13  phil
Added Python v3 buffer support for QByteArray.


2009/03/18 15:58:47  phil
Fixed QByteArray.__str__() and QString.__unicode__() for Python v3.


2009/03/18 15:24:33  phil
Added Python v3 support for QObject.trUtf8().


2009/03/17 18:39:17  phil
Some fixes for consolidated module support - nearly working but not quite.


2009/03/17 10:53:16  phil
Changed the build system so that pyrcc4 is run against all the example .qrc
files so that the generated code is correct for the version of Python the user
is using.


2009/03/16 21:01:02  phil
Added the -py2 flag to pyrcc4.
Complete the porting of all handwritten code to Python v3.  Still some rough
edges, but most things seem to work fine.


2009/03/16 14:39:09  phil
Safety commit of the port of the remaining hand-written code to Python v3.


2009/03/15 13:39:19  phil
Ported all the handwritten __repr__ code to Python v3.


2009/03/15 11:39:12  phil
Finished the porting of PyInt_* and Py_TYPE().


2009/03/15 10:00:03  phil
Ported the handwritten code outside of MetaSIP to Python v3.


2009/03/14 22:42:33  phil
More porting of handwritten code to Python v3.


2009/03/14 16:59:26  phil
Started to port the handwritten code to Python v3.


2009/03/14 13:44:27  phil
The build system will now run under both Python v2 and v3.


2009/03/13 11:45:45  phil
Made sure that any class that is involved with parent/child relationships is
derived from sip.wrapper.


2009/03/11 14:04:27  phil
Fixed the handling of proxy signals with const reference arguments.


2009/03/11 12:17:48  phil
Made sure PyQt builds against Python v2.4 by using the new SIP_PYMETHODDEF_CAST
compatibility macro.


2009/03/09 19:15:01  phil
Updated the QAxContainer sub-class code.


2009/03/09 17:40:15  phil
Updated the NEWS file.


2009/03/09 14:36:11  phil
Removed all remaining compiler warning messages.


2009/03/08 21:50:25  phil
Added support for QVariantHash - that completes the updates for Qt v4.5.


2009/03/08 17:26:14  phil
Backed out the support for decorating __init__ with pyqtSlot.  The way that
support for QMetaObject::newInstance() has been implemented is broken as there
is no way for the code that creates the new instance to get access to the
Python type that is to be created.


2009/03/08 15:33:47  phil
pyqtSlot() can now be used with __init__ methods to define new constructors to
Qt's meta-object system.


2009/03/08  0:13:06  phil
Added a missing /Supertype/ annotation from QLayoutItem.


2009/03/07 18:15:59  phil
Added the new QMetaMethod.invoke() methods.
Added the test (but not yet the support for) the new QMetaObject.newInstance().


2009/03/06 18:41:12  phil
Added the QtScriptTools module.


2009/03/06 17:40:57  phil
Updated the QtNetwork sub-class convertor code.


2009/03/06 11:04:11  phil
Finished updating the QtGui module for Qt v4.5.


2009/03/06  9:02:06  phil
More of the QtGui module.


2009/03/05 21:51:35  phil
Updated a bit more of QtGui.


2009/03/05 17:54:37  phil
Updated about a half of the QtGui module for Qt v4.5.


2009/03/05 16:11:48  phil
Updated the QtNetwork module for Qt v4.5.


2009/03/05 12:13:37  phil
Updated the QtWebKit module for Qt v4.5.


2009/03/05 11:23:26  phil
Updated the phonon module for Qt v4.5.


2009/03/05 10:21:05  phil
Updated the QtScript and QtHelp modules for Qt v4.5.


2009/03/05  9:16:17  phil
Updated the QtDesigner and QtXmlPatterns modules for Qt v4.5.


2009/03/04 22:49:54  phil
Converted the phonon examples to the new connect API.


2009/03/04 22:03:02  phil
Updated QtAssistant, QtSvg, QtOpenGL, QtSql, QtTest and QtXml for Qt v4.5.


2009/03/04 18:14:11  phil
Removed some warning messages with some casts.


2009/03/04 17:55:03  phil
Updated QtCore for (the easy bits of) Qt v4.5.
Updated pyuic to handle the Phonon widgets.


2009/03/03 18:34:04  phil
Added the new /KeepReference/ annotation to the methods identified in the
Roadmap.


2009/03/03 14:12:24  phil
Fixes to the new types handling so that the musicplayer example works again.


2009/03/02 20:13:32  phil
Added a missing /Factory/ annotation to QNetworkAccessManager::createRequest().


2009/03/02 20:08:10  phil
Fixed a typo that affected the conversion of long longs.


2009/03/02 11:19:13  phil
Added the unit tests for the new-style signal/slot connections.


2009/03/01 18:32:55  phil
Implemented support for overloaded bound signals.
Updated the roadmap and the documentation.


2009/03/01 13:19:25  phil
Implemented the disconnect() method of bound signals.


2009/02/28 18:34:57  phil
Implemented emit() for bound signals.


2009/02/28 17:34:52  phil
Implemented connect() on bound signals for proxied slots.
Updated the example tutorials for the new connection API.


2009/02/27 18:56:08  phil
The bound signal connect() now handles Qt signals and slots.


2009/02/26 22:08:54  phil
Added most of the argument parsing for the methods ofbound signals.


2009/02/25 22:55:58  phil
Updated the external attribute getter code for the modified API.


2009/02/25 17:44:55  phil
Changes to handwritten code now that only base implementations are called in
generated method code.


2009/02/22 22:53:36  phil
Decided the change the handling of QVariant slightly so that Python sub-classes 
of classes that QVariant supports are wrapped as Python objects so that no
data is lost.


2009/02/22 19:04:36  phil
Completed the implementation of pyqtSignal.
Fixed the signature strings so that they will be correct for connecting
signals.  (Has this changed the QVariant conversion behaviour?)


2009/02/22 13:19:30  phil
Added the stub of the pyqtBoundSignal type.
pyqtSignal will now act as a descriptor and will create pyqtBoundSignal
instances when required.


2009/02/21 11:21:45  phil
The documentation generator now adds a paragraph for default signal overloads.
Changed the order of signals as necessary to ensure the default is sensible.


2009/02/20 18:49:43  phil
Implemented pyqtSignal() (excluding the support for native Qt signals).


2009/02/19 16:29:37  phil
Added the stubs for pyqtSignal.


2009/02/17 10:50:21  phil
Switched to using unicode rather than 'QString' in all type definitions.


2009/02/16 20:39:01  phil
The pyqtSlot() decorator can now be chained.
Added unit tests for QMetaObject.connectSlotsByName().


2009/02/16 16:49:48  phil
Removed the support for the pyqtSignature() API from pyqtSlot().


2009/02/16 15:28:03  phil
Added support for pyqtSlot() and it's type-based API.


2009/02/13 17:05:53  phil
Removed the use of %SIPOptions.


2009/02/13 14:57:16  phil
Fixed reference count bugs in all QList mapped code introduced when adding
support for sequences.
QStandardItem now uses sip.wrapper as its super-type as it has children.


2009/02/12 21:14:09  phil
Removed the last FIXME.


2009/02/12 18:43:51  phil
The results of parsing a list of argument types is now cached.


2009/02/11 23:12:55  phil
Changed Chimera to take the flag flag from the Pyt4-specific type structure.
Changed TypeFlags to PyQt4Flags.
Changed NoQMetaObject to PyQt4NoQMetaObject.


2009/02/11 20:32:26  phil
Removed the need for the wrapped types to be registered with Qt.


2009/02/11 17:52:58  phil
Tidied up the Chimera API a little.


2009/02/07 17:01:11  phil
Moved the implementation of sipAssignType() to PyQt.


2009/02/03 22:28:39  phil
Removed the redundant pysignal() from PyQtProxy.


2009/02/03 17:48:16  phil
Fixed the support for QObject.receivers() and added a test.


2009/02/02 10:55:16  phil
More improvements to the QObject.sender() support.


2009/02/01 17:09:46  phil
Fixed the QObject::sender() support.


2009/01/29 14:43:47  phil
Added the registering of int types from sip.


2009/01/28 22:56:15  phil
The type parsing now uses sipResolveTypedef().


2009/01/28  9:15:59  phil
Removed the internal QCoreApplication.unixSignal().


2009/01/27 17:34:15  phil
Added the QInputContextFactory class.


2009/01/27 11:35:40  phil
Changed the handling of QVariantList and QVariantMap so that they are only used
if the values are explicitly QVariants - Chimera no longer automatically
creates QVariants as necessary.  This is because:

- explicit QVariants were being wrapped inside Chimera-created QVariants
  causing surprising results when it was reversed

- more consistent (but not exactly the same) as existing behaviour

- the conversions now go through what will become version dependent APIs, ie.
  no changes should be needed when the QVariant v2 API is introduced.

There are some changes in behaviour, ie. the type() of the QVariant may be
different in some cases.


2009/01/25 16:51:06  phil
Debugged the latest refactoring - all unit tests now run again.


2009/01/25 14:28:15  phil
Some more renaming of classes.


2009/01/25 13:29:52  phil
Fixed outstanding compilation issues.


2009/01/24 22:20:04  phil
Another safety commit.


2009/01/24 16:32:21  phil
Safety commit of latest refactoring.


2009/01/19 21:00:55  phil
Safety commit of latest refactoring.
The 'result' argument to pyqtSignature() can now be a Python type object as
well as a string.


2009/01/18 17:58:28  phil
Safety commit of the start of the last lot of type conversion code refactoring.


2009/01/16 15:01:41  phil
Fixed a pyuic bug that affected populated model widgets in a main window.


2009/01/16 12:16:48  phil
Fixes for the diagramscene.py example from Lieven Buts.


2009/01/13 22:22:03  phil
Replaced sipFreeConnection() with sipFreeSipslot().


2009/01/13 11:37:07  phil
More refactoring to get rid of sipSlotConnection.


2009/01/12 22:43:10  phil
All the parsing of signatures is now in PyQt.


2009/01/11 17:15:28  phil
Replaced sipConvertRx() with sipConvertRxEx().


2009/01/11 16:28:54  phil
All tests now run again.


2009/01/11 16:03:02  phil
The merged storage code is now debugged.


2009/01/11 12:54:32  phil
Safety commit of merged value storage code.


2009/01/10 17:13:12  phil
Fixed compilation issues with the latest changes.


2009/01/10 16:48:43  phil
Further safety commit.


2009/01/09 19:29:07  phil
Safety commit of partial refactoring of the Qt signal support.


2009/01/09  8:14:37  phil
Added the rest of the signal/slot connection unittests.


2009/01/08 18:25:47  phil
Added the start of the signal/slot connection unit tests.


2009/01/04 22:22:22  phil
Removed the external class references no longer needed by the QVariant
conversion code.


2009/01/04 16:56:22  phil
QVariant now uses ChimeraType for both conversions.


2009/01/04 15:33:46  phil
Converting to a QVariant now uses ChimeraType.


2009/01/03 11:10:34  phil
Specifying a Python long object type now maps to a C++ int (rather than a
qlonglong) so that the behaviour will be consistent with Python3.


2009/01/02 17:07:45  phil
Q_ARG() and Q_RETURN_ARG() now use ChimeraType and allow the "type" argument to
be a Python type object.
Added unit tests for the above functionality.


2009/01/01 23:15:53  phil
Updated the year on copyright notices.
pyqtProperty() will now support any Python or C++ type.


2008/12/31 18:40:59  phil
Safety checkin for the ChimeraType support for pointer classes.


2008/12/31 14:21:31  phil
Extended the unit tests for pyqtProperty() to include pointer-class types (not
yet working).
Added the unit tests for QMetaObject.invokeMethod().


2008/12/30 18:27:13  phil
Debugged the support for pyqtProperty's use of Python type objects.
Added unit tests for the above.
Converted all the examples to use Python type objects rather than names.


2008/12/30 14:12:30  phil
More changes to the ChimeraType.  All unit tests pass again.


2008/12/29 14:31:22  phil
Migrated from sipEnum_* to sipType_*.


2008/12/27 15:48:51  phil
Minor changes needed by SIP renaming pyqt4TypeDef to pyqt4ClassTypeDef.


2008/12/24 23:38:43  phil
Changes caused by not using a PyQt specific type structure for mapped types.


2008/12/24 17:53:34  phil
Changes caused by the removal of the Qt meta-type id from the type structure.


2008/12/24 16:00:44  phil
pyqtProperty now uses ChimeraType.  (Still lots of FIXMEs though.)


2008/12/20 21:17:57  phil
The Qt meta-type id is now held in the PyQt4-specific generated type structure.


2008/12/20 16:44:06  phil
The dynamic meta-object of a Python QObject sub-class is now created when the
type is created rather than lazily when QObject.metaObject() is called.


2008/12/20 13:27:41  phil
Use pyqt4TypeDef instead of sipTypeDef.


2008/12/19 19:15:46  phil
Defined the pyqtWrapperType meta-type as a sub-class of sipWrapper type that
contains the dynamic meta-object for for QObject dereived classes.


2008/12/19 17:20:24  phil
Changed the QObject helpers to use sipTypeDefs rather than sipWrapperTypes.


2008/12/19 11:02:12  phil
Migrated from the deprecated format characters to sipBuildResult(),
sipCallMethod() and sipParseResult().
Removed all remaining uses of sipClass_*.


2008/12/17 22:25:55  phil
Migrated from the deprecated 'C' format character to sipParseResult().


2008/12/17 17:58:34  phil
Removed the uses of sipClass_* in handwritten code that aren't required by the
current SIP API.


2008/12/17 17:30:20  phil
Migrated the sub-class convertor code to use sipType_* rather than sipClass_*.
Changed the super-class of non-QObject derived classes that take part in
parent/child relationships.


2008/12/14 17:01:24  phil
Migrated to sipConvertFromType() and sipConvertFromNewType().


2008/12/14 15:40:05  phil
Migrated to sipForceConvertToType().


2008/12/14 15:03:41  phil
Migrated to sipConvertToType().


2008/12/14 14:18:02  phil
Migrated to the new sipCanConvertToType().


2008/12/13 19:39:42  phil
Migrated to the new sipReleaseType().


2008/12/13 18:50:59  phil
Migrated from sipGetWrapper() to sipGetPyObject().


2008/12/13 18:02:57  phil
More moves from sipClass_* to sipType_*.


2008/12/12 23:50:54  phil
Used the new sipTypePyTypeObject() where appropriate.


2008/12/08 21:03:29  phil
Started the port from sipClass_* to sipType_*.


2008/12/07 17:32:36  phil
Removed the use of the deprecated sipClassName().


2008/12/07 17:02:53  phil
Minor change caused by the removal of sipMappedType from SIP.  PyQt's usage of
it should disappear as the result of future refactoring.


2008/12/06 21:47:59  phil
Fixed bugs in handwritten code related to sip.simplewrapper.


2008/12/06 15:40:40  phil
More changes reflecting the changed SIP meta-type, super-type support.


2008/12/03 22:03:46  phil
Fixes needed by the new sip.simplewrapper.


2008/12/01  8:59:30  phil
More fixes for the super/meta-type support - everything seems to be working
again now.


2008/12/01  1:35:20  phil
Fixed the PyQt specific sub-types so that they don't crash.


2008/11/30 18:49:53  phil
Updated the meta-type and super-type support.


2008/11/29 16:27:13  phil
Updated the metatype stuff to conform to the latest SIP changes.


2008/11/27 22:45:33  phil
Implemented the PyQt-specific metatypes (though they don't do anything
different to the standard one).


2008/11/26 22:39:25  phil
Added the stubs of the PyQt-specific metatypes.


2008/11/23 11:50:13  phil
Fixed bugs in ChimeraType so the tests run again.


2008/11/22 16:59:48  phil
Changes needed by the latest SIP where the strings are now const.


2008/11/22 14:27:02  phil
More on the ChimeraType.


2008/11/18 10:56:44  phil
Safety commit of the developing ChimeraType class.


2008/11/17  9:28:42  phil
Added the stubs for the new type parsing.


2008/11/16 12:53:27  phil
Moved the connectSlotsByName() and pyqtSignature() implementations into the
support library.


2008/11/15 16:51:25  phil
Completed the initial refactoring to split the monolithic QtCore support code.


2008/11/15 16:41:09  phil
More refactoring.


2008/11/15 16:21:36  phil
More refactoring.


2008/11/15 15:03:58  phil
More refactoring.


2008/11/15 14:43:15  phil
More refactoring.


2008/11/15 10:52:36  phil
More refactoring.


2008/11/15 10:33:34  phil
More refactoring.


2008/11/14 18:51:29  phil
More refactoring of the QtCore support code.


2008/11/13 15:57:36  phil
Updated the roadmap.


2008/11/09 22:31:25  phil
Forgot to add the split out QVariant code.


2008/11/09 22:30:34  phil
Refactored the QString and QVariant code.


2008/11/09 17:49:05  phil
Refactored all the Qt signal/slot, metatype, property etc. support into a
separate support library.


2008/11/08 16:22:25  phil
Merged v4.4.4 to the v4 trunk.


2008/11/08 11:51:29  phil
Released as v4.4.4.


2008/11/06 22:37:29  phil
Added a workaround for an obscure typedef-related SIP bug triggered by QAxBase.


2008/11/01 19:32:47  phil
Updated the NEWS file.


2008/11/01 16:10:27  phil
Updates to the installers.


2008/10/31 23:51:44  phil
Changed all uses of sequences to explicitly use PySequence_Check() as
PySequence_Size() returning a valid value may not be sufficient (eg. sets).


2008/10/29 20:59:29  phil
PyQt should now compile against Stackless.
More fixes for the GPL installer related to setting PATH and non-admin
installs.


2008/10/26 17:05:00  phil
Updates to the GPL installer so that it uses the correct path in pyuic4.bat and
may work better with non-administrator installs.


2008/10/26 13:03:03  phil
Fixed a pyuic bug caused by a widget being called "_name" in the .ui file.


2008/10/26 11:10:46  phil
The configuration of the Designer plugin now uses exec_prefix rather than
prefix.
Added the --no-designer-plugin option to configure.py.


2008/10/24 19:03:54  phil
Fixed a bug in pyqtProperty() where the name of the setter wasn't being
properly checked to see if it follows the Designer naming standard.


2008/10/22 17:53:38  phil
Added a missing /Constrained/ from the first QVariant ctor needed by the new
SIP enum handling.


2008/10/20 10:27:13  phil
Fixed a bug in pyuic's handling of QFormLayout when a layout is being set in a
role rather than a widget.


2008/10/18  2:50:48  phil
Completed the roadmap.


2008/10/17 19:26:15  phil
Added the missing Windows and Mac versions from QSysInfo.
Added more to the roadmap.


2008/10/17 13:40:23  phil
Renamed the TODO list.


2008/10/16 22:16:43  phil
Updated the TODO list.


2008/10/14 10:52:41  phil
Added the /Constrained/ enum annotations required by the latest SIP.


2008/10/12 13:07:00  phil
More changes to QVariant to further minimise the changes from previous
versions.


2008/10/11 21:23:06  phil
Updated the docs regarding the slightly changed QVariant behaviour.


2008/10/07 23:51:08  phil
Added support for qreal being implemented as either a float or a double.


2008/10/07  6:42:50  phil
QSizeGrip support is now determined by configure.py.


2008/10/05 14:46:00  phil
Fixed QDesktopServices.setUrlHandler() so that it works the same as the C++
implementation but also accepts a method that is a slot of a QObject.


2008/10/05 11:55:35  phil
Backed out the explicit support for the QList<QVariant> and
QMap<QString, QVariant> mapped types as they break backwards compatibility.


2008/10/02 10:45:47  phil
Fixed a pyuic bug handling empty icon sets.


2008/10/01 12:04:58  phil
Added the unit tests for QVariant.


2008/09/28 23:30:16  phil
Added the unit tests for __pyqtSignals__ and pyqtSignature().


2008/09/27 22:25:20  phil
Added the unit tests for pyqtProperty.
Python integer objects will now be stored as int types in QVariant where
possible (rather than qlonglong) so that enums are stored as ints.


2008/09/26  8:42:26  phil
Added data() (returning a void *) to QXmlAttributes, QPolygon and QPolygonF.


2008/09/25 18:39:10  phil
Updated the unit test framework and started to add the ad-hoc tests to it.


2008/09/21 13:00:08  phil
Updated the docs relating to QVariant and Python objects.
Removed the QMetaType.type() overload as it is now completely broken.  Strictly
speaking this breaks backwards compatibility but it was present for such a
short period of time that nobody should miss it.


2008/09/18 23:19:36  phil
Updates to the GPL installer for Python v2.6.


2008/09/18 19:57:14  phil
Switched the internal build system to Qt v4.4.2.


2008/09/16 22:59:52  phil
No, it should have been SIP v4.7.8 that is now required.


2008/09/16 18:45:51  phil
SIP v4.7.7 is now required.
The QVariant support will now use the correct C++ type name when seeing if it
is aleady registered.


2008/09/15 20:41:05  phil
Removed a compiler warning message with Python v2.6rc1.
pyuic4 uses the set builtin rather than the sets module where possible to avoid
deprecation warnings with Python v2.6rc1.


2008/09/15 19:46:27  phil
Added the missing sub-class convertor code that handles QGraphicsScene events.


2008/09/11 22:31:07  phil
Implemented the enhanced support for converting QVariants back to Python
objects - but completely untested.


2008/09/11 21:25:05  phil
Further changes when creating a QVariant.  Converting back to a Python object
is still broken.


2008/09/08 10:47:07  phil
Reimplemented the conversions to QVariant to ensure any Python object can be
converted (and to a C++ instance where possible).  (I will probably take this a
little further.)


2008/09/03  9:37:59  phil
QVariant() and QVariant.toPyObject() will now handle non-Qt wrapped types
properly.


2008/09/02 14:42:33  phil
Fixed a bug handling of non-Qt wrapped types by QVariant.


2008/08/27 10:25:28  phil
Fixed bugs in the embeddeddialogs.py and Designer pydemo.py examples.


2008/08/24 19:12:58  phil
pyuic will now complain if it finds a custom widget header file name that
contains '..'.


2008/08/24 18:23:04  phil
Added %MethodCode for QKeySequence::operator[] to do bounds checking so that
iterating over an instance works properly.  Also added Pythonic handling of
negative indices.
Reviewed all other operator[] implementations and adopted the same code
skeleton.


2008/08/08 15:06:03  phil
Released as v4.4.3.


2008/08/07  9:30:41  phil
Added the missing /Transfer/ annotations to the setVerticalHeader() and
setHorizontalHeader() methods of QTableView.


2008/08/04 14:41:28  phil
Fixed the problems with the old documentation system by removing the dependency
on ElementTidy.


2008/08/03 17:45:28  phil
The new documentation system now generates the main index page.


2008/08/03 11:44:43  phil
Implemented the WebXML parsing infrastructure.


2008/08/02 22:48:50  phil
More work on the XHTML renderer.


2008/08/02 19:18:55  phil
Updated qdoc3 from Qt v4.4.1.
Added the XHTML rendering stubs.


2008/08/02 17:17:19  phil
Updated the NEWS file.
More work on the new documentation system (unpacking source packages).


2008/07/31 22:15:28  phil
Fixed the current documentation system for Qt v4.4.1.


2008/07/31 15:18:00  phil
Added support for Qt v4.4.1.


2008/07/31 13:05:34  phil
More work on the new documentation system.


2008/07/29 22:59:11  phil
Added the start of the new documentation system.


2008/07/23 16:17:19  phil
Updates to the evaluation version installer.


2008/07/23 13:45:10  phil
Applied a patch from Giovanni Bajo (submitted over a year ago!) for handling
UTF-8 Python source containing UTF-8 literal strings.


2008/07/22 16:23:04  phil
Fixed a pyuic bug handling the widget of a QScrollArea.


2008/07/05 18:44:30  phil
Fixed a bug in pyuic that was triggered by layouts with items appearing before
widgets with items.


2008/06/27 18:50:54  phil
A QChar can now be used whenever a QString is expected.
Removed a number of methods (mostly in QString) that are now redundant.
Reordered a couple of other methods to make sure the QChar version takes
precedence where the underlying C++ code doesn't simply treat the QChar as a
QString of length one.


2008/06/27 15:00:50  phil
All read related methods that take a maximim read length will now raise an
exception if the length is negative.


2008/06/23 11:41:30  phil
Fixed a pyuic bug where the icon cache wasn't handling icons with no roles
defined.


2008/06/23  9:19:46  phil
Fixed a pyuic bug handling strings containing double quotes.


2008/06/20 23:02:46  phil
Fixed a bug with the way pyuic handles QComboBox icons.


2008/06/12 14:57:24  phil
Fixes to the GPL installer so that it will update PATH properly on uninstall
for the current user.


2008/06/12 13:31:54  phil
Fixed a number of __delitem__ bugs propagated by cut & paste.


2008/06/11 22:45:38  phil
The Windows installer now tries to update PATH for all users then tries for the
current user if that fails.  Everything is now stored in the PyQt4 directory in
site-packages.
Fixed the internal build system to use a local Python interpreter to create the
documentation because Ubuntu's elementtidy is broken.


2008/06/11 14:37:12  phil
pyuic no longer passes the QDockWidget as the parent of the widget being placed
in the dock (to be consistent with uic).


2008/06/10 18:11:35  phil
Fixed a regression in the QList conversion code for lists of ints and doubles.


2008/06/07 19:27:26  phil
Changed all handwritten code that accepts a list or tuple to accept a sequence.


2008/06/07 18:33:29  phil
Updated all relevant handwritten code to use SIP_SSIZE_T.


2008/06/01 13:08:20  phil
Some minor fixes to the dragdroprobot.py example.


2008/06/01 13:02:13  phil
Replaced the QVariant ctor that took a QVariantList argument with the
fromList() static method.
Replaced the QVariant ctor that took a QVariantMap argument with the fromMap()
static method.
The above changes ensure that an empty Python list and dictionary will always
be handled as a Python object.


2008/05/31 23:41:28  phil
Went through the pyuic support for list, table and tree widgets to make sure
they match the current uic behaviour.
Added an icon cache to pyuic so that icons are only created once if they are
used in several places.


2008/05/30 19:22:03  phil
The QVariant ctor that takes a QStringList is not constrained.
Ensured that the QVariant ctor that takes a Python object moves on to the next
signature if it finds it has a wrapped type.


2008/05/29 21:27:44  phil
Added the embeddeddialogs.py and padnavigator.py examples from Igor
Prischepoff.


2008/05/27 18:15:13  phil
Added support for QFormLayout to pyuic4.


2008/05/26  9:43:18  phil
Renamed the print() method of QWebView to print_().


2008/05/23 21:17:27  phil
Fixed a build problem with versions of Qt prior to v4.4.0.


2008/05/20 22:29:28  phil
Tweak to the text in the GPL installer.
Another fix to the icon handling in pyuic4.
Released as v4.4.2.


2008/05/20 16:58:18  phil
Released as v4.4.1.


2008/05/19 15:09:26  phil
More fixes for the GPL installer.
More fixes for subprocess in configure.py.


2008/05/19 10:08:15  phil
Removed the use of deprecated modules from configure.py.


2008/05/18 23:58:13  phil
Changed the GPL installer so it will be possible have concurrent installations
for different versions of Python.


2008/05/18 18:36:21  phil
Tweaked the qtdemo.py example.


2008/05/18 17:42:33  phil
Updated the GPL installer.


2008/05/18 12:11:03  phil
Fixed QMetaType.QTransform as it first appeared in Qt v4.3.


2008/05/17 18:41:42  phil
Fixed pyuic4's handling of layout names.
Fixed pyuic4's handling of the geometry of the main widget.


2008/05/17 17:53:58  phil
Fixed pyuic4 QIcon handling for Qt v4.4.
Added some missing widgets to pyuic4.


2008/05/17 14:57:53  phil
Fixed the breakage of QMetaObject.connectSlotsByName() when used with the
pyqtSignature() decorator.


2008/05/16 18:53:10  phil
Added QRunnable and QThreadPool.
Added QGraphicsWidget and QGraphicsProxyWidget to QGraphicsItem's sub-class
convertor code.


2008/05/13 22:59:44  phil
Fixed a bug in the Designer plugin loader that breaks compilation with versions
of Python v2.4.x and earlier that are built with a shared Python library.


2008/05/13 11:04:32  phil
Released as v4.4.


2008/05/13  9:29:43  phil
Fixed the logo in the Designer plugins demo.


2008/05/12 20:00:55  phil
In the demo don't show the documentation button if there isn't any
documentation.


2008/05/12 19:02:56  phil
Added the SIP developers tools to the GPL installer.


2008/05/12 17:39:55  phil
Hacked at qtdemo.py so that it uses QtHelp (because QAssistantClient is broken
in Qt v4.4.0).
Updated the GPL installer now that we aren't going to bundle Qt or 3rd party
tools.


2008/05/11 16:27:39  phil
The document generator now uses Python's elementtree if it is available.


2008/05/09 15:25:32  phil
Updates to the build system for the move to Ubuntu.
Added a missing OpenSSL guard.


2008/05/08 11:04:18  phil
Updated the NEWS file.


2008/05/08 10:58:44  phil
Implemented QScriptEngine.newFunction().


2008/05/07 22:12:11  phil
The meta-type support code now uses the new SIP generated assignment helpers
rather than trying to use the meta-type load and save support (which isn't
available for QScriptValue).


2008/05/05 20:31:55  phil
Some updates for the Windows installers.


2008/05/05 12:02:29  phil
Updated the NEWS file.
Documentation tweaks.


2008/05/05 10:39:04  phil
Small changes to the QMetaObject support to avoid introducing a binary
incompatibility.


2008/05/04 23:49:02  phil
Added support for staticMetaObject for all QObject derived classes.


2008/05/04 13:50:48  phil
Completed the support for QMetaObject::invokeMethod().


2008/05/04 11:49:41  phil
Implemented Q_RETURN_ARG().


2008/05/03 16:15:06  phil
Fixed a pyuic bug loading .ui files containing widgets in namespaces.


2008/05/03 14:51:36  phil
Ensure that a QDataStream cannot use a Python string as its io device.


2008/05/03 14:16:58  phil
Added the tags that should allow building against Qt v4.4 without OpenSSL
support.


2008/05/03 12:29:34  phil
Fixed the bug passing a QString to Q_ARG().


2008/05/03  1:32:57  phil
Fixed the problem of Python slots (ie. decorated with pyqtSignature())
returning Qt classes.


2008/04/29 23:34:34  phil
Updates for the final release of Qt v4.4.


2008/04/28 21:46:01  phil
Added support for QMetaObject.invokeMethod() and Q_ARG().  No support yet for
Q_RETURN_ARG().


2008/04/28 14:21:25  phil
Fixed a pyuic problem handling C++ namespaces in widget classes.


2008/04/27 15:17:49  phil
The QVariant() ctor that takes a Python object now automatically registers the
Python type of the object.
QVariant.toPyObject() now returns NotImplemented when it can't convert (instead
of raising an exception).
Implemented QMetaType.type() (and others) and overloaded it to handle a Python
type object.


2008/04/24 16:46:40  phil
Added support for QVariant containing a Python object via a new ctor and the
toPyObject() method.


2008/04/24 10:22:04  phil
Added the pyuic plugin for QtWebKit.


2008/04/24  9:59:09  phil
Fixed a pyuic regression introduced when changing the indentation code.


2008/04/23 12:07:00  phil
Resolved all outstanding issues wrapping Qt v4.4rc1.


2008/04/21 18:48:36  phil
Completed the wrapping of QScriptEngine.


2008/04/21 17:54:37  phil
Added a paragraph to the documentation covering QtWebKit integration.


2008/04/21 17:24:46  phil
Added support for (in theory) any slot result type.


2008/04/21  0:01:02  phil
Implemented basic support (ie. C++ int only at the moment) for slot return
values.


2008/04/20 22:38:31  phil
pyqtSignature() supports keyword arguments including an optional "result"
argument that allows the signature to have a return type.


2008/04/20 11:34:38  phil
Finished the support for QGraphicsProxyWidget.


2008/04/19 23:21:10  phil
Wrapped the network methods that depended on quintptr.
Wrapped the QApplication methods that needed XEvent.


2008/04/19 16:34:46  phil
Improved the pyuic fix for lines with embedded newlines so that they don't get
indented.


2008/04/19 11:17:18  phil
Wrapped the majority of remaining methods and enum members after feedback from
DavidB.


2008/04/18 18:09:14  phil
Wrapped QPrinterInfo::supportedPaperSizes().


2008/04/18 16:49:20  phil
Wrapped the data() and constData() methods of QSharedMemory.


2008/04/18 16:00:54  phil
Wrapped a few more things that were missed in the first pass through the
documentation.


2008/04/18 14:42:29  phil
Implemented the QHash template (needed by Phonon).
Removed all qHash() wrappers and added a __hash__ slot for all classes that
support qHash().


2008/04/18 11:29:03  phil
Fixed a pyuic bug with strings containing newlines identified by Douglas Soares
de Andrade.
Wrapped the modelData() methods of the Phonon model classes.


2008/04/17 19:05:41  phil
Updated the documentation about sip.voidptr.


2008/04/17 15:39:18  phil
Removed the use of sipMalloc() and sipFree() from all handwritten code.


2008/04/17 14:01:34  phil
Replaced all uses of Py_ssize_t in handwritten code now that we require a
version of SIP where SIP_SSIZE_T is defined.


2008/04/17 12:49:45  phil
Wrapped the remaining Phonon classes.


2008/04/16 20:16:37  phil
Updates to the documentation system. (Phonon could probably do with some more
work.)


2008/04/16 14:34:44  phil
Added more support for phonon - the musicplayer.py example now works.


2008/04/16 10:58:05  phil
Wrapped more of phonon.
Some fixes for musicplayer.py (though not working yet).


2008/04/15 23:44:04  phil
Added the (untested) musicplayer.py example.


2008/04/15 19:53:26  phil
The Phonon capabilities.py example now runs.


2008/04/14  0:12:53  phil
Added the Phonon capabilities example to work out how to wrap the
ObjectDescription template.


2008/04/13 19:17:38  phil
Started to wrap the phonon module.


2008/04/13 17:07:55  phil
Added the QtXmlPatterns module.


2008/04/13 15:27:20  phil
Added support for QtWebKit.


2008/04/12 23:34:01  phil
Completed the support for the QtHelp module.


2008/04/12 10:48:30  phil
Wrapped the QtHelp module (but it isn't built yet).


2008/04/12  0:46:49  phil
Added support for the new QtCore classes in Qt v4.4rc1.


2008/04/11 18:53:29  phil
Added support for the new QtGui classes in Qt v4.4rc1.


2008/04/11 15:37:24  phil
Added support for the new QtNetwork classes.


2008/04/11 12:37:48  phil
The QtDesigner module is now fully ported to Qt v4.4rc1.


2008/04/11 11:12:08  phil
Fully ported the existing QtSvg, QtTest and QtXml classes to Qt v4.4rc1.
Fully ported the existing and new QtScript classes to Qt v4.4rc1.


2008/04/11 10:17:07  phil
Fully ported the existing QtOpenGL and QtSql classes to Qt v4.4rc1.


2008/04/11  9:39:41  phil
Fully ported the existing QtNetwork classes to Qt v4.4rc1.


2008/04/10 22:26:51  phil
The remaining existing QtGui classes are fully ported to Qt v4.4rc1.


2008/04/10 18:36:07  phil
The existing qs*.h QtGui classes are fully ported to Qt v4.4rc1.


2008/04/10 18:14:10  phil
The existing q[f-r]*.h QtGui classes are (almost) fully ported to Qt v4.4rc1.


2008/04/09 18:33:02  phil
Merged the QDataStream.readString() fix from the maintenance branch.
Scanned the QtXmlPatterns headers.


2008/04/09 17:13:48  phil
Added support for the map() and unmap() methods.


2008/04/08  9:42:34  phil
Updated the logo in the documentation.


2008/04/07 16:01:27  phil
The existing q[f-h]*.h QtGui classes are fully ported to Qt v4.4rc1.


2008/04/07  1:33:34  phil
The existing q[d-e]*.h QtGui classes are fully ported to Qt v4.4rc1.


2008/04/06 19:12:11  phil
The existing q[a-c]*.h QtGui classes are fully ported to Qt v4.4rc1.


2008/04/06 18:38:39  phil
QtAssistant is fully ported to Qt v4.4rc1.
The existing QtCore classes are fully ported to Qt v4.4rc1 (with one or two
outstanding queries).


2008/04/06 15:13:40  phil
Merged the 4.3 maintenance branch.


2008/03/28 13:58:11  phil
Added support to pyuic for additional property types (based on a patch from
Vsevolod Novikov).


2008/03/19 19:57:23  phil
Applied a patch from Ulli to ensure that properties appear in the QMetaObject
(and therefore Designer) in the same order as they are defined.


2008/03/07 11:58:10  phil
Added missing /Transfer/ annotations to QItemEditorFactory.
configure.py now offers to display the GPL v2 and v3 licenses.


2008/02/29 18:43:47  phil
Applied the new NoQMetaObject annotation so that the ActiveQt module will build
again on Windows.


2008/02/28 23:15:09  phil
Applied Ulli's patch for property types that are enums in another class
hierarchy.


2008/02/27 18:10:10  phil
Made sure the licenses are up to date compared with Qt - specifically add the
GPL v3.


2008/02/23 14:14:29  phil
Added the port of the diagramscene from Rajeev Sebastian.


2008/02/23 13:49:06  phil
Switched to Qt v4.3.4.


2008/02/15 17:20:13  phil
Added Ulli's port of the Designer multi-page widget plugin.


2008/02/14 18:19:37  phil
Added the PyDateEdit and PyDateTimeEdit Designer plugin example from Ulli.


2008/02/07 11:57:40  phil
Added missing /Transfer/ annotations to QStandardItem.insertRows() and
QStandardItem.appendRows().


2008/01/31 15:21:18  phil
Changed the implementation of qt_metacast() to be consistent with qt_metacall()
etc.


2008/01/30 21:35:45  phil
Upped the SIP minimum version as the qt_metacast() support is needed.


2008/01/30 21:26:42  phil
Removed the QObject.inherits() %MethodCode now that SIP generates
qt_metacast().


2008/01/21 11:33:39  phil
Added Ulli's patch (with minor changes) to add support for DESIGNABLE,
SCRIPTABLE, STORED and USER to pyqtProperty.


2008/01/20 17:44:11  phil
Added the systray example from Daniel Harding.


2008/01/15 18:28:16  phil
Documented that the doc argument of pyqtProperty() should always be passed as a
keyword argument to allow for future expansion of the signature.
Tweaked the layout of the XML in the Designer plugin example to make it
slightly easier to read.


2008/01/11 15:47:27  phil
Fixed a bug in the QVector<QPair<double, TYPE> > type convertor.


2007/12/25 12:13:13  phil
Hopefully fixed a build problem with the __repr__ support when not
concatenating.


2007/12/25 10:10:11  phil
Fixed a problem with the change to QDateTime pickling.


2007/12/24 17:12:56  phil
A pickled QDateTime now saves the time spec. This means that old versions of
PyQt may not handle pickles from newer versions.
Added __repr__ support to QByteArray, QChar, QDate, QDateTime, QLatin1Char,
QLatin1String, QLine, QLineF, QPoint, QPointF, QRect, QRectF, QRegExp, QSize,
QSizeF, QString, QTime, QUrl and QUuid (based on Giovanni's patch).


2007/12/24 12:50:48  phil
Applied Ulli's patch to add the PyQt3 wrapper mode to pyuic4.


2007/12/19 18:06:53  phil
Fixed pyuic logging so that it is isolated from other loggers.


2007/12/19 16:32:27  phil
Fixed support for multiple DBus connections.
Added the test_multibus.py test.


2007/12/11 17:41:53  phil
Added /Transfer/ to the QTextCodec ctor.


2007/12/05 17:34:52  phil
Added support for Qt v4.3.3.
Updated the GPL exceptions.
Released as v4.3.3.


2007/12/05 13:42:45  phil
Released as v4.3.2.


2007/12/05 11:48:16  phil
Added the test case for virtual operators.


2007/12/04 18:10:29  phil
Backed out the recent change that disabled the input hook for Windows2000.  It
turns out the cause of the problem was a conflict (bug?) with PyReadline.


2007/11/30 18:29:25  phil
Hid an internal configuration option.


2007/11/29 17:35:46  phil
The input hook is no longer installed by default on Windows2000 and earlier
because of reported (but not reproduced) performance problems.


2007/11/16 19:41:25  phil
Completely reimplemented the fix for leaking universal slots when the emitter
is not known (ie. QTimer.singleShot()) using the new SIP /SingleShot/ argument
annotation. (SIP v4.7.2 is now required.) The previous fix had problems when
Python objects were being re-created at the same address.
Added the test script that shows a leaking QTimer.singleShot().


2007/11/08  9:48:06  phil
Added the --confirm-license option to configure.py.
Added the test_gc_thread.py test.


2007/10/28 11:35:32  phil
Changed the installers so that msvcp71.dll is installed if needed.


2007/10/28 10:51:13  phil
Universal proxy slots will now be reused when repeatedly connected to the same
Python slot so as not to leak memory in long running code.  The use case is
calling QTimer.singleShot() in a loop.


2007/10/18 10:14:52  phil
Fixed the ownership annotations on all createEditor() methods.


2007/10/16 17:53:30  phil
The class index is now 4 columns rather than 5.
A class's detailed description now says if the class can be pickled.


2007/10/16 14:53:50  phil
configure.py now tells people to re-run it with the --verbose flag.


2007/10/14 16:27:15  phil
More license tweaking.


2007/10/14 16:20:47  phil
Updated the internal build docs now that Qt GPL for Windows supports MSVC.NET.
Changed the GPL license to be the same as Trolltech's exceptions.


2007/10/13 18:11:00  phil
Added the missing private setModel() methods to QListWidget, QTableWidget and
QTreeWidget.


2007/10/10 15:16:43  phil
Various fixes for the tutorial examples.


2007/10/06 17:21:46  phil
pyuic now handles the stdset property attribute properly.


2007/10/04 22:28:42  phil
configure.py no longer parses the Qt header files when trying to find
QT_VERSION and QT_EDITION.


2007/10/04 17:45:35  phil
The cleanup handler used to track QGraphicsScene instances is now on the heap
in order to control if and when it is destroyed.


2007/10/03 19:47:52  phil
Added the new TransferThis function annotation to QObject.deleteLater().


2007/10/03 13:51:15  phil
Switched to Qt v4.3.2.


2007/09/28 17:06:20  phil
Released as v4.3.1.


2007/09/25 14:34:44  phil
The Windows mega package should now support the ODBC driver (untested).
Updated the NEWS file.


2007/09/21 10:58:40  phil
Added the dragdroprobot.py example from Lieven Buts.


2007/09/19 22:52:55  phil
pyuic4 change to support numeric toolbar areas that Designer v4.2 seems to use.


2007/09/19 16:22:24  phil
Fixed a silly missing increment in the new proxy code.


2007/09/19 14:03:11  phil
Replaced the single linked list used to store the different types of
signal/slot proxies with three hashes.


2007/09/18 20:32:02  phil
Some slight refactoring of the signal/slot proxy code in anticipation of making
the searching of proxies much faster.


2007/09/13 18:55:21  phil
New version of sandbox.pyw from Mark.
pyuic4 fix from Ulli for a problem with (for example) QScintilla.


2007/09/05 11:03:20  phil
Updated sandbox.pyw from Mark.
The locker classes now unconditionally release the lock in the __exit__()
method.  This avoids a potential deadlock when the 'as' clause is used in a
'with' statement.


2007/09/01 12:32:07  phil
The PyQtProxy mutex is now allocated on the heap as part of the module
initialisation to ensure that Qt's static initialisation is complete
beforehand.


2007/08/30 10:16:05  phil
Updated sandbox.pyw from Mark.


2007/08/29  9:30:57  phil
Updated sandbox.pyw from Mark.


2007/08/28 18:43:13  phil
Added the pyqtRemoveInputHook() and pyqtRestoreInputHook() functions to the
QtCore module.


2007/08/28  9:26:14  phil
Updated sandbox from Mark.


2007/08/27 10:39:27  phil
Updated sandbox from Mark.


2007/08/26 17:09:47  phil
A QGraphicsScene instance is now guaranteed to be destroyed before the
QApplication instance.  This should avoid apparently random crashes when an
application that has parentless QGraphicsScene instances terminates.


2007/08/26 12:33:13  phil
The input hook now checks if the current thread is the one in which the
application object was created.
Added sandbox.pyw from Mark Summerfield to the contrib directory.


2007/08/16 17:07:24  phil
Fixed the ordering of the QKeySequence ctors and removed a couple that have
been superceded by QKeySequence convertor code.


2007/08/13 21:56:33  phil
Explicitly pass the dest argument to all calls to add_option() in configure.py.
(It looks like it might be needed for old versions of Python, ie v2.3.x.)


2007/08/11 19:15:45  phil
Change to pyuic to treat property names correctly irrespective of the current
locale.


2007/08/10 12:23:47  phil
Fixed pyuic bugs related to QUrl properties and adding QToolBars.


2007/08/08 16:33:22  phil
Fixed the hellogl.py example.


2007/08/07 14:31:30  phil
Switched to Qt v4.3.1.


2007/08/07 12:19:09  phil
Added the missing winEvent() to QSizeGrip and QWizard (Windows only).


2007/08/04 18:16:09  phil
Added missing /Transfer/ annotations from QToolBar.addWidget() and
QToolBar.insertWidget().


2007/08/04 16:24:41  phil
Added support for QColumnView to pyuic.


2007/07/30 17:08:48  phil
Released as v4.3.


2007/07/29 14:42:32  phil
Updated the mega Windows package to include eric4.
Updated the NEWS file.


2007/07/27 17:40:09  phil
Fixed QTextEdit.print() to be print_() from Python.
Building static plugins (when Qt has been built as shared libraries) is now
disabled with a warning message rather than being treated as an error.
Added quotes if needed to the Designer Python plugin .pro file.
Added the --no-sip-files options to configure.py to disable the installation of
the .sip files.
Fixed a bug in universal proxy handling that didn't account for disable()
legitmately being called twice.


2007/07/23 22:29:23  phil
More PyQwt fixes to pick up the correct __init__.py.


2007/07/23 19:16:37  phil
Debugged the PyQwt support.


2007/07/23 17:28:52  phil
Added PyQwt to the mega Windows GPL package - untested.


2007/07/23 12:25:04  phil
The mega Windows GPL package now supports SSL.
The mega Windows GPL package no longer contains the Qt docs.


2007/07/21 10:22:12  phil
Changed the checking of the Qt layout in configure.py to work around Debian's
broken Qt build meaning that it failed to say that Qt was built as shared
libraries.


2007/07/20 10:18:39  phil
A further refinement to the signal/slot handling fix.


2007/07/17 21:52:14  phil
Updated the documentation for the new style of configure.py flags.
Added --no-qsci-api flag to configure.py based on a patch from Matteo Bertini.
Hopefully fixed a bug introduced in the previous signal/slot handling fix.


2007/07/16 12:33:19  phil
Fixed a bug in signal/slot handling where proxies where being incorrectly
reused when the original transmitter had been deleted, but a new one had been
created at the same address before the proxy had itself been deleted.


2007/07/14 16:37:42  phil
Improvements in configure.py error messages for Windows from Giovanni.


2007/07/10 21:51:06  phil
Reverted the behaviour of configure.py relating to the QScintilla API file.
Improved the documentation concerning the -e flag to configure.py.


2007/07/09 15:37:45  phil
Reworked the PyOS_InputHook code based on suggestions from Michiel De Hoon so
that it is no longer reliant of the behaviour of readline.


2007/07/09 14:31:53  phil
configure.py argument parsing fixes.


2007/07/04 15:54:26  phil
Added Giovanni Bajo's patch to configure.py to support optparse.


2007/07/01 16:40:00  phil
Minor configure.py tweaks.


2007/07/01 16:10:30  phil
Acquire the GIL before freeing a signal/slot connection.


2007/06/25 14:08:18  phil
Fixed a pylupdate bug triggered by single quoted strings when a source codec is
specified.


2007/06/25 13:39:01  phil
Added support for changing cursor shapes in pyuic.


2007/06/25 12:26:52  phil
pyuic tries to use setSpacing() rather than setHorizontalSpacing() and
setVerticalSpacing() if it can.


2007/06/24 16:14:04  phil
Updated the GPL Windows installer for the mega-package.


2007/06/23 19:04:01  phil
Updated the NEWS file.
Added the internal document on building the Windows mega-package.


2007/06/22 16:59:38  phil
configure.py will now quit on a keyboard interrupt at the license prompt.


2007/06/21 19:24:13  phil
Added the -t flag to configure.py to specify static plugins to be linked when
compiling against a static Qt.


2007/06/20 20:00:42  phil
Fixed a bug in the SQL examples.


2007/06/20 18:08:11  phil
Added the internal flag to configure.py to include QScintilla in the big
consolidated module.


2007/06/20 16:20:51  phil
Fixed a pylupdate4 bug related to triple quotes and UTF8 source code.


2007/06/20 15:54:39  phil
Adopted the new SIP %CompositeModule and changed to handling of
%CondolidatedModule accordingly.  This means that using the -g flag to
configure.py will generate a new _qt module.


2007/06/19 23:49:55  phil
Improved the detection of a static Qt build.
Disabled the QtDesigner module with a static Qt build.


2007/06/19 21:52:13  phil
Build system changes so that consolidated modules now build and work. (Untested
against static libraries.)


2007/06/18 22:04:11  phil
Removed the use of an internal name from handwritten code.
Disable the generation of an API file if generating consolidated modules.


2007/06/16 14:43:36  phil
Fixed a bug in the Qt Designer plugins example.


2007/06/14  8:43:44  phil
Improved the speed of the collidingmice.py example based on a hint from Richard
Dale.


2007/06/12 18:15:00  phil
Added some extra %ModuleHeaderCode for #include files that were previously
being picked up by accident.  (SIP v4.7 is a little bit more picky about this.)


2007/06/06 21:54:15  phil
Fixed a Qt 4.3 related pyuic problem with QLayout.setContentsMargins().


2007/06/01  9:03:22  phil
Removed the /TransferBack/ annotations on QLayout.removeWidget(),
QStackedWidget.removeWidget(), QStatusBar.removeWidget() and
QTabWidget.removeTab() because QLayout.removeWidget() does not reparent the
widget being removed so it is still owned by C++.


2007/05/30 22:40:18  phil
Qt v4.3.0 is now fully supported.  It will no longer build against Qt
v4.3.0rc1.


2007/05/30 11:46:21  phil
Changed the handling of DBus in configure.py so that it should work
automatically for the most common configurations.


2007/05/28 10:43:34  phil
Added the -e flag to configure.py to enable specific modules only.


2007/05/27 16:37:36  phil
Added the -g flag to configure.py to build PyQt with all the wrapper code in
the Qt module and only it is linked against a Qt library.  (The corresponding
SIP support is not yet implemented.)


2007/05/25  8:45:36  phil
Fixed a configure.py bug that was preventing the Qt module being built and
installed.


2007/05/24 19:45:50  phil
The Qt consolidated module is now implemented in C and ignores errors with
missing modules.


2007/05/20 15:17:57  phil
QObject.findChild() and QObject.findChildren() now implement /Transfer/ on the
returned objects.


2007/05/19  0:38:11  phil
The SSL support is now disabled if Qt was built without SSL support (thanks to
David Boddie).


2007/05/17 21:49:24  phil
Fixed a bug in the implementation of proxy signals.


2007/05/16 12:46:11  phil
Added a missing /Transfer/ from QAbstractSpinBox.lineEdit().


2007/05/13 18:21:09  phil
Implemented the /Transfer/ method annotation where it seemed appropriate.
Changed some handwritten code to use the new sipTransferBreak() rather than
sipTransferBack() where Qt deletes the object.
Added other missing transfer annotations.


2007/05/13  9:45:54  phil
Documentation update for QtScript.


2007/05/12 18:58:05  phil
Added the QtScript module.
Finalised the %ConvertToSubClassCode.
Qt v4.3.0rc1 is now fully supported.


2007/05/12 12:23:52  phil
Fixed problems with the move of the QFileIconProvider class.


2007/05/12  1:28:04  phil
Finished the Qt v4.3.0 support for the QtGui module.


2007/05/11 23:28:22  phil
More Qt v4.3.0 support for the QtGui module.


2007/05/11 22:40:31  phil
More Qt v4.3.0 support for the QtGui module.


2007/05/11 17:53:13  phil
Added Qt v4.3.0 support to about a third of the QtGui module.


2007/05/11 10:50:14  phil
QSslCertificate.alternateSubjectNames() is now implemented.


2007/05/10 22:06:31  phil
Added Qt v4.3.0 support to the QtNetwork module (except for
QSslCertificate.alternateSubjectNames() which needs a %MappedType).


2007/05/10 20:43:54  phil
Added Qt v4.3.0 support to the QtOpenGL, QtSql and QtSvg modules (except for
the buggy methods in QSvgGenerator).


2007/05/10 18:12:56  phil
Added Qt v4.3.0 support to the QtTest and QtXml modules.
Added QStringRef to QtCore.
Added the additional QChar methods.


2007/05/10 16:17:36  phil
Added Qt v4.3.0 support to the QtDesigner module.
Documentation changes due to changes in the v4.3.0 HTML.


2007/05/10 12:54:26  phil
Added Qt v4.3.0 support to the QtAssistant and QtCore modules (with the
exception of a few undocumented QChar methods).


2007/05/09 21:18:09  phil
Fixed pyuic sizePolicy handling for Qt v4.3.0.


2007/05/09 10:33:42  phil
The qtdemo.py example will now run correctly no matter which directory it is
started from.
Switched the internal build system to Qt v4.3.0rc1.


2007/05/02 17:55:39  phil
Added a missing /Transfer/ from QTabWidget.setTabBar().


2007/04/28 14:11:56  phil
Changed the meaning of the -d option to configure.py so that the top level
directory is always called PyQt4.


2007/04/27 11:19:20  phil
Documented that all enums can now be pickled (even though they be be nested
types).
Updated the installation documentation regarding the -d flag to configure.py.


2007/04/24 13:47:50  phil
Added the missing QItemDelegate.editorEvent().


2007/04/23 14:36:08  phil
Replaced the broken QTranslator.load() overload with QTranslator.loadFromData().


2007/04/23 12:19:27  phil
Added the pickle code for QColor, QDateTime, QKeySequence, QMatrix and
QPolygon.


2007/04/22 22:55:13  phil
Added pickle code for QByteArray, QChar, QDate, QLatin1Char, QLatin1String,
QLine, QLineF, QPoint, QPointF, QRect, QRectF, QSize, QSizeF and QTime.


2007/04/22 17:57:08  phil
Changed the SIP dependency to v4.7.
Added the %PickleCode for QString.


2007/04/18  9:35:43  phil
Added the missing AddToPath.nsh file to SVN.


2007/04/16 16:33:33  phil
Added a missing /Transfer/ from QDockWidget.setWidget().
Added the AddToPath.nsh code for Windows.


2007/04/13  9:37:15  phil
Changed the installers to add the Qt bin directory to PATH.


2007/04/12  9:39:53  phil
Fixed an incorrect Qt v4.2 dependency.


2007/04/10 18:55:48  phil
Fixed the installers to deal with the Qt Designer plugin.
Added a couple of extra test scripts.
Fixed a copyright notice.


2007/04/10 16:58:06  phil
Released as v4.2.


2007/04/09 10:30:11  phil
A StandardKey may now be used whenever a QKeySequence is expected.


2007/04/08 12:44:31  phil
Fixed a bug with a Qt signal connected to a Python signal connected to a Python
slot where the GIL was being released when it wasn't being held.  The fix
involved backing out some changes made when investigating the deadlock
problems.  However the deadlock related examples still seem to be Ok.
Reviewed the test cases, throwing out the Qt3 related ones and adding recent
Qt4 ones.


2007/04/07 11:15:20  phil
Replaced the sortingmodel example with the basicsortfiltermodel example.
Updated the NSIS installer files for Qt v4.2.3.


2007/04/07 10:12:37  phil
Added a new modeltest.py from Andreas.
Some itemview example patches from Andreas.


2007/04/06 10:02:48  phil
Updated pymodeltest from Andreas.


2007/04/05 10:26:21  phil
Fixed pyuic so that it no longer tries to update a widget's existing font, but
instead creates a new one from scratch (as uic does).


2007/04/04 21:28:17  phil
Added the port of the modeltest tool from Andreas to the new contrib directory.


2007/04/04 20:55:52  phil
Added the -n flag to configure.py to specify where the API file is installed.


2007/04/04 14:33:15  phil
The default search path used by the Python Designer plugin is the "python"
subdirectory of each directory that Designer searches in.
Added the -p flag to configure.py to specify where the Designer plugin is to be
installed.


2007/04/03 16:14:58  phil
Removed the archaic calls to apply() in pyqtconfig.py.


2007/04/03 11:52:22  phil
Disabled the QtDesigner module when building universal binaries because of
build system problems - probably related to the static QPy library.


2007/04/02 22:55:58  phil
Changed the build system to build universal binaries on MacOS/X if SIP was
configured to do so.


2007/04/02 19:08:14  phil
Fixed the build problem with Designer plugins with MinGW.


2007/04/02 15:39:40  phil
Added the missing sub-class convertor code to QLayoutItem.


2007/03/25 12:12:34  phil
Added support for wchar_t and wchar_t * external signals.


2007/03/22 16:08:04  phil
Added /TransferBack/ functionality to QTabWidget.removeTab().


2007/03/18 11:01:27  phil
Updated pylupdate from Detlev.


2007/03/16 22:19:05  phil
Slot proxies created for methods of QObject sub-classes are now moved to the
thread of the QObject they are proxying for.  This is now consistent with the
Qt behaviour.


2007/03/10 15:26:14  phil
Added the QApplication ctors that take a Display *.


2007/03/07  8:43:34  phil
Updated the internal build system to Qt v4.2.3.


2007/03/04 13:18:57  phil
Added qt_set_sequence_auto_mnemonic(), qt_x11_wait_for_window_manager(),
qt_mac_secure_keyboard(), qt_mac_set_dock_menu(), qt_mac_set_menubar_icons(),
qt_mac_set_menubar_merge(), qt_mac_set_native_menubar() and
qt_mac_set_press_and_hold_context() to the QtGui module.


2007/03/03 10:06:35  phil
Fiex bugs in QObject.findChildren().


2007/02/28  9:26:21  phil
Made sure the GIL is released any time QMetaObject::activate() is called.


2007/02/27 15:42:32  phil
Added fix from Ulli to configure.py to check that a Python shared library
actually exists.


2007/02/27 13:58:12  phil
SIP is now run with the -g flag.


2007/02/25 23:27:31  phil
Made the pyuic4 plugins directory optional.


2007/02/25 14:30:14  phil
Don't pass the numItems argument to Python when calling the drawItems() methods
(see previous change).


2007/02/24 16:29:14  phil
Fixed QGraphicsView.drawItems() and QGraphicsScene.drawItems().


2007/02/24 14:04:46  phil
Released the GIL in handwritten code of methods of QObject derived classes.


2007/02/22 20:18:51  phil
Improved the .pro file for the Designer QPy classes.


2007/02/22 10:00:46  phil
Fixed the AWOL QObject.metaObject() method.


2007/02/19  9:07:30  phil
Added DavidB's Designer plugin examples.


2007/02/18 17:10:09  phil
The proxies for signals are no longer children of the transmitter but are
connected to the destroyed() signal (just like slots).  This means they will
hang around longer if they are proxying for the destroyed() signal itself.


2007/02/18 12:37:19  phil
Made some attempt to check that the Python library is dynamic before building
the Designer plugin.


2007/02/18 11:28:52  phil
Make sure the Python object returned by a property getter is kept until the
next get so that we are sure that there is always a valid pointer.


2007/02/18 10:01:14  phil
The Designer plugin now ignores the QPyDesignerCustomWidgetPlugin type object
(because it is abstract) and only instantiates its sub-types.


2007/02/17 20:40:41  phil
Fixed another pre-Python 2.5 problem in the Designer plugin.


2007/02/17  0:34:40  phil
Removed a couple of consts from the designer plugin for Python v2.4 and
earlier.


2007/02/17  0:19:51  phil
Added the documentation (briefly) describing how to write Designer plugins.


2007/02/16 18:56:44  phil
Ported all the plugin/meta-object support to Windows and Mac.


2007/02/16 12:59:52  phil
Added the Qt Designer plugin example and the framework for adding more examples
by just dropping them in to the relevant directories.


2007/02/15 10:07:20  phil
Finished the Qt Designer plugin.  This completes the support for writing
Designer plugins in Python - but not yet documented or ported to Windows and
Mac.


2007/02/12 21:30:46  phil
More work on the Designer plugin.  Plugins are correctly imported but their
contents are not yet exported to Designer.


2007/02/12 17:37:24  phil
Added the basis of the Qt Designer plugin.


2007/02/11 22:40:06  phil
Added signal support to QMetaObjects.


2007/02/11 16:18:28  phil
Added introspected slots to the QMetaObject support.


2007/02/11 13:46:28  phil
Changed the implementation of pyqtSignature() slightly so that the stored
signature always has a method name.
Documented that a method name can be given as part of a pyqtSignature() so that
the Python method name can be overridden.


2007/02/11  1:22:47  phil
pyqtProperty() now handles enum properties.


2007/02/10 23:21:18  phil
Added freset to pyqtProperty.
Added support for flag properties.


2007/02/09 18:44:44  phil
Python properties are now integrated with Qt properties (except for enums and
flags).


2007/02/06 22:20:30  phil
More property integration.


2007/02/05  0:08:48  phil
Completed the initial setup of PyQt properties. They now appear in Designer,
but not yet handled by qt_metacall().


2007/02/04 17:39:25  phil
Added the pyqtProperty class for defining Python properties to Qt.  (Not yet
integrated with QMetaObject.)


2007/01/31 20:24:33  phil
Fixed a pyuic bug handling resource files that include a pathname.


2007/01/30 13:30:42  phil
Started to add the metaObject() support.  For the moment meta-objects don't
support signals, slots or properties.


2007/01/28 20:39:47  phil
Added the documentation for the QtDesigner QPy classes.


2007/01/28 16:16:15  phil
Added the extra QtDesigner QPy classes that aren't needed by David's examples.


2007/01/28 15:38:47  phil
Added the (as yet undocumented) QPy classes to the QtDesigner module.


2007/01/27 16:13:59  phil
Changed the Qt support API setup to futureproof it.


2007/01/27 15:31:22  phil
Added the stub for creating meta-objects for new Python classes.


2007/01/25 16:01:19  phil
Documented the QtDesigner module (but not how to use it).


2007/01/25 14:56:25  phil
Added the QtDesigner module (undocumented as yet).


2007/01/25 10:55:28  phil
Included the (probably temporary) setData() and setSuper() methods to
QMetaObject.


2007/01/23 23:42:36  phil
Added support for qt_metacall().  This is a significant part of the support for
plugins implemented in Python.  This compile, but is otherwise untested.


2007/01/22 11:50:05  phil
Another pylupdate update from Detlev.


2007/01/21 16:28:25  phil
Implemented sipQtFindConnection() so that lambda slots can be handled by the
cyclic garbage collector.


2007/01/20 16:44:55  phil
Another pylupdate update from Detlev.


2007/01/20 11:47:20  phil
Added the new version of pylupdate from Detlev.


2007/01/17 12:50:53  phil
Fixed pyuic4 for QScintilla.


2007/01/16 15:00:54  phil
Hopefully fixed pylupdate for Qt v4.2.


2007/01/15 23:49:33  phil
Updated the copyright notices.
Fixed the Transfer annotations around QGraphicsItem now that we have a better
understanding of the dual relationships between items and their parent and
items and their scenes.


2007/01/04 18:12:53  phil
A QGradient can now be used wherever a QBrush can be used.


2006/12/26 11:18:25  phil
Added the documentation for the dbus support module.


2006/12/25 23:56:43  phil
Fixed a problem with the dbus module where timeouts could still be being added
after the QCoreApplication instance had been destroyed.


2006/12/25  1:46:02  phil
The dbus-python example-signal-recipient.py example now behaves the same as the
GLib version.


2006/12/23 19:57:52  phil
Redid the dbus module as it no longer needs to be SIP generated, and give it
the same API as the corresponding glib module.


2006/12/22 23:17:02  phil
Completed the implementation of the dbus support module.


2006/12/22 18:21:32  phil
Implemented the watch callbacks for the DBus support module.  The
example-client.py seems to work.


2006/12/22 13:16:37  phil
More stubs for the DBus support mordule.


2006/12/21 17:46:30  phil
Really added the DBus support module stubs this time.


2006/12/21 17:45:37  phil
Added the stubs for the DBus support module.


2006/12/20 18:48:59  phil
Implemented PyOS_InputHook.


2006/12/20 16:10:51  phil
Added a missing /Factory/ annotation to QTextEdit.createMimeDataFromSelection().


2006/12/12  0:43:31  phil
Fixed bugs in the sub-class conversion code for QGraphicsTextItem and
QGraphicsSvgItem that didn't take into account the multiple inheritance.


2006/12/10 17:55:49  phil
Fixed a bug in the signal/slot handling where it was wrongly assumed that
QObject::sender() would never return 0.


2006/12/09 19:19:03  phil
Released as v4.1.1.


2006/12/09 18:46:23  phil
Updated the NEWS file.
Fixed the internal build system for later versions of docutils.


2006/12/06 18:11:38  phil
Fixed a reference count bug with the handling of PyObject * as an argument to
emit.
Replaced "PyObject *" as a special signal argument type with "PyQt_PyObject"
and made it possible to emit Python objects asynchronously without the sender
having to keep a reference.
Changed short-circuit signals to use PyQt_PyObject.
Documented that lambda functions can now be used as slots.
The minimum SIP requirement is now v4.5.1.


2006/12/03 15:12:35  phil
Reverted to the PyQt3 way of ensuring that top level widget are destroyed
before the QApplication.


2006/11/30 22:06:34  phil
Fixed a bug in QCoreApplication and QApplication ctor handwritten code that
caused a crash if either was created a second time with no arguments.
Changed the handling of the delayed destruction of QCoreApplication and
QApplication instances to possible avoid a crash if more than one was created
in an interpreter.  (However, such a case will still not work as expected
because of the multiple instances.)
Fixed a bug in the draggableicons.py example.


2006/11/29 21:26:59  phil
Fixed a couple of documentation errors.
Updated to Qt v4.2.2.
Fixed a regression in one of the QLabel ctors introduced in PyQt v4.1.


2006/11/19 22:38:04  phil
Fixed a typo in the functions exported by the uic module.


2006/11/12 15:21:12  phil
Added support for the (apparently) new-style palette descriptions to pyuic.


2006/11/11  9:56:22  phil
Fixed an object ownership bug in QTextBlock.setUserData().


2006/11/04 22:09:16  phil
Released as v4.1.


2006/11/04 17:47:30  phil
Updated QObject::tr() and QObject::trUtf8() for Qt v4.2 so they are modelled on
the (changed) QMetaObject functions.


2006/11/04 15:44:04  phil
Fix for an indentation bug in the sdi.py example from Ulli.


2006/11/04 15:14:12  phil
Fixed QX11EmbedContainer.error() and QX11EmbedWidget.error() for Qt v4.1.


2006/11/04 10:57:46  phil
A couple of pyuic4 fixes from Torsten.


2006/11/03 16:09:54  phil
Backout the start of the pyuic4 embedded image support as it only ever seems to
be used by .ui files converted from Qt3.
Added support to pyuic4 for resource files.
Fixed the webbrowser.py example and converted it to use a resource file.
Adjust the position of the handwritten ctors that take a QVariant argument to
work around a problem with the HTML documentation.


2006/10/29 18:22:35  phil
Fixed the handling of QActionGroups in pyuic4.
Started to add support for embedded images in pyuic4.


2006/10/28 17:57:50  phil
Fixed build problem with Qt's binary Mac package.
Updated the Windows installers to Qt v4.2.1.


2006/10/28 14:14:54  phil
Fixed a Python >=2.4 dependency in pyuic4.
The HTML docs are now derived from Qt v4.2.1.
Fixed commitDataRequest() and saveStateRequest() in QApplication when
QSessionManager support is disabled.


2006/10/28 12:05:53  phil
Removed the QtDBus support.


2006/10/27 17:16:38  phil
More QtDBus support.
Python datetime, date and time objects can be used anywhere that a QDateTime,
QDate and QTime respectively can be used.
Added QDate.toPyDate(), QDateTime.toPyDateTime() and QTime.toPyTime().
Updated the NEWS file.
Updated the XML rules for generating the HTML API docs.


2006/10/22 16:42:27  phil
Started support for QtDBus.


2006/10/21 19:02:30  phil
Applied Matt Newell's fix to pyuic.


2006/10/21 15:33:40  phil
Updated for Qt v4.2.1.
Fixed tr() and trUtf8() for Qt v4.2.
Fixed a pyuic bug when there were no i18n strings.


2006/10/20 16:45:32  phil
Reapplied the change to the type of PYQT_VERSION_STR now that we require SIP
v4.5.
Added QtDBus to the metasip project.
Added the collidingmice and elasticnodes examples.
Added the missing QGraphicsItem.UserType.
Added some QTextStream << operators for basic types.
Fixed the X11 specific code in QApplication %ConvertToSubClassCode.
Added context manager support to QReadLocker and QWriteLocker.
The PyQt4.api file is installed is QScintilla is found or the -a flag is given.
Handle the change in debug libraries in Qt v4.2.


2006/10/15 19:22:41  phil
Finished the support for Qt v4.2 (except for the QtDBus module).


2006/10/15 16:41:48  phil
Added the QX11Embed* classes.
Added the Qt v4.2 QUndo* classes.


2006/10/15 16:13:11  phil
Finished the Qt v4.2 support - except for the new undo classes and QGraphics*.


2006/10/15 12:41:53  phil
More work on Qt v4.2 support - about half of QtGui is now done.


2006/10/14 14:33:56  phil
Finished updating QtCore for Qt v4.2.


2006/10/14  0:17:43  phil
Some more Qt 4.2 support.


2006/10/08 18:45:28  phil
More work on the Qt v4.2 support.


2006/10/07 12:19:56  phil
Implemented the minimum changes needed to build against Qt v4.2.0.  Only tested
on Linux.


2006/10/06 17:45:28  phil
An API file for QScintilla2 is now created automatically.


2006/09/30 19:20:45  phil
Fixes for building QAxContainer on Windows.


2006/09/29 17:10:07  phil
Removed the exception so that pyuic can handle ActiveQt classes on Linux.


2006/09/24  0:34:17  phil
Added the QtTest module - those functions that simulate user interaction.


2006/09/22 21:12:08  phil
Updated to Torsten's latest pyuic4 snapshot including support for widget
plugins.  There seem to be a regression in QAxContainer support.


2006/09/17 18:42:00  phil
QMutexLocker now supports the Python 2.5 context manager protocol.


2006/09/17 15:43:58  phil
pyuic4 update from Torsten including support for Qt v4.2.
Fixed the previous "name" attribute fix.


2006/09/15 18:54:20  phil
Fixed an exception in pyuic4 caused by a bad test for the "name" attribute in
a .ui file.


2006/09/04 19:14:06  phil
Fixed a bug in QClipboard.setMimeData().


2006/09/03 15:13:05  phil
Added the webbrowser example - not yet working properly.
Added Torsten's patch for QAxContainer support - not yet working properly.
Changed the internal build system to use -j2 with configure.py.


2006/08/28 22:12:13  phil
Don't install a local copy of ElementTree for Python v2.5 and later.
pyuic4 uses the system copy of ElementTree if possible.


2006/08/26 13:33:22  phil
Added the 2dpainting.py and overpainting.py examples from DavidB.
pyrcc4 now supports PEP 263.
Fixed pyuic4 handling of Windows path separators in pixmap and icon properties.


2006/08/17 18:01:22  phil
Seemed to have fixed the problems with the QAxContainer module.


2006/08/17 17:07:09  phil
Q_ENUMS and Q_FLAGS now handle errors properly.


2006/08/17  0:12:58  phil
Implemented Q_ENUMS and Q_FLAGS.  (Only really useful with the QAxContainer
module.)


2006/08/14 14:15:10  phil
Fixes to pyuic so that it behaves closer to uic when the Ui class doesn't have
a name.


2006/08/10 23:39:18  phil
Added the missing QStylePainter class.


2006/08/07  9:46:14  phil
The QAxContainer documentation is only generated when needed.


2006/08/05 17:47:53  phil
Added the QAxContainer module for Windows.


2006/08/04 15:35:27  phil
More fixes to settingseditor.


2006/08/04 14:37:44  phil
Fixed a couple of bugs in the settingseditor example.


2006/07/19 10:34:17  phil
Removed the internal internalId() and internalPointer() methods from
QPersistentModelIndex.


2006/07/16 12:39:15  phil
More Python v2.5 changes.


2006/07/15 23:19:13  phil
Backed out the change to PYQT_VERSION_STR as it breaks with versions of SIP
prior to v4.5.
Adapted the handwritten code for the API changes in Python v2.5.
Released as v4.0.1.


2006/07/07 16:19:24  phil
Worked around the Qt v4.1 bug with QPrinter::setPrintRange() and
QPrinter::printRange().


2006/07/07  8:56:18  phil
A pyuic QFont fix from Torsten.


2006/07/06 18:51:24  phil
Fixed QTranslator.load().


2006/07/05 23:54:15  phil
Changed pyuic to generate the retranslateUi() method so that it is the same as
the C++ version.
Fixed pylupdate so that it properly parse the retranslateUi() method.


2006/07/05 17:51:49  phil
pylupdate4 now handles .ui files (thanks to Andreas Pakulat).


2006/07/05 11:15:59  phil
QPolygon can be constructed from a Python list of pairs of integer coordinates.
QPolygon.setPoints() can also take a Python list of pairs of integer
coordinates.


2006/07/04 23:30:00  phil
Added pyqt_config_args to pyqtconfig.py for all versions.
Fixed the simpledommodel.py, simpletreemodel.py and sortingmodel.py examples
for 64 bit systems.


2006/06/22 19:28:39  phil
Updated for Qt v4.1.4.


2006/06/19 15:55:10  phil
Backed out an over-zealous addition (from me) to Ulli's Solaris fixes.


2006/06/19 15:52:05  phil
Fixed pyuic4 handling of QFont, QDate, QTime and QDateTime.
Fixed pyuic4 handling of custom widget header files.
Solaris warnings fixes from Ulli.


2006/06/10 13:39:38  phil
Released as v4.0.


2006/06/08 21:16:25  phil
Build system changes to add the documentation to snapshots.


2006/06/08 10:28:53  phil
Moved the installers to a separate directory.


2006/06/08 10:13:47  phil
Added the installer for the evaluation edition.


2006/06/08 10:10:04  phil
Updated the GPL installer.


2006/06/07 23:42:09  phil
Fixed Windows specific bugs in the qtdemo example.


2006/06/07 19:09:31  phil
Build system and license changes.


2006/06/07 14:12:33  phil
Removed the internal QPainter.drawTextItem() methods.


2006/06/07 11:50:45  phil
Removed the internal QAbstractPageSetupDialog, QDragResponseEvent, QTextEngine,
QTextFrameLayoutData and QToolBarChangedEvent classes.


2006/06/06 23:07:49  phil
Handled opaque classes in a more efficient way.
Changes to the build system so that source packages follow the same conventions
as PyQt3 (now that the global build system tags snapshots from different parts
of the tree).


2006/06/05 23:29:00  phil
Removed a couple of inaccessible QByteArray functions.
pyqtdoc now handles opaque classes and some extra standard substitutions.
pylupdate4 and pyrcc4 will only be built if the Qt XML module is found.


2006/06/05 17:02:59  phil
Many bug fixes to the qtdemo example.


2006/06/04 17:54:30  phil
More pyqtdoc changes.


2006/06/04 14:20:36  phil
More pyqtdoc changes - all HTML is now included.


2006/06/03 13:05:56  phil
More pyqtdoc changes - automatic type conversions are now documented.


2006/06/02 10:40:20  phil
More pyqtdoc changes - mapped type transformations now complete.


2006/06/01 13:17:40  phil
More pyqtdoc changes.


2006/05/31 22:38:24  phil
More pyqtdoc refactoring.


2006/05/31 21:19:27  phil
pyqtdoc changes.


2006/05/30 10:44:25  phil
Changed the type of PYQT_VERSION to match QT_VERSION.


2006/05/28 22:30:18  phil
Fixed further silly reference count bug with QModelIndex.internalPointer().


2006/05/26 12:37:15  phil
Switched the order of the two QAbstractItemModel.createIndex() overloads so
that ids can still be used.


2006/05/25 20:54:40  phil
Added pyqtdoc to the repository.
uic fix for setDropIndicatorShown().


2006/05/25 10:00:30  phil
QModelIndex.internalPointer() now handles 0 being returned.


2006/05/25  9:41:07  phil
QModelIndex.internalPointer() now returns a Python object instead of a void *.
QAbstractItemModel.createIndex() now takes a Python object instead of a void *.


2006/05/21 22:33:04  phil
Removed more unreachable methods from QString.


2006/05/20 10:52:27  phil
Fixed the building of pylupdate and pyrcc for debug builds.


2006/05/19  9:51:48  phil
Added /ReleaseGIL/ to QDrag.start().


2006/05/19  1:47:06  phil
Updated for Qt v4.1.3.


2006/05/16 18:18:23  phil
Removed a number of inaccessable QString operators and methods.
Fixed the bug in the signal support introduced when reimplementing
QObject.receivers(). (Thanks to Ulli.)


2006/05/13 18:35:27  phil
Minor configuration fix for Windows.
Fixed bugs in the sliders.py example.


2006/05/11 19:03:36  phil
Reimplemented the support for QObject.receivers().


2006/05/07 19:29:51  phil
Fixed the signal arguments for receivers(), connectNotify() and
disconnectNotify() in QObject.
QObject.receivers() now takes Python signals into account.


2006/05/05 14:21:30  phil
MSVC 6 builds should be Ok now.
Replaced %SIPNoEmitters with %SIPOptions.  The minimum SIP requirement is now
v4.4.4.


2006/05/03 18:46:03  phil
Another attempt at fixing connectSlotsByName() for MSVC 6.


2006/05/03  9:42:20  phil
Updated the pyuic4 examples for the changed API.
Added to the pyqtSignature documentation about signals with optional arguments.


2006/05/02 13:59:48  phil
Added the SessionManager, StatusTip, ToolTip and WhatsThis features.


2006/05/02 10:03:36  phil
More fixes for MSVC 6.


2006/05/01 22:51:16  phil
Qt built with accessibility support disabled is now handled (seems to be a
fairly common configuration).  Untested.


2006/05/01 14:40:56  phil
A bit more documentation work.


2006/04/30 19:15:56  phil
Added the start of the auto-generated documentation.
Source package names now include the platform as the documentation is now
platform specific.


2006/04/29 10:07:40  phil
Removed pylupdate's dependency on qplatformdefs.h.


2006/04/28 20:50:11  phil
Replaced long long with PY_LONG_LONG for MSVC 6.


2006/04/28 18:57:18  phil
Fixed pyuic bug where setProperty() was assuming an int property.


2006/04/27 14:16:27  phil
PyQt4 now requires SIP v4.4.3.
Released as v4.0beta1.


2006/04/24 23:58:15  phil
Updates to the .nsi installer.


2006/04/24 22:20:26  phil
Cleaned up the uic API and updated the documentation accordingly.


2006/04/21 15:45:30  phil
Completed the documentation for the beta version.
Fixed the correct GUI/console Python interpreter to use on MacOS and Windows.


2006/04/17 19:03:39  phil
More documentation - just pyuic4 to do.


2006/04/16 20:37:56  phil
More documentation - now distributed.


2006/04/16 11:44:55  phil
Small pyuic4 patch from Torsten.


2006/04/15 19:20:15  phil
Added QWidget.handle() for MacOS.
New pyuic4 snapshot from Torsten.
Fixed a potential crash searching for a slot in the list of universal proxies.
Made SIP v4.4.2 a pre-requisite for PyQt4.


2006/04/09 14:54:04  phil
Started on the initial documentation - not yet distributed.


2006/04/08 19:54:07  phil
Fixed the build system for the framework build of Qt on MacOS.
Fixed warnings in handwritten code with GCC4.
Decided against the change in sense of configure.py -c flag after trying it on
MacOS.


2006/04/07 23:29:14  phil
Applied pyuic QTableWidget patch from Torsten.
Fixed the new use of qmake in configure.py for Windows.
The sense of the -c flag to configure.py has been reversed as most compilers
now seem to be able to cope.


2006/04/06 23:31:47  phil
Removed the last vestige of QTDIR.
configure.py now handles QMAKESPEC being a path as well as a platform.


2006/04/06  9:33:44  phil
qt_data_dir is now passed to the sipconfig module.


2006/04/05 15:23:57  phil
Eliminated all conflicting overloads that had the same Python signature.
pyuic strings are now broken at the same places as the original strings in the
.ui file.
pyuic now escapes backslash in strings.


2006/04/04 23:14:48  phil
Changed the way configure.py works out where all the bits of Qt have been put.
Changed the meaning of the -q flag and removed the -g flag.


2006/04/01 12:37:25  phil
Updated for Qt v4.1.2 (nothing actually needed).


2006/03/30  8:30:04  phil
Added QStringList::operator+=(const QString &) and equivalent operators to
QItemSelection.


2006/03/28 18:39:35  phil
Added qSetFieldWidth(), qSetPadChar() and qSetRealNumberPrecision().
Fixed Qt.py.


2006/03/25  7:36:09  phil
Added pyuic patches from Torsten to only use Python slots and to fix a problem
with QDickWidget.


2006/03/23 21:33:48  phil
Added a missing /Transfer/ from QGLWidget().


2006/03/21 23:40:00  phil
Fixed silly (but significant) typo in pyqtconfig.py.


2006/03/20 21:02:47  phil
Added Qt.WA_GroupLeader which is marked as deprecated in the source, but not in
the documentation.
Removed the "Filter" versions of the QFileDialog static methods as they aren't
necessary after all (just not obvious how to use them properly).


2006/03/14 22:44:40  phil
Fixed bug in pyqtconfig.py.
Added QTreeWidgetItemIterator.value().
Fixed problem building the QtAssistant module with MinGW.


2006/03/13 12:00:45  phil
Removed some old README files.
Build system changes so that PyQt4 will build on MacOS (framework and
non-framework builds).


2006/03/11 19:17:39  phil
Brought pyqtconfig.py up to date.
Fixes for configure.py.


2006/03/11 15:15:54  phil
Added the missing QTreeWidgetItemIterator class.
Checked that nothing needs updating for Qt v4.1.1.


2006/03/07  8:48:55  phil
New pyuic snapshot from Torsten.


2006/03/06 19:25:31  phil
Added HBitmapFormat, toWinHBITMAP() and fromWinHBITMAP() to QPixmap.


2006/03/06 12:34:31  phil
Added the QX11Info class.
Added the x11Info(), x11PictureHandle() and handle() methods to QPixmap and
QWidget.


2006/03/05 22:52:24  phil
Added the Qt.py consolidated module.
Allow a Python list of QStrings (or Python strings or unicode strings) whenever
a QStringList is expected.


2006/03/04 17:29:41  phil
Added the qtdemo application from Andreas.
Call sipLong_AsUnsignedLong() instead of PyLong_AsUnsignedLong().
Added the missing hook and GIL annotations from the QMenu.exec() methods.
Added support for VendorID.
Added getOpenFileNameFilter(), getSaveFileNameFilter() and
getOpenFileNamesFilter() to QFileDialog that return a tuple of the selected
files and the current filter.


2006/02/26 13:57:50  phil
Added support for signed char to the Qt API.
Added handwritten methods to QDataStream to provide the same level of control
over the types being read and written as C++ provides.
Replaced all uses of the struct module in the examples with the new QDataStream
methods. These examples now interoperate properly with the C++ versions.


2006/02/26 11:23:17  phil
Applied /Constrained/ to all QDataStream << and >> operators.


2006/02/26  0:39:13  phil
Fixed the missing functions from QtGui that are defined in the Qt namespace.


2006/02/21 17:19:43  phil
Fixed bug in the handling of QObject.sender().


2006/02/21 15:20:30  phil
Changed the signal/slot handling so that unsigned int and unsigned short are
implemented as long objects rather than integer objects.
Added a check that signal and slots are compatible before connecting them (as
Qt3 does).


2006/02/19 16:44:22  phil
Changes to the internal Qt support API for disconnects of universal signals.


2006/02/18 21:04:57  phil
Added support for shortcircuited Python signals and the PyObject * type in all
signals.


2006/02/16 16:29:38  phil
Fixed compiler warning messages in the QMetaObject::connectSlotsByName()
handwritten code.


2006/02/14 19:16:25  phil
The destroyed() signal can now be received by a Python slot.


2006/02/13 20:05:20  phil
elementtree should now be installed properly.
Added the missing QAbstractItemModel.parent(), QDirModel.parent(),
QLayout.setAlignment(), QProxyModel.parent(), QSortFilterProxyModel.parent(),
QStackedLayout.widget(), QStandardItemModel.parent(), QStringList.indexOf()
and QStringList.lastIndexOf() methods.


2006/02/13  0:25:29  phil
Updated the handwritten code to use the current SIP API.


2006/02/12  1:14:43  phil
Removed all calls sipForceConvertTo*().
Removed all uses of newly deprecated calls.
An integer can now be used where a QKeySequence is expected.


2006/01/29 10:34:30  phil
pyuic fix from Torsten.


2006/01/28 14:28:05  phil
Renamed signature() as pyqtSignature() and added support for a short version of
the signature that only includes the argument types (without enclosing
parentheses).  Also fixed a bug where a benign exception wasn't being cleared.
Updated the calculatorform.py example accordingly.


2006/01/27 19:24:23  phil
Added the signature() decorator to QtCore.
Fixed QMetaObject.connectSlotsByName() to exploit the decorator and the bug
that prevented it working through the class hierarchy.
Updated the calculatorform.py example to use the decorator.
pyuic bug fixes from Torsten.
Added the complexwizard.py example from Andreas.


2006/01/26 16:41:38  phil
Fixed bug in the new QIODevice.readLine() %MethodCode.
SIGNAL() and SLOT() now return normalised signatures.
Reimplemented signal/slot support so that signals are emitted without needing a
wrapper function and Python signals now have a proxy QObject emitter. Queued
and inter-thread connections now seem to work.
Added the draganddrop puzzle.py and blockingfortuneclient.py examples.


2006/01/23 22:49:16  phil
Changed QIODevice.readLine() so that it combines the functionality of the two
C++ overloads.


2006/01/23 17:54:05  phil
Make sure a Python string passed to the QVariant ctor is converted to a QString
in preference to a QByteArray.


2006/01/23 13:34:17  phil
Added the latest pyuic snapshot from Torsten.
Added the calculatorform.py example.


2006/01/20 22:34:39  phil
Fixed QLayout.setGeometry() which is not abstract despite what the header file
says.
Added the movie.py example.


2006/01/19 17:56:18  phil
Updated mandelbrot.py example from DavidB.
New pyuic snapshot from Torsten.
Added the missing rootModelIndex(), setRootModelIndex() and removeItem()
methods from QComboBox.
Implemented QMetaObject.connectSlotsByName().


2006/01/16 19:59:20  phil
Fixed the shapedclock.py example.
Added a new pyuic4 snapshot from Torsten.
pyuic fix from Andreas.
Implemented PYQT_VERSION and PYQT_VERSION_STR.
Added missing /Transfer/ to QTableWidget.setHorizontalHeaderItem() and
QTableWidget.setVerticalHeaderItem() (thanks to Torsten).


2006/01/14 16:39:32  phil
Added the missing slot handling to QToolBar.addAction().


2006/01/14 13:10:16  phil
Small updates to some examples.
Updated the NSIS script for the Qt GPL version.
Set the window system to X11 for the darwin-g++ platform.
Added the Q_NO_USING_KEYWORD to the MetaSIP project.
Fixed bugs in QMenu.addAction() and QMenuBar.addAction().


2006/01/11 19:50:15  phil
Build system changes for Windows.
Added the NSIS installer script.
The examples are now given a .pyw extension on Windows.


2006/01/10 20:10:59  phil
Added the orderform.py and svgviewer.py examples from Baz Walter.
pyuic patch from Andreas.
Build system changes for Windows.
Implemented QVariant(bool).


2006/01/09 20:09:12  phil
Included the sub-directory name in the %Import directives.
mandelbrot.py change from DavidB.


2006/01/09 19:41:15  phil
Converted sipForceConvertTo_*() calls to sipForceConvertToTransfer_*() calls.


2006/01/09 17:50:04  phil
More build system changes for Windows (it now builds but doesn't run).
Added the missing /TransferThis/ on the QVBoxLayout ctor.
Added indexOf() and lastIndexOf() to QStringList and QItemSelection.
Added the more useful methods from QVector, and Python special methods, to
QPolygon and QPolygonF.


2006/01/08 21:56:45  phil
Removed QWidget.handle().
Fixed Windows portability problems with QPrinter.


2006/01/08 16:00:32  phil
spinboxes.py example fix from Douglas.
Added MSG and QWidget.winEvent() for Windows.
Various build system changes for Windows.


2006/01/06 19:30:57  phil
Small fix to the puzzle.py example.
Removed some redundant class scopes in handwritten code.
Removed the wrappers for qHash().
QString.__hash__() now uses qHash().
Implemented QByteArray.__hash__().
Added the i18n.py example from Douglas.


2006/01/05 23:09:32  phil
Added the samplebuffers.py example from Baz.
Made sure metric() is defined for all QPaintDevice sub-classes.


2006/01/05 15:59:09  phil
Moved the puzzle example to it's correct location.


2006/01/04 13:11:11  phil
Added the puzzle.py example from Andreas.
Added Python ctors to convert from a QVariant for all classes that define a
QVariant cast operator.


2006/01/03 23:51:57  phil
Added the SQL examples from Andreas.
Made sure that SIP processes QColor before QBrush so that the latter's
%ConvertToTypeCode doesn't mislead their QVariant cast operators.


2006/01/03 21:08:04  phil
Added the broadcastreceiver.py, broadcastsender.py, dirview.py, loopback.py,
mandelbrot.py, pixelator.py, saxbookmarks.py, semaphores.py, sortingmodel.py,
threadedfortuneserver.py and waitconditions.py examples from Andreas.
docwidgets.py fixes from Andreas.
Added missing /TransferBack/ annotations to mimeData() methods for model and
widget classes.
Added missing /ReleaseGIL/ annotations to QMutex.
Reordered the QHostAddress ctors so that the SpecialAddress enum wouldn't be
misinterpreted.
Added the missing %ConvertToSubClassCode for QtNetwork.


2006/01/02 19:03:05  phil
Updated the license dates.
Removed the incorrect /Factory/ annotations from QTextCursor.
Added the dockwidgets.py, mdi.py, menus.py, recentfiles.py and sdi.py examples
from Andreas Pakulat.
Added the calendar.py example from Douglas.
pyuic fix from Torsten.


2005/12/29 22:36:32  phil
Added the QtSvg module.


2005/12/29 19:09:32  phil
Added the sub-class code for QAssistantClient.
Fixed the problem with importing the QtSql module.


2005/12/29 19:02:48  phil
Implemented the QtAssistant module.


2005/12/29 17:21:16  phil
Integrated Torsten's latest pyuic snapshot.


2005/12/29 15:15:29  phil
Wrapped qnetworkproxy.h and qglpixelbuffer.h.
The QtNetwork, QtOpenGL, QtSql and QtXml modules are now fully updated for Qt
v4.1.


2005/12/28 19:58:28  phil
Updated pyrcc4 from Qt v4.1 and regenerated all the example resource files.


2005/12/28 19:35:43  phil
Wrapped qabstractproxymodel.h, qprintengine.h, qsortfilterproxymodel.h and
qsyntaxhighlighter.h.
QtGui is now fully updated for Qt v4.1.
Updated all handwritten convertor code for the latest SIP changes.


2005/12/27 13:13:51  phil
QtCore is now fully converted to Qt v4.1.


2005/12/26 20:57:45  phil
Switch the build system to Qt v4.1.0.
Qt v4.0.x is no longer supported.
Wrapped qabstractfileengine.h and qfsfileengine.h.


2005/12/26 16:42:33  phil
Slight change to the DelayDtor code.


2005/12/26 15:06:51  phil
Implemented DelayDtor for QCoreApplication and QApplication (which fixes the
segfault when the grabber.py example terminates).


2005/12/26 11:01:42  phil
Fixed a couple of bugs in the application.py example.
Added an update from Qt 4.1.0 from Andreas Pakulat for the same example.
Replaced numeric values in QGLWidget.bindTexture() with the correct macro
names.


2005/12/25 12:39:08  phil
QWidget.setLayout() now transfers ownership of all the widgets in the layout to
their new parent.
Added the borderlayout.py example from Douglas.


2005/12/24 17:08:08  phil
Added the shapedclock.py and styles.py examples from Douglas.
Added the settingseditor.py example from Baz.
Converted %MethodCode to use sipSelfWasArg where necessary.


2005/12/22 22:10:48  phil
Added the fortuneclient.py and fortuneserver.py examples from Baz Walter.


2005/12/22 19:21:51  phil
QTextDocument.print() is now print_().
Updated extension.py, basiclayout.py, flowlayout.py, codecs.py, regexp.py and
tetrix.py examples from Baz Walter.
Added the findfiles.py, simplewizard.py, standarddialogs.py, ftp.py, http.py,
hellogl.py, syntaxhighlighter.py, dombookmarks.py examples from Baz Walter.


2005/12/22 16:23:19  phil
Really fixed the QCoreApplication/QApplication argc bug this time.


2005/12/21  0:18:44  phil
Added the draggabletext.py and fridgemagnets.py examples from DavidB.


2005/12/20 23:43:46  phil
Added the draggableicons.py example from DavidB.


2005/12/20 23:07:07  phil
Updated charactermap.py from DavidB.
Added the transformations.py example from DavidB.


2005/12/20 19:08:02  phil
Added the grabber.py, configdialog.py and tabdialog.py examples from Douglas.
Added the chart.py, painterpaths.py, textures.py, simpledommodel.py,
simpletreemodel.py, basicdrawing.py and concentriccircles.py examples from
DavidB.
Added pyrcc4 and wrapped qRegisterResourceData().
Switched the application.py and tooltips.py examples to use pyrcc4.
Wrapped the remaining QStyleOption classes.


2005/12/19 23:03:24  phil
Added QT_VERSION and QT_VERSION_STR to QtCore.


2005/12/19 14:53:16  phil
Clean up configure.py.
Integrated pylupdate.


2005/12/18 17:48:30  phil
Added a new pyuic4 snapshot from Torsten.
Added pylupdate4 from Detlev (not yet integrated into the PyQt build system).


2005/12/18 15:30:51  phil
Added the pyuic tests which got lost along the way.
pyuic4 is now installed.


2005/12/18 10:59:40  phil
Stripped the Qt3 specific stuff from configure.py.


2005/12/18 10:06:12  phil
Updated the internal build system not to include the .svn directory in
packages.


2005/12/17 19:43:58  phil
Changes to the internal build system for the CVS to SVN transfer.


2005/12/17 16:39:10  phil
Added the missing QStringList.count() overload.
Added the initial releaes of pyuic4 from Torsten Marek.


2005/12/12 22:19:44  phil
Added the tooltips.py example from Douglas Andrade.


2005/12/12 19:48:08  phil
Added __nonzero__, == and != operators to the QFlags template.
Added the windowflags.py example from Douglas Andrade. (It segfaults but there
isn't enough evidence yet to pin it down.)
Added the spinboxdelegate.py example from David Boddie.
Added the extension.py,  basiclayout.py and flowlayout.py examples from Baz
Walter.
Added a few list operators to QItemSelection.
Fixed the QKeySequence type convertor when Py_UNICODE_WIDE was defined.
Fixed QLayout.setGeometry() which isn't abstract despite what the .h file says.


2005/12/11 22:51:28  phil
Added the QFlags() ctor.
Attempted to fix the Unicode to QString conversion when Py_UNICODE_WIDE is
defined.


2005/12/09 23:59:18  phil
Added the spinboxes.py, sliders.py and wiggly.py examples from Douglas Andrade.


2005/12/08 22:19:25  phil
Fixed the signal handling for long long and unsigned long long in Qt v4.1.


2005/12/08 11:32:51  phil
Added the sub-class convertor code for the QtSql module.
Wrapped qdom.h and qxml.h. The QtXml module is now complete.


2005/12/08 00:25:33  phil
Wrapped qsql.h, qsqldatabase.h, qsqldriver.h, qsqlerror.h, qsqlfield.h,
qsqlindex.h, qsqlquery.h, qsqlquerymodel.h, qrelationaldelegate.h,
qrelationaltablemodel.h, qsqlresult.h and qsqltablemodel.h.  The QtSql module
is now completely wrapped.


2005/12/07 18:19:16  phil
Added the codecs.py and regexp.py examples from Baz Walter.
Removed the internal enum member from QTextFormat.Property.
Wrapped qgl.h and qglcolormap.h.  The QtOpenGL module is now complete.


2005/12/07 00:54:04  phil
Fixed a stray QMetaObject in qpalette.h.
Fixed the charactermap.py example.


2005/12/05 22:32:08  phil
Added the digitalclock.py, groupbox.py, imageviewer.py, lineedits.py,
screenshot.py and scribble.py examples from David Boddie.


2005/12/05 20:31:07  phil
Fixed a bug in the new Python signal handling.
Changed the implementation of QObject.metaObject() so that the icons.py example
works better (and it's probably more useful behaviour anyway).
Wrapped qstylefactory.h.
Added the analogclock.py, calculator.py, charactermap.py and icons.py examples
from David Boddie.


2005/12/05 09:55:07  phil
Removed PYSIGNAL from PyQt4.


2005/12/04 18:41:31  phil
Fixed the handling of horizontal and vertical stretch in QSizePolicy.


2005/12/04 16:36:15  phil
Added the tetrix.py example from Baz Walter.
A QColor can be used whenever a QBrush is expected.
A global color or a QColor can be used whenever a QPen is expected.
Added some missing private methods that were making some classes appear to be
abstract.
Added the missing QComboBox.clear() slot.
Finished wrapping qfontdatabase.h.
Wrapped qabstractsocket.h, qftp.h, qhostaddress.h, qhostinfo.h, qhttp.h,
qtcpserver.h, qtcpsocket.h, qudpsocket.h and qurlinfo.h.
The QtGui and QtNetwork modules are now complete.


2005/12/01 22:18:37  phil
Wrapped qlistwidget.h, qdrag.h, qdrawutil.h, qerrormessage.h, qfocusframe.h,
qfontdatabase.h, qitemdelegate.h, qitemeditorfactory.h, qpixmapcache.h,
qrubberband.h, qsound.h, qproxymodel.h, qstandarditemmodel.h and
qstringlistmodel.h.


2005/12/01 19:21:32  phil
Wrapped qcheckbox.h, qcolordialog.h, qcombobox.h, qlineedit.h, qvalidator.h,
qabstractitemview.h, qitemselectionmodel.h, qabstractspinbox.h,
qdatetimeedit.h, qdial.h, qfontdialog.h, qgroupbox.h, qinputdialog.h,
qlistview.h, qpagesetupdialog.h, qabstractpagesetupdialog.h, qprintdialog.h,
qabstractprintdialog.h, qprogressbar.h, qprogressdialog.h, qradiobutton.h,
qscrollarea.h, qsizegrip.h, qspinbox.h, qsplashscreen.h, qsplitter.h,
qstackedwidget.h, qtabbar.h, qtableview.h, qheaderview.h, qtablewidget.h,
qtabwidget.h, qtextbrowser.h, qtoolbox.h, qtoolbutton.h, qtooltip.h,
qtreeview.h, qtreewidget.h, qwhatsthis.h and qworkspace.h.
Added type convertors so that a Qt.GlobalColor can be used whenever a QColor or
QBrush is expected.
Updated the tutorials to exploit the type convertors.


2005/11/30 23:57:03  phil
For PyQt4, allow a Qt.CursorShape to be used whenever a QCursor is expected.
For PyQt4, allow a string, unicode string or QString to be used whenever a
QKeySequence is expected.
Updated the application.py example to take advantage of the above.


2005/11/30 19:01:57  phil
Wrapped qdialog.h, qfiledialog.h, qstyleoption.h, qabstractitemdelegate.h,
qdirmodel.h, qmainwindow.h, qdockwidget.h, qmenubar.h, qmessagebox.h,
qstatusbar.h, qtoolbar.h, qabstractscrollarea.h, qtextedit.h, qtextcursor.h,
qtextdocument.h, qabstracttextdocumentlayout.h, qprinter.h,
qtextdocumentfragment.h, qtexttable.h, qtextlist.h, qtextobject.h, qstyle.h,
qscrollbar.h, qtextlayout.h.
Updated the QObject sub-class conversion code.
Debugged the PyQt4 application.py example.


2005/11/29 13:06:37  phil
Added the sub-class conversion code for QEvent in QtGui.
Added the initial sub-class conversion code for QObject in QtGui.
Added debug support to the PyQt4 build.
Fixed a long standing bug with QApplication ctors that only showed itself with
Qt4.


2005/11/25 17:46:55  phil
Finished wrapping qshortcut.h.
Commented in the QShortcut ctors in the t14.py tutorial.
Added the application.py example - requires several unwrapped classes.


2005/11/24 17:45:09  phil
Added the missing /ReleaseGIL/ to QThread.exit().


2005/11/24 17:22:31  phil
Changes required for the modified mapped type template syntax.
Partly implemented the problematic QShortcut ctor.


2005/11/23 21:54:47  phil
Note: the PyQt4 snapshot will not build at the moment.
Finished wrapping qlabel.h, qpushbutton.h, qwidget.h, qapplication.h, qevent.h,
qpainter.h and qbrush.h.
Wrapped qtextoption.h, qfontinfo.h, qmovie.h, qimagereader.h, qmime.h,
qactiongroup.h, qinputcontext.h, qtextformat.h, qmenu.h, qaction.h,
qdesktopwidget.h, qclipboard.h, qsessionmanager.h, qfontmetrics.h and
qpainter.h.


2005/11/19 18:09:37  phil
Changed the use of randint() in the PyQt4 tutorials.


2005/11/19 18:07:25  phil
Wrapped qgridlayout.h and qstackedlayout.h.
Started to wrap qlabel.h and qshortcut.h.
Reviewed the transfer annotations for the layout classes.
Added the t6.py, t7.py, t8.py, t9.py, t10.py, t11.py, t12.py, t13.py and t14.py
(except for QShortcut) tutorials.


2005/11/18 23:24:18  phil
Added missing /TransferBack/ annotations from QLayout classes.
Wrapped a bit more of qwidget.h.


2005/11/18 18:06:02  phil
Added the t2.py, t3.py, t4.py and t5.py examples.
Fixed the return types of QObject.connect() and QObject.disconnect().
Finished wrapping qabstractbutton.h.
Wrapped qApp, qicon.h, qiconengine.h, qabstractslider.h, qslider.h, qframe.h,
qbuttongroup.h, qkeysequence.h, qlayoutitem.h, qlayout.h and qboxlayout.h.


2005/11/17 18:09:28  phil
Finished wrapping qbitmap.h, qfont.h, qimage.h, qpolygon.h, qregion.h,
qpaintengine.h and qpixmap.h.
Wrapped qvector.h, qrgb.h, qpen.h, qcolor.h, qpalette.h, qcursor.h and
qsizepolicy.h.
Started to wrap qpainter.h, qbrush.h, qevent.h, qabstractbutton.h and
qpushbutton.h.
Added the t1.py tutorial.
Changed the build system so that PyQt4 examples get packaged.


2005/11/16 17:15:48  phil
Finished wrapping qmatrix.h and qpainterpath.h.


2005/11/15 17:20:24  phil
Started to wrap qregion.h, qbitmap.h, qimage.h, qmatrix.h and qpolygon.h.


2005/11/14 17:21:26  phil
Fixed a bug with universal slots when the transmitter wasn't a QObject (ie. a
QMovie).
Fixed a bug in the dirview.py example.
Started to wrap qpixmap.h.
Fixed configure.py to link against QtGui.


2005/11/13 17:46:52  phil
Started to wrap qfont.h and qpainterpath.h.
Wrapped qwindowdefs.h.


2005/11/12 10:26:31  phil
Started to wrap qapplication.h and qwidget.h.
Wrapped qpaintdevice.h and qpaintengine.h.


2005/11/10 21:10:46  phil
Updated the PyQt4 QObject subclass convertor code.
Added the PyQt4 root module name.


2005/11/10 17:28:16  phil
Wrapped the rest of the QtCore module (qlibraryinfo.h, qmutex.h, qprocess.h,
qreadwritelock.h, qsemaphore.h, quuid.h, qtextcodec.h, qtextstream.h and
qstringmatcher.h).
Added the QtGui module stub.
Added support for QtGui to the build system.


2005/11/09 18:09:55  phil
Updated the QObject sub-class conversion code for PyQt4.


2005/11/09 18:00:47  phil
Fixed the GIL bug in qInstallMsgHandler() (and for post routines in PyQt4).
Wrapped qbasictimer.h, qbuffer.h, qbytearraymatcher.h, qfile.h, qdir.h,
qfileinfo.h and qtemporaryfile.h.


2005/11/06 17:43:17  phil
Finished wrapping qabstractitemmodel.h, qabstracteventdispatcher.h,
qsignalmapper.h and qobject.h.


2005/11/03 22:25:04  phil
Finished wrapping qcoreapplication.h.
Wrapped qpluginloader.h, qmimedata.h, qsignalmapper.h, qtimer.h,
qsocketnotifier.h, qlibrary.h and qsettings.h.
Wrapped most of qabstractitemmodel.h, qsignalmapper.h and
qabstracteventdispatcher.h.


2005/11/02 22:54:37  phil
Wrapped qtranslator.h and qeventloop.h.
Wrapped most of qapplication.h.


2005/11/02 19:16:17  phil
Wrapped qmap.h, qmetaobject.h, qobjectdefs.h, qthread.h, qdatetime.h, qsize.h,
qpoint.h, qline.h, qrect.h, qurl.h and qlocale.h.
Finished wrapping qobject.h and qvariant.h.


2005/11/01 22:08:32  phil
Wrapped more of qobject.h.


2005/10/30 17:34:17  phil
Started to wrap qobject.h
Wrapped qeventcore.h, qvariant.h.


2005/10/26 14:34:57  phil
Modified the QString buffer interface to be reentrant and to try and use the
default Python codec.


2005/10/24 16:35:38  phil
Fixed (the usual) problem with the internal build system with using the new SIP
directives.


2005/10/23 16:02:47  phil
Support for the buffer interface added to QString and QByteArray for PyQt4.
QObject.sender() now supports Python signals.


2005/10/22 22:38:54  phil
Implemented the buffer interface for QString.


2005/10/22 12:17:27  phil
Repaired the damage done by a bug in MetaSIP.


2005/10/19 13:38:24  phil
Improved the fix to QClipboard.setData().
Wrapped qiodevice.h.


2005/10/16 16:09:29  phil
Wrapped qlist.h.
Generate the correct overnight downloads in the internal build system.
PyQt4 .sip files are now properly licensed.


2005/10/13 18:52:02  phil
Fixed the internal build system to build commercial and GPL packages for all
platforms.
Fixed the handling of QClipboard.setMimeType() and a related memory leak.
Remove some unnecessary thread handling as PyQt4 doesn't need to support SIP3.


2005/10/12 21:11:15  phil
Fixed bug in configure.py when the Qt bin directory isn't on the path.
Fixed compilation problem with QAxBase handwritten code and MinGW.
Changed the internal build system so that PyQt4 doesn't have platform specific
packages.
Added the * and *= operators to QString.
Removed some QString methods that were passing or returning arrays.
Wrapped qbytearray.h.


2005/10/11 21:13:48  phil
Added /Numeric/ to the QString + operator. The improved behaviour (being able
to write s = "foo" + QString("bar")) should now work in both PyQt3 and 4.


2005/10/11 17:50:23  phil
Merged the PyQt4 branch into the trunk.


2005/10/10 19:16:35  phil
Wrapped more of qstring.h.


2005/10/07 23:34:07  phil
Wrapped qregexp.h.
Added the handwritten Python slots to QStringList.


2005/10/07 18:15:37  phil
Added placeholders for the QStringList operators.


2005/10/06 21:57:32  phil
Wrapped most of the rest of qstring.h.
Wrapped most of qstringlist.h.


2005/10/05 20:59:28  phil
Wrapped qchar.h.
Started to wrap qstring.h (so it won't build at the moment).


2005/10/05 15:40:07  phil
Removed the unsupported operator from QFlags.


2005/10/05 09:57:15  phil
Wrapped the contents of qglobal.h and qnamespace.h.


2005/09/22 20:18:39  phil
Updated the build system now that all Qt specific configuration data has been
removed from sipconfig.


2005/09/17 15:20:11  phil
PyQt4 packages are now prefixed with PyQt4.


2005/09/17 11:21:54  phil
The build system now builds and installs PyQt4.


2005/09/16 22:00:35  phil
Updated the build system for Qt v4 - not yet finished.


2005/09/15 19:44:39  phil
Created the v4 branch.
Added the initial MetaSIP project file.
Started to add support for PyQt v4 to the internal build system.


2005/09/10 21:33:59  phil
Fixed bug in configure.py when reporting an incorrect SIP version.


2005/09/08 20:16:33  phil
Updated the universal slot support to fit with the latest SIP snapshot.
Changed the way universal slots are implemented so they get destroyed when the
corresponding transmitter gets destroyed.


2005/09/07 20:53:52  phil
Removed support for SIP v3 in configure.py.
Minor pyuic fix taken from uic v3.3.5.
Added the missing MacintoshVersion enum.
Added the -f flag to configure to use any existing features file (by default it
is recreated).


2005/09/06 20:33:43  phil
Removed support for SIP v3 from configure.py.
Added the new Qt support code taken out of SIP.


2005/08/30 17:31:05  phil
Released as v3.15.


2005/08/17 22:30:17  phil
Replaced all the (now deprecated) sipTransfer() calls in handwritten code.


2005/08/10 22:10:29  phil
Synced with the latest QScintilla.
Updated the documentation.


2005/07/26 11:08:23  phil
Synced with the current QScintilla.


2005/07/25 18:24:29  phil
Added the sipTransfer() to QDialog.exec_loop().


2005/07/24 20:16:51  phil
Synced with the latest QScintilla.
Added the registerWeakActiveObject() and revokeActiveObject() utility
functions to QAxBase.


2005/07/10 09:46:49  phil
Added %ConvertSubClassCode to QLayoutItem.


2005/07/09 17:55:30  phil
Sync'ed with the latest QScintilla changes.


2005/07/06 18:20:26  phil
Fixed the bug in QObject's type conversion graph.
Added the QextScintillaLexerPOV class.
Fixed configure.py so that it properly enables support for the latest
QScintilla.


2005/07/05 21:04:26  phil
Added the extra flag to QextScintilla.findFirst().


2005/07/04 19:17:38  phil
Synced with the latest version of QScintilla.


2005/07/03 16:58:21  phil
Added support for QAxBase now that SIP has better support for abstract
classes.


2005/06/30 15:38:41  phil
Reimplemented all the %ConvertToSubClassCode for QObjects so that it returns
the most specific type that it can, even if it doesn't recognise the exact
type.


2005/06/19 13:49:51  phil
Hopefully fixed QImage() for colours with unsigned 32 bit values.


2005/06/10 16:45:00  phil
Fixed the return value of QMenuData.insertSeparator().


2005/05/20 17:25:45  phil
Fixed a problem where the readBlock() and readLine() methods of QIODevice were
wrongly expecting a tuple result from a Python reimplementation.


2005/05/04 18:41:49  phil
Fixed pyuic bug where a required QIconSet ctor wasn't being generated.


2005/04/17 09:04:01  phil
Documented the limitations with super.
Fixed the qdir.py example bugs tiggered by SIP doing some more rigourous
checks.


2005/04/15 13:31:55  phil
Added missing Py_DECREF() from QObject.queryList() %MethodCode.


2005/04/14 18:17:58  phil
Implemented the QString '+' operator.


2005/04/09 15:35:48  phil
When None is passed as a QString (or QByteArray or QCString) then it is now
converted to NULL rather than a null QString.


2005/04/04 15:59:27  phil
Fixed a problem with the internal build system caused by the new SIP garbage
collector directives.


2005/04/02 23:10:46  phil
Fixed the QCustomEvent %GCClear code.


2005/04/02 22:28:50  phil
Added the new %GCTraverseCode and %GCClearCode to QCustomEvent.
Now requires SIP v4.3.


2005/04/02 09:53:27  phil
Replaced the new /NoConvertor/ annotation with /Constrained/.


2005/03/25 20:18:32  phil
Accel and AccelOverride should now result in QKeyEvent instances rather than
QEvent instances.
Added missing private dtors.


2005/03/25 14:24:45  phil
Fixed bug in configure.py when reporting incorrect SIP versions.


2005/03/11 19:18:46  phil
Fixed qInstallMsgHandler() for SIP v3.


2005/03/10 18:55:52  phil
Fixed QPixmapCache.insert().


2005/03/06 10:09:06  phil
Released as v3.14.1.


2005/02/26 11:22:18  phil
Fixed problem with relative path arguments to configure.py.


2005/02/25 17:46:51  phil
Added the missing /ReleaseGIL/ annotations from the static QFileDialog methods.
Fixed QObject.queryList() (for SIP v4 only).


2005/02/19 15:23:42  phil
Added the QextScintillaLexerLua class.
Released as 3.14.


2005/02/18 19:01:46  phil
Fixed the dirview.py example so that it drags local filenames properly and the
folderSelected() signal works the same way as the C++ version.
Added the qdir.py example from Hans-Peter Jansen.
Updated the QAxObject and QAxWidget documentation.
Added qInstallMsgHandler().
Added the missing classes from the qtext subclass convertor code.


2005/02/13 10:47:50  phil
Updated the documentation on QFilePreview.
Fixed a bug in pyuic related to QDataBrowser.del().


2005/02/11 22:54:02  phil
Updated the NEWS file and the documentation.


2005/02/11 17:19:19  phil
Fixed broken QObject.inherits() and QObject.isA() (for SIP v4 only).
Changes in version numbers for Qt v2.3.10.
Removed the "Extracting ..." message from pyuic as it isn't always true.


2005/02/06 14:39:57  phil
Release the GIL on calling QApplication.enter_loop().


2005/01/29 10:15:48  phil
Synced pyuic with Qt v3.3.4.


2005/01/22 18:13:35  phil
PyQt now requires SIP v4.2 or later.


2005/01/22 11:54:13  phil
Fixed bug in pyuic where it wasn't importing QDataView when it should.


2005/01/21 17:29:52  phil
Added a missing /Transfer/ from QScrollView.setCornerWidget().
Synced with the current QScintilla snapshot.


2005/01/17 13:04:46  phil
Fixed a bug in the internal build system.


2005/01/16 13:06:16  phil
Fixed bugs related to most implementations of readBlock() and readLine().


2005/01/14 23:30:27  phil
Removed the out of date README.Linux file.


2005/01/14 17:36:52  phil
Backed out the changes to QListBox now that SIP (again) has strict enum
checking.
Fixed enum related bugs in the widgets.py example.
Updated the copyright notices.
Added support for Ulli's VendorID package.
Updated the documentation on application deployment.
Added support for debug builds to the internal build system.


2005/01/09 14:02:11  phil
Fixed QListBox so that setRowMode() and setColumnMode() work properly with the
newly relaxed enum type checking in SIP 4.


2004/12/29 18:54:44  phil
Added missing const to QDataTable.setDateFormat().


2004/12/26 12:32:59  phil
Added support for the QextScintillaLexerRuby class.


2004/12/24 17:54:25  phil
Removed the -g flag from the configure.py help as the corresponding sip flag is
now deprecated.
Hopefully fixed conversions from Python unicode objects to QStrings where
Python uses longs to represent a character.
Allow for spaces in the path to the SIP binary.


2004/12/23 22:44:18  phil
Updated the documentation regarding application deployment.


2004/12/19 19:29:04  phil
Added the option to build static modules to the internal build system.


2004/12/10 19:03:18  phil
Fixed a pyuic bug triggered by the new enum handling in SIP v4.2.


2004/12/10 18:07:52  phil
Fixed debug builds on Windows.


2004/12/05 14:53:42  phil
Fixed pyuic bug (introduced in 3.13) that broke support for QAxWidget based
instances.


2004/12/03 19:00:06  phil
Added a missing /TransferThis/ to QSyntaxHighlighter.


2004/10/31 16:33:07  phil
Sync'd to the current QScintilla snapshot.


2004/10/17 19:27:08  phil
Minor change to the documentation.


2004/10/02 11:51:27  phil
A couple of bug fixes for the webbrowser.py example.


2004/10/01 23:09:30  phil
Changed the SIP tag of the educational version.
Added the webbrowser example to the distribution.
Minor fix for the webbrowser example.


2004/09/21 14:17:09  phil
Fixed a bug in pyuic2.
Released as v3.13.


2004/09/21 11:14:48  phil
Updated the NEWS file.


2004/09/15 12:40:09  phil
Added the QMetaObject and QMetaProperty classes.
Added the QObject.metaObject() method.


2004/09/12 11:41:49  phil
Added support for the QextScintillaLexerBash class.


2004/09/10 22:38:09  phil
Removed redundant implementations of QSqlRecord.field().
Replaced whrandom with random in all examples.


2004/08/25 15:29:20  phil
Added explicit support for QScintilla to pyuic.


2004/08/22 15:51:05  phil
Added support for what will become QScintilla v1.4.


2004/08/20 11:07:56  phil
Brought the documentation up to date.
Added support for QUuid.


2004/08/19 10:32:31  phil
Pushed out support of QAxObject to SIP v4.2.
Added /ReleaseGIL/ to any QApplication and QThread method that might cause
events to be dispatched.


2004/08/15 23:34:28  phil
Updated pyuic from Qt 3.3.3.
pyuic now never uses the SLOT() macro in case the connection is to a method of
a Python custom widget.


2004/08/04 18:05:25  phil
Added the comparison operators between QChar and QChar and char.


2004/08/04 14:06:41  phil
Implemented all the QDataStream << and >> operators for classes.


2004/08/03 22:19:59  phil
Build system fix for when QWindowsXPStyle is a plugin.


2004/07/19 18:41:53  phil
Fixed a bug in the fontdisplayer.py example.


2004/07/08 08:40:54  phil
Minor internal changes.


2004/06/27 08:43:19  phil
Added a missing /TransferThis/ from one of the QPushButton ctors.


2004/05/26 22:15:40  phil
Added another missing /ReleaseGIL/ to QApplication.


2004/05/25 17:05:27  phil
Fixed bug in QArray for old versions of Qt.
Fixed QAssistantClient bug in configure.py for old versions of Qt.
Fixed QSocket bug for old versions of Qt.
Released as v3.12.


2004/05/25 13:55:07  phil
Added missing /ReleaseGIL/ to QThread.


2004/05/25 11:26:37  phil
Internal build system changes.


2004/05/18 18:33:03  phil
Added the webbrowser.py example (which will have to wait until SIP v4.1 before
it works).
Added missing /ReleaseGIL/ to QWaitCondition, QMutex and QMutexLocker.


2004/05/15 14:18:24  phil
Fixed bug that accidentally disabled the qtsql module for the free edition.
Disabled the qtaxcontainer module until SIP v4.1.


2004/05/09 11:19:26  phil
Minor pyuic3 changes to support QAxWidget.
Marked the qtaxcontainer classes as experimental.


2004/05/04 16:01:57  phil
qwindowdefs.sip for all platforms is now included in the commercial package.
Changed the SIP3 dependency to v3.10.2.
QValueList<QIconDragItem> is now dependent on the Qt_ICONVIEW feature.
pyuic and pylupdate will now build on the Enterprise Edition even if the qtxml
module has been disabled.
Compiler error messages during configuration are suppressed if possible, but
can be seen with the new -w flag.
configure.py now explicitly checks QAssistantClient rather than assume it is
present in the Enterprise Edition.
The qtaxcontainer module now builds on Windows.


2004/05/02 00:38:16  phil
Sync with the latest QScintilla snapshot.


2004/05/01 17:10:57  phil
Fixed more minor build problems.
The commercial version now has identical code on all platforms.


2004/04/30 21:50:33  phil
Fixed an internal build problem.
Implemented QValueList<QVariant> as a mapped type.  (Done in the previous
commit but I forgot to mention it.)


2004/04/25 22:09:09  phil
Added the qtaxcontainer module - doesn't work yet, but shouldn't break
anything.


2004/04/24 08:43:22  phil
Update the documentation to say that Qt v3.3.2 is supported.


2004/04/18 15:45:12  phil
Changed the build system to deal with the evaluation version of PyQt.


2004/04/13 18:24:04  phil
QAssistantClient is disabled for the Professional Edition because it requires
code from the Enterprise Edition (only seems to affect Windows though).


2004/04/12 14:49:33  phil
Added the QextScintillaLexerPerl class to the qtext module.


2004/04/04 17:01:11  phil
Minor fixes to the dirview.py example.
Sync'ed with the current QScintilla snapshot.


2004/03/30 18:22:25  phil
Fixed a bug where the destruction of QTab instances wasn't noticed.


2004/03/28 15:16:50  phil
Updated to the latest QScintilla snapshot.


2004/03/27 18:26:02  phil
Updated for the latest changes to QScintilla.


2004/03/21 21:09:25  phil
Changed the configure.py message when testing for plugins to be the right
"sense".
Updated the QScintilla support for v1.3.


2004/03/11 19:05:38  phil
Changed the SIP v3 dependency to v3.10.1.
Released as v3.11.


2004/03/11 01:22:12  phil
Minor changes to the internal build system.


2004/03/10 18:29:30  phil
Brought the documentation up to date.
Minor internal build system changes.
The build system now disables style classes built as plugins.
Changed the handwritten code to use the SIP generated feature #defines rather
than the unreliable (in the case of plugins) Qt ones.


2004/02/26 18:56:39  phil
Updated the documentation to say that PyQt has been tested against Qt v3.3.1.
Updated the internal build system to exploit distcc.
Fixed bug in the conversion from Python lists to QMemArrays.


2004/02/15 22:34:39  phil
Fixed the canvas.py example's handling of multiple views.


2004/02/11 19:24:10  phil
Fixed the old build system for Qt v3.3.0.


2004/02/07 17:38:52  phil
Fixed a couple of bugs in pyuic3 and added the spacer.ui form to verify it.


2004/02/02 22:27:48  phil
Updated pyuic from Qt v3.3.0.


2004/02/01 14:38:18  phil
Added the QLocale class from Qt v3.3.0.
Updated all existing classes for Qt v3.3.0.
Added the missing += operators for QString.
Added the missing QSocketDevice class.


2004/01/31 23:09:45  phil
Added the missing /Transfer/ from QMimeSourceFactory.setData() and
QMimeSourceFactory.setDefaultFactory().
Added the missing /TransferBack/ from QMimeSourceFactory.takeDefaultFactory().
Added the missing /Factory/ from createEditor() in QTableItem and sub-classes.
Added the missing /Factory/ in QTextCodec.makeDecoder(),
QTextCodec.makeEncoder() and QTextEdit.createPopupMenu().
Added Qt v3.3.0 support to the build system.
PyQt now builds against Qt v3.3.0.


2004/01/29 19:19:36  phil
Minor change to the internal build system.
Added README.AIX from Ulli Berning.


2004/01/27 08:34:21  phil
Reverted the accidental change to QTextEdit.find().
Fixed a couple of markup problems in the documentation.
Added the missing QHttp, QFtp and QLocalFs to the appropriate
%ConvertToSubClassCode.


2004/01/21 18:34:02  phil
Added some fixes for Qtopia v1.6 from Mickey Lauer.


2004/01/16 20:53:09  phil
Released as v3.10.


2004/01/15 20:04:11  phil
Changed configure.py to check that SIP was built with Qt support enabled as
early as possible.


2004/01/15 19:27:58  phil
Added a check for the SIP version number in configure.py.
Fixed pyuic3 not to use iostream and avoid warning messages with MSVC.


2004/01/04 18:52:29  phil
Minor updates to the build system.


2004/01/03 23:57:31  phil
Updated the copyright notices.
Changed pyuic3 to only #include zlib.h for Qt versions before 3.1.0.
Documented pyqtconfig.


2004/01/02 18:41:01  phil
Minor changes to the build system.
Repaired the completely broken pyqtconfig module.


2003/12/26 23:34:47  phil
Changes to the build system based on patches from Ulrich Berning.


2003/12/26 19:32:31  phil
Added the missing QFtp class.


2003/12/26 19:31:23  phil
Added the missing QHttp, QHttpHeader, QHttpRequestHeader, QHttpResponseHeader,
QLocalFs classes.


2003/12/21 17:28:16  phil
Documented sip.voidptr.asstring().


2003/12/21 16:07:00  phil
Fixed a bug when automatically converting to a QKeySequence.


2003/12/06 20:21:54  phil
Fixed a bug in the old build system for Windows.
Brought the documentation up to date.
Released as v3.9.


2003/12/04 19:35:28  phil
Updated the README for the new build system.


2003/12/02 00:00:35  phil
Slight change to handwritten code forced by the change to sipParseResult().


2003/11/23 17:04:10  phil
Removed qInstallPathSysconf() on Windows.


2003/11/22 20:54:01  phil
Windows related changes to the new build system.


2003/11/22 00:50:23  phil
Portability fixes for Qt v2 and Qtopia.


2003/11/21 23:06:14  phil
More changes to the new build system.  Tested with SIP v4 and Qt Professional
on Linux and SIP v3 and Python v1.5.2 on Linux.


2003/11/21 07:32:01  phil
SCons is now completely removed from the new build system.  PyQt will now build
with SIP v3 and SIP v4 on Linux.


2003/11/15 11:20:17  phil
More changes to the new build system.


2003/11/13 19:41:35  phil
More changes to the new build system.  PyQt now builds against the Professional
Edition.


2003/11/13 13:12:47  phil
New build system changes. PyQt now builds correctly on Linux for SIP v3 and SIP
v4.


2003/11/12 22:22:50  phil
Added more of the new build system.
Fixed a bug in pyuic3 handling of encoded strings (thanks to Joerg Kaercher).
Added the QImageIO class.


2003/11/05 20:33:43  phil
Added QListViewItemIterator.
Added the QDockArea << and >> operators.
Started on the new build system.


2003/10/27 23:23:07  phil
Removed more handwritten code now that SIP fully supports pointers and
references to base types.
Fixed a GIL problem with the QCanvasItem sub-class conversion code.


2003/10/26 22:53:03  phil
Added the missing QSettings.readBoolEntry().
Removed lots of non-virtual %MethodCode now that SIP automatically handles
returning multiple arguments.


2003/10/24 08:34:44  phil
Added /ReleaseGIL/ wherever looked sensible.


2003/10/23 18:27:30  phil
Used %Build rather than the deprecated %Makefile.
Used %ModuleHeaderCode and %TypeHeaderCode rather than the deprecated
%HeaderCode.
Used %ModuleCode and %TypeCode rather than the deprecated %C++Code.


2003/10/22 18:40:32  phil
Added %ConvertToSubClassCode for QTableItem and QCanvasItem.
Added the missing qtui module documentation.
Refactored the internal and external build systems so that the .sip files are
arranged in a hierarchy and are installed.
Added the -v flag to build.py to specify where the .sip are installed to.


2003/10/21 16:40:12  phil
Fix to build.py for the Mac.


2003/10/21 13:39:18  phil
Fixed Windows warning message from qmemarray.sip handwritten code.
Fixed internal build.py to generate Mac packages properly.


2003/10/20 18:50:07  phil
More MacOS/X related changes.
Compiler warnings are now enabled when building with SIP v4.
PyQt builds with no warnings with SIP v4.


2003/10/19 19:47:35  phil
Documentation updates.
Removed the tests for missing functions in early versions of Qt for MacOS/X.
Updates to the build system for MacOS/X.


2003/10/16 15:50:38  phil
Replaced the use of __cmp__ in QString because it doesn't work with SIP v4 if
the argument isn't of the same type - it's just the way new-style classes work.
Removed the QString.__cmp__() unit test as the implementation no longer uses
handwritten code.


2003/10/15 18:19:07  phil
Added the "-r" flag to build.py to build with tracing enabled.
Rewrote all the unit tests to work with PyQt generated with SIP v4.


2003/10/11 21:57:20  phil
Brought the documentation up to date.
Changed handwritten code for the changes to sipCallMethod(), sipParseResult()
and sipBadCatcherResult().


2003/10/08 15:04:46  phil
Fixed the internal build system (again).


2003/10/07 19:33:13  phil
Fixed QIODevice handwritten code which looked very broken.
Checked all virtual abstract functions that need handwritten code.
Added /TransferBack/ for function return values where needed.
Added the missing qInstallPath(), qInstallPathDocs(), qInstallPathHeaders(),
qInstallPathLibs(), qInstallPathBins(), qInstallPathPlugins(),
qInstallPathData(), qInstallPathTranslations(), qInstallPathSysconf().
Made sure all handwritten code uses functions that are part of the SIP v4 API.


2003/10/04 16:14:45  phil
Changed how sipClassName() is used now that it returns a new reference.


2003/10/04 11:16:21  phil
Migrated the remaining %MemberCode to %MethodCode.
Changed the QApplication dtor code slightly to keep the public SIP API simple.
(It means that disowning a top level widget now adds the extra reference, but
this shouldn't make a difference.)


2003/10/02 22:54:43  phil
Documented QLayoutIterator.next().
Fixed problem with build system that was preventing snapshots being generated
after the addition of %MethodCode.
Fixed QSpinBox.mapTextToValue() to take zero parameters.
Converted most of %MemberCode to %MethodCode (ie. the easy ones).


2003/10/01 14:00:15  phil
Converted all ctor %MemberCode to %MethodCode.


2003/09/23 19:33:07  phil
Converted all Python special methods and operators from %MemberCode to
%MethodCode.
Fixed bug in build system that disabled thread support.


2003/09/19 15:30:09  phil
Changes to the build system for SIP v4's new build system.


2003/09/19 00:28:39  phil
Fixed converting Python wide Unicode strings to QString for Qt v2.  (Actually
done with an earlier change but I forgot to mention it.)
Updated the documentation on application deployment to reflect the changes to
the build system.
The documentation is now a single HTML file with a TOC.
More changes to the build system.  Tested with tmake and Windows.


2003/09/18 13:47:07  phil
More changes to the build system after initial testing.


2003/09/17 18:28:40  phil
Re-factored build.py to use the sipconfig module.  Only tested on Linux with
Qt v3.2.1 Enterprise and Python v2.3.


2003/09/06 13:35:02  phil
QWMatrix fixes from Torsten Marek.
Added the undocumented "*" operators to QWMatrix.
Updated the educational version to v3.2.0.
Released as v3.8.1.


2003/08/24 18:43:40  phil
Updated the tutorials so that they have a consistent coding style and don't use
"import *".
Updated the documentation to say that Qt v3.2.1 is supported.


2003/08/17 12:25:57  phil
Fixed QPrinter.winPageSize() for Qt versions before v3.
Released as v3.8.


2003/08/17 10:02:11  phil
Fixed problem with QRect | and & operators.


2003/08/16 21:14:09  phil
Fixed the code generated by pyuic3 when the -x and -subimpl flags are both
given.
Brought the documentation up to date.


2003/08/13 17:50:14  phil
The == and != operators have been implemented for QBrush, QColor, QDomNode,
QFont, QImage, QKeySequence, QPalette, QPen and QRegExp.
The +, +=, -, -=, *, *=, /, /=, ==, != and __nonzero__() operators have been
implemented for QSize.
The ==, != and QString() operators have been implemented for QUrl.
The &, &=, |, |=, ==, !=, __contains__() and __nonzero__() operators have been
implemented for QRect.
The |, |=, +, +=, &, &=, -, -=, ^, ^=, ==, !=, __contains__() and __nonzero__()
operators have been implemented for QRegion.
The ==, != and *= operators have been added to QWMatrix.
The __len__(), __contains__(), == and != operators have been implemented for
QDir.
The comparison operators and __nonzero__() have been implemented for QDate,
QDateTime and QTime.
Added some consts to the QString operators.
Added the QDate, QDateTime, QDir, QRect, QRegion, QSize and QTime unit tests.
Added the runtests.py master unit test runner.


2003/08/12 20:34:29  phil
Fixed memory leak in QStringList * operator.
Added the QPoint operators (thanks to Torsten Marek).
Added the QPoint unit test.


2003/08/12 15:31:24  phil
Fixed deprecated use of iostream.h in pyuic3.
Updated the QScintilla support.


2003/08/11 18:52:45  phil
Fixed version problem with QToolBox.


2003/08/01 09:42:10  phil
Added the missing Qt.ButtonState.MetaButton.
Added support for the [], in, len and comparison operators to QString (thanks
to Torsten Marek).
Added the test_QString.py test script.


2003/07/25 23:38:36  phil
Refined the pyuic3 changes - because KWrite is crap.


2003/07/25 23:36:11  phil
Added the menus.ui test form.
Some pyuic3 format changes from Detlev.


2003/07/25 12:13:44  phil
Updated pyuic for Qt v3.2.0.


2003/07/24 17:20:59  phil
Added QSplashScreen, QSqlSelectCursor and QToolBox for Qt v3.2.0.
Fix to build.py error message.


2003/07/24 10:52:38  phil
Minor license handling changes.
Fixed memory leak in QStringList[] when using slices.
Added the -k flag to build.py to create static modules.
Updated README.MacOSX from Willard Myers.
Updated all existing classes for Qt v3.2.0.


2003/07/05 10:31:55  phil
Fixed problem with include directories when using tmake.
Released as v3.7.


2003/07/05 09:59:37  phil
Provisional release of v3.7.


2003/07/03 16:17:55  phil
pyuic3 now says what it is extracting on stderr rather than stdout.


2003/07/01 14:18:37  phil
Brought the documentation up to date.
Added README.MacOSX (thanks to Bill Myers).
Added lots of new examples from Jorge Arroyo.


2003/06/30 09:23:25  phil
Changed all handwritten code to use the new 'L' format character where
appropriate.
Implemented __setitem__(), __delitem__(), __add__(), __iadd__(), __mul__(),
__imul__(), __eq__() and __ne__() for QStringList.
Added the internal QStringList unit tests.


2003/06/22 11:26:32  phil
%DtorCode has been renamed %VirtualCode.


2003/06/21 11:37:58  phil
Fixed the internal build process to deal with the new %DtorCode.


2003/06/19 23:53:49  phil
More changes to QCustomEvent which shouldn't now leak memory under any
circumstances.


2003/06/19 16:31:57  phil
QEvent.data() now returns a Python object without increasing it's reference
count.
The QEvent dtor is now virtual so that the Python wrapper object gets garbage
collected when Qt deletes the event when it's passed to
QApplication.postEvent().


2003/06/10 14:51:23  phil
(Hopefully) fixed pyuic3 compile bug under Windows.
Added the progressbar.py example from Jorge Arroyo.


2003/06/08 12:25:08  phil
Lots of build tidy ups from Hans-Peter Jansen.


2003/06/06 12:59:26  phil
pylupdate now recognises the __tr() and __trUtf8() methods generated by pyuic.
Added some missing /Transfer/ flags from QMenuData.
Updated the menu.py example so that it matches the latest Qt version.


2003/05/31 12:19:22  phil
Changed the build system to generate .in files which are then patched so that
the patched files stay around to aid debugging.
Removed unneeded directories from INCLUDEPATH in .pro files.


2003/05/30 17:52:06  phil
Don't generate the internal __tr() and __trUtf8() methods if the user passes
their own function name.


2003/05/30 17:47:57  phil
Added the listbox.py and listboxcombo.py examples from Jorge Arroyo.
build.py improvement in detecting executable programs.
Changed pyuic3 to generate calls to qApp.translate() rather than self.tr().
Documented the issues related to translations.


2003/05/23 22:03:05  phil
Fixed some bugs and inefficiencies in the canvas.py example so that it no
longer segfaults on exit when a sprite has been created.
Added bits(), scanLine(), jumpTable() and colorTable() to QImage.


2003/05/22 21:50:05  phil
Added the QWindowsXPStyle class. (Thanks to Ulrich Berning.)


2003/05/20 10:36:10  phil
Added QextScintilla.modificationAttempted().


2003/05/18 20:59:53  phil
Added QextScintillaBase.SCN_MODIFYATTEMPTRO.
Fixed pyuic3's broken handling of the -x flag.
Fixed pyuic3's broken generation of embedded images.
Fixed QImage ctor to use an internal colour table instead of an external one
that was garbage collected too soon.


2003/05/13 09:50:54  phil
Added the QSignalMapper class (thanks to Gordon Tyler).


2003/05/12 10:00:59  phil
Added toShort(), toUShort(), toInt(), toUInt(), toLong(), toULong(), toFloat()
and toDouble() to QCString and QString.


2003/05/11 10:26:44  phil
Added the QextScintillaLexerHTML class.


2003/05/07 21:07:04  phil
Changed the handling of version numbers so that we assume the latest SIP tags
if we find a QScintilla snapshot.


2003/05/07 16:53:05  phil
Updated the documentation to explicitly mention the problems of using lambda
expressions as slots.
Added the QextScintillaLexerSQL class.
Changed build.py to support QScintilla version control.


2003/05/04 09:57:19  phil
Fixed silly typo in build.py.


2003/05/03 14:50:03  phil
Removed some dead code from build.py.
The qt module was ignoring the release/debug option and the debug version of
the Python library wasn't being searched for.
Added the unittest tests for pyuic.
Fixed the last pyuic3 bugs related to embedded images.
Added the -test flag to pyuic3 to support fully automated unittest tests.


2003/04/26 15:24:45  phil
Released as v3.6.


2003/04/26 14:36:12  phil
Fixed tmake related breakages introduced with SIP v4 support in .pro files.


2003/04/26 13:58:00  phil
Fixed bug in concatanating source files.


2003/04/23 14:53:00  phil
Changed to the C++ style operators where possible.


2003/04/22 16:05:10  phil
Adjusted handwritten code for Python slots so that it will be compatible with
SIP v3 and v4.
QStringList.__getitem__ will now handle extended slices.


2003/04/18 22:17:26  phil
Tracked the latest QScintilla changes.


2003/04/16 11:42:45  phil
Fixed build.py for when SIP v4 is used.
Python v2.3 is now required if SIP v4 is being used.
Changed QCustomEvent.data() to deal with the changed support of SIP_PYOBJECT.


2003/04/13 15:42:08  phil
Temporarily made some handrwritten code dependent on SIP v3 while debugging
SIP v4.
Fix to pylupdate from Detlev.
Fix to pyuic3 related to pixmaps.


2003/04/07 11:52:33  phil
QCommonStyle is now always included (to fit with Qt v3), but it should still be
configured properly for the Zaurus.


2003/04/04 14:24:00  phil
Fixed typo in qpixmap.sip where some Qt v3 methods had been added to the Qt v2
definition.
Fixed some pyuic3 problems with embedded and external images.


2003/04/04 10:32:45  phil
SIP v4 related fixes to %VirtualCode.
Fixed some sipParseArgs() format bugs in qtxml handwritten code.
Added missing /TransferThis/ from QTableItem (and derived classes) ctors.
Added other missing transfer flags from some QTable methods.


2003/04/01 20:44:55  phil
Added support for the educational version.
Don't delete the .lib and .exp files as part of the installation on Windows.
Added the -j, -r and -t flags to build.py based on patches from Hans-Peter
Jansen.
Changed all sipNames to the new style.


2003/03/31 23:39:02  phil
Made sure Python.h is included before stdio.h for LFS support under Solaris.
Removed all uses of %ExportedHeaderCode for compatibility with SIP v4.
Implemented the %VirtualCode that is to be used with SIP v4.
Fixed some bugs in existing %VirtualCode.
Removed QTextEdit.getFormat() and QTextEdit.getParagraphFormat() as they are
undocumented and marked as "don't use".


2003/03/26 22:21:58  phil
Slightly changed the implementation of QObject.sender() to maintain
compatibility with SIP v4.
The build process no longer checks for sipQt.h as it isn't in SIP v4.
Added a missing #include in qnetwork.sip that only showed up with SIP v4.


2003/03/25 17:52:22  phil
Work around the problem that qmake doesn't like targets called "qt".  (For
SIP v4.)


2003/03/21 00:20:19  phil
Reverted the "fix" for libqassistantclient on HP-UX, and wait to see if anybody
complains.
pyuic now includes the PyQt version number in the generated output.
Fixed QPixmap handling bug in pyuic.


2003/03/16 16:24:24  phil
Tracked latest QScintilla changes.
Fixed an internal build problem with the documentation.


2003/03/15 23:42:55  phil
Tracked the latest QScintilla changes.
Brought the documentation up to date.


2003/03/14 19:49:44  phil
Added the missing %ConvertToSubClass code for the qtext module.


2003/03/13 12:59:44  phil
Tracked the latest QScintilla changes.


2003/03/09 18:37:13  phil
Tracked the latest QScintilla changes.


2003/03/06 10:35:32  phil
Tracked latest QScintilla changes.
Fixes for the mdi.py example from Ken Godee.
Further improvements to the build system's parsing of the Python version
number.
Fixes to the Qt class and pyuic to deal with the use of the internal
WState_Polished.


2003/03/03 18:03:41  phil
Tracked the latest QScintilla changes.


2003/02/27 16:21:33  phil
Updates for Qt v3.2.1.
Build system changes for alpha and beta versions of Python.


2003/02/26 23:40:22  phil
Tracked latest QScintilla changes.


2003/02/26 19:31:26  phil
Tracked latest QScintilla changes.
Fixed QListBox.eventFilter().
Added the qtui module.
Added /Factory/ to everywhere it seems to be needed.
Fixed Python 1.5.2 problems in the build system.
Updated the menu.py example for Qt3 (thanks to Selim Tuvi).
Fixed a bug in pyuic3 related to pixmaps in QListViewItems.
Fixed a bug in the canvas.py example.
PYQT_VERSION is now the version encoded as a hexadecimal value.
Added PYQT_VERSION_STR as the ASCII version (unless it is a snapshot).


2003/01/25 15:39:58  phil
Fixed bug in QPointArray.putPoints().
The sub-class convertors are now declared as static as SIP now puts them in the
main module code.
Changed the way that the QAssistantClient library is linked in to work around
problems linking static and shared libraries under HP-UX.
Fixed QSpinBox.eventFilter().


2003/01/20 10:24:19  phil
Applied Lars Heete's patch for QString for when Python is built with wide
Unicode support.
Tracked the latest QScintilla changes.


2003/01/14 09:55:52  phil
Added the version number to the %Module directives for SIP v4.


2003/01/11 15:15:49  phil
pyuic3 will look in the directory containing the .ui file for any .ui.h file.


2003/01/06 09:35:29  phil
pyuic3 now properly extracts embedded slot code that takes arguments.
Improved the layout of the pyuic3 generated code slightly.


2003/01/04 19:45:03  phil
Updated the copyright notices for 2003.
SLOT(), SIGNAL(), PYSIGNAL(), QT_TR_NOOP() and QT_TRANSLATE_NOOP() are now
implemented as wrapped functions.
PYQT_BUILD is now a string.


2003/01/02 16:00:47  phil
Fixed a bug in the build process for sip v3.


2002/12/28 17:34:17  phil
Changed the build system to cope with the changes that will be needed for
SIP v4.


2002/12/25 10:48:22  phil
Added the checklists.py and drawlines.py examples from Oleksandr Yakovlyev.
Added support for PEP 263 in the code generated by pyuic3.
Tracked latest QScintilla changes.
Implemented the QTextStream << QMainWindow and QTextStream >> QMainWindow
operators.


2002/12/20 18:51:37  phil
Added the biff.py example from Oleksandr Yakovlyev.


2002/12/20 18:46:10  phil
QString.startsWith() was introduced in Qt v2.2.0 and not Qt v3.0.0.
Added the updated buttongroups.py example from Oleksandr Yakovlyev.


2002/12/17 15:33:12  phil
pyuic3 will now extract Python code (tagged with "Python:") from the comments
in a .ui file and copy it to the generated output.


2002/12/17 13:20:37  phil
Tracked the latest QScintilla changes, including the new QextScintillaPrinter
class.


2002/12/13 18:27:26  phil
Change the build system to ensure that SIP .h files in the location specified
by the -s flag are used in preference to any others in the standard Python
location.
Added the Qtopia QCopEnvelope class.


2002/12/11 13:50:58  phil
Ensure that generated Makefiles have a later timestamp than the project file.
Released as v3.5.


2002/12/10 23:12:00  phil
Build change where FORCE wasn't being handled properly now that it is version
dependent.
Brought the NEWS file up to date.


2002/12/10 14:21:09  phil
Changes related to Qt v3.1.1.
Made Qtopia v1.5.0 the baseline version.
Added the AppLnk, AppLnkSet, Config, DateFormat, DocLnk, DocLnkSet,
FileManager, FileSelector, FileSelectorItem, FontDatabase, Global, MenuButton,
QDawg, QList<AppLnk>, QList<DocLnk> and Resource Qtopia classes.
Added QArray<int> for Qt 1.x and Qt 2.x.


2002/12/09 10:40:54  phil
Minor changes for building under Qt/E.


2002/12/08 17:56:27  phil
Worked around the Qt Windows bug in QSemaphore += and -= so that the
semaphore.py example now works properly with affected versions of Qt.


2002/12/05 17:28:24  phil
Added the script to create the test database for the SQL examples for
PostgreSQL (thanks to Kenneth Godee).
pyuic3 and pylupdate3 changes so that they compile against the Qt Professional
Edition.
Brought the documentation up to date.
Build system change for Qt v3.0.x and FORCE in Makefiles.


2002/11/29 10:59:32  phil
Fixed bugs in pyuic3 related to menus and embedded images.
Implemented QMenuItem.setText(), even though it is an internal class, because
it is used in code generated by pyuic3.


2002/11/26 12:50:45  phil
eric is now no longer part of the distribution.
Tracked the latest QScintilla changes.
Removed the automatic test for -fno-exceptions and added the -f flag to the
build system so that it can be explicitly set.
Fixed a pyuic3 indentation bug.


2002/11/22 22:43:29  phil
Tracked the latest QScintilla changes.


2002/11/22 10:15:46  phil
Fixed a couple of bugs in pyuic3's handling of embedded images.


2002/11/21 18:57:34  phil
Tracked the latest QScintilla changes.


2002/11/18 19:36:53  phil
The missing Windows QEventLoop methods should be added to Qt v3.1.1.
Fixed generation of QString::null in pyuic3.
Tracked latest QScintilla changes.


2002/11/14 22:44:42  phil
Fixed problems compiling against Qt v3.0.x introduced with the support for Qt
v3.1.0.


2002/11/14 22:32:14  phil
Minor build changes for Windows.
Removed the QEventLoop methods that seem to be missing under Windows.
QGLColormap was actually introduced in Qt v3.0 rather than Qt v3.1.


2002/11/13 20:23:43  phil
Tracked the latest QScintilla changes.


2002/11/11 11:59:24  phil
Added the missing QDockWindow.drawFrame() and QGLWidget.reparent() methods.
The build system will now recognise Qt v3.1.0.
Added the QAssistantClient, QEventLoop, QGLColormap, QIconFactory,
QIMComposeEvent, QMutexLocker and QSyntaxHighlighter Qt 3.1.0 classes.
QListView.sort() is now virtual for Qt3.
Fixed a bug in the widgets.py example for both Qt2 and Qt3.
Updated pyuic from Qt 3.1.0.
Added the qCompress and qUncompress Qt 3.1.0 functions.


2002/11/06 23:56:57  phil
Fixed QWidgetStack.addWidget().


2002/11/05 15:08:21  phil
Addition of new licenses to the internal build system.


2002/11/03 20:15:36  phil
Tracked the latest version of QScintilla, including updating to Scintilla
v1.49.


2002/10/25 19:00:47  phil
Updated the canvas.py example.
Tracked the latest QScintilla changes.


2002/10/24 08:55:46  phil
Tracked the latest QScintilla changes.


2002/10/22 21:28:20  phil
Tracked the latest QScintilla changes.


2002/10/21 21:25:52  phil
Tracked the latest QScintilla changes.


2002/10/20 22:28:46  phil
Tracked the latest changes to QScintilla.
Added the missing QMainWindow.lineUpDockWindows().


2002/10/19 18:43:13  phil
Tracked the latest changes to QScintilla.


2002/10/18 17:30:24  phil
More build system changes to fix directory names containing spaces.
Added the QextScintillaLexerCPP, QextScintillaLexerCSharp,
QextScintillaLexerIDL, QextScintillaLexerJava and QextScintillaLexerJavaScript
classes.
Added support for Qt v3.0.6.


2002/10/12 23:45:52  phil
Tracked the latest QScintilla changes.
QStringList.__getitem__() now handles slices and negative indices properly.


2002/10/11 14:11:53  phil
Fixed the build system where the Python directory path contains spaces.
Another go at fixing the internal build system so that it generates .sip files
for the GPL version that support both X11 and Qt/E.
Updated the QScintilla bindings.


2002/10/06 21:21:05  phil
Fixed a silly internal build system bug preventing the qwindowdefs_qws.sip from
being included in the GPL version.


2002/10/06 16:04:31  phil
Tracked the latest changes to QextScintilla including the addition of
QextScintillaLexer and QextScintillaLexerPython.


2002/10/05 15:03:01  phil
Fixed the internal build system to make sure Qt/Embedded support isn't stripped
out of the GPL version.


2002/10/05 13:36:58  phil
Changed the internal build system so that internal development versions are
marked as such.
The user build system now handles conflicting licenses.
pyuic and pylupdate should now build using the professional edition of Qt3.
Added support for margins and markers to QextScintilla.


2002/10/03 10:42:28  phil
Synchronised to the latest QScintilla snapshot.


2002/10/01 17:38:18  phil
Fixed the i18n example script.
Changed the qtext module build for QScintilla under Windows.


2002/09/30 15:32:53  phil
Added the QextScintillaBase.SendScintilla() overload.


2002/09/28 08:57:26  phil
Further separated out the Windows .sip files.
Added QextScintillaBase.Colourise().
Fixed the problem with QTextEdit.find().


2002/09/22 00:39:05  phil
Added eric's missing ViewManager.py file to CVS.


2002/09/22 00:37:14  phil
Fixed the internal build system to copy eric's pixmaps directory properly.


2002/09/21 17:58:08  phil
Updated eric to v2.1.4 (plus a later patch).
The internal build system now strips down the .sip files for the non-commercial
version.


2002/09/18 08:36:18  phil
Added the qtext module containing support for QScintilla.


2002/09/13 07:20:57  phil
Fixed QFontDatabase.families() for Qt3.


2002/09/10 12:55:34  phil
Minor documentation changes.
Released as v3.4.


2002/09/08 21:38:49  phil
Added the missing lib/LICENSE.nc.short.


2002/09/08 21:37:30  phil
Added the wtypes.h file to the definitions of MSG and POINT.


2002/09/08 12:20:10  phil
The user now has to explicitly accept any non-GPL license.


2002/09/07 20:50:13  phil
Added QApplication.winEventFilter(), QWidget.winEvent(), MSG and POINT under
Windows.


2002/09/06 17:48:11  phil
Added the new licenses and changed the internal build process to support them.
Updated the NEWS file.


2002/09/02 12:05:21  phil
Added a comment to the Signal/Slot documentation about slot reference counts.
Added the mdi.py example from Sadi Kose.
Added the progress.py example from Hans-Peter Jansen.
More license related hooks.


2002/08/27 19:09:22  phil
Added the canvas example from Sadi Kose.
Split qwindowdefs.sip into generic and platform specific variants.
Changed the internal build system to support different platforms.
Added a delay to the build system before running make to avoid potential
timestamp problems.


2002/08/17 00:48:22  phil
Added Detlev's i18n example.
Added the latest version of eric from Detlev.
Added Fredrik Juhlin's patch to the build system to support debug builds.


2002/08/12 14:06:56  phil
Added helpviewer as a standalone application.


2002/08/11 20:41:33  phil
Added QT_TR_NOOP() and QT_TRANSLATE_NOOP().
Added the pylupdate program from Detlev.


2002/08/10 20:01:47  phil
Fixed problems with QObject.tr() and QObject.trUtf8().
Brought the NEWS file up to date.


2002/08/06 19:45:26  phil
Build system fixes for Python 1.5.2.


2002/08/05 18:02:08  phil
More eric changes from Detelev.


2002/07/29 20:54:56  phil
Another eric update from Detlev, including the help browser.


2002/07/29 14:16:11  phil
Added QTextEdit.WrapPolicy.AtWhiteSpace as it isn't clear if this is deprecated
or not.  (The header file says one thing, the documentation says the opposite.)


2002/07/26 13:54:48  phil
Fix a problem with the build system if OpenGL wasn't installed.


2002/07/22 21:40:15  phil
Added @BL_INCLUDEPATH@ to the project files for pyuic2 and pyuic3.
Eric's .py files are now compiled by the build system.


2002/07/21 23:14:03  phil
Added Detlev's latest patches for eric, including the new qtunittest.  Updated
the documentation and build system accordingly.


2002/07/20 18:30:07  phil
Added "opengl" to the qtgl project file template.
Changed the build system so that it uses "opengl" when necessary.


2002/07/12 13:04:44  phil
Fixed a problem detecting the Qt version in the build system.
Released as 3.3.2.


2002/07/12 10:20:20  phil
More internal build system changes.


2002/07/11 23:09:40  phil
Internal build system changes.


2002/07/11 12:07:40  phil
Added missing /TransferThis/ to all relevant QListBoxText and QListBoxPixmap
ctors.


2002/07/09 22:07:10  phil
Added support for Qt 3.0.5.
Released as 3.3.1.


2002/07/07 19:20:54  phil
More eric patches from Detlev.
Windows fixes for the build system.
Released as 3.3.


2002/07/06 13:35:41  phil
More eric patches from Detlev.
Updated SQL examples from Hans-Peter.
Fixed a bug in pyuic3 when extracting Python slot code when the slot had an
argument.


2002/07/05 21:56:20  phil
Backed out the change in the order of attempts to convert Python objects to
QStrings so it is now Unicode objects before string objects.


2002/07/05 17:59:16  phil
Fixed a few indentation issues with the dirview examples.
Fixed the same bug in every mapped type based on the QValueList template.


2002/07/05 08:54:46  phil
More eric patches from Detlev.
QSqlRecordInfo is now implemented as a Python list of QSqlFieldInfo instances.
The build system now ignores qmake if present when building for Qt 1.x and 2.x.


2002/07/04 10:08:24  phil
Still another attempt at a portable features generator.


2002/07/04 10:02:04  phil
Another attempt to make the C++ program that generates the feature flags more
portable.


2002/07/03 17:43:43  phil
Build system changes for Windows.
Released as 3.3rc3.


2002/07/02 22:13:50  phil
Fix a Python warning in build.py.


2002/07/02 18:34:32  phil
Changes to the build system for the qtpe module.


2002/07/02 14:55:45  phil
More eric patches from Detlev.
Added the missing QString.compare() and QString.localeAwareCompare() overloads.
Changed the build system in line with the way SIP now handles features.


2002/06/30 16:24:16  phil
Minor changes to build system messages.
Removed support for the -r flag in the build system as tmake handles -fno-rtti.
Added the -e flag to the build system to explicitly specify the location of the
SIP header files (usually used when cross compiling).
More eric patches from Detlev.
Fixed QDataBrowser.setSqlCursor().


2002/06/29 18:57:01  phil
The build system now determines the Qt version by parsing qglobal.h rather than
running a program (which is no good when cross compiling).
The sipQtFeatures.h file is only generated by the build system is it doesn't
already exist (again to help cross compiling).
Updated the SQL examples.
Fixed an SQL related bug in pyuic3.
Added %MemberCode to QDataTable.setSqlCursor() to transfer ownership of the
cursor if the autoDelete flag is set.


2002/06/29 13:09:51  phil
The build system now installs eric for Qt3.
More eric patches from Detlev.


2002/06/28 22:45:22  phil
More build.py fixes.
Changed the build system so that project files are restored to their original
contents.
Added the -c flag to the build system to concatenate a module's C++ files prior
to compilation. Compiling PyQt on my 750MHz PIII now takes 10 minutes. (Thanks
to Jim Bublitz and Ricardo Cardenes.)


2002/06/28 12:45:25  phil
Added the missing qtpemod.sip.
Added the missing /TransferThis/ to the obsolete QToolBar ctor.
Added the missing %MemberCode for QStyle.getButtonShift(),
QStyle.scrollBarMetrics() and Qstyle.tabbarMetrics().
More eric patches from Detlev Offenbach.
Added Hans-Peter Jansen's SQL examples.
Fixed a bug in the build system where the path to tmake was explicitly
specified.
Added the -r flag to the build system to explicitly enable -fno-rtti.
Released as 3.3rc2.


2002/06/23 19:44:58  phil
Added support for the evaluation version of Qt to the build system.
Applied more eric patches from Detlev Offenbach.
SQL related fixes for pyuic for Qt3.


2002/06/22 14:29:05  phil
Applied a couple of eric patches from Detlev Offenbach.
Released as 3.3rc1.


2002/06/22 00:53:57  phil
The documentation is now up to date.
Added notes about the limitations on custom editor widgets to the
QSqlPropertyMap documentation.
The default installation directory for pyuic under UNIX/Linux is now
/usr/local/bin rather than where the Python executable is installed.
Fixed a bug with the build system under Windows.
Fixed a problem with QVariant where a numeric value would be recognised as a
QKeySequence.
Added the -i flag to build.py to allow the directory containing the Qt header
files to be explicitly specified.


2002/06/20 21:33:34  phil
Fixed bug in QDataTable that stopped in working properly.


2002/06/20 18:52:31  phil
Added the qmag.py example script from Hans-Peter Jansen.
Added Christian Bird's notes about his pyuic patch.
Changes to the build system to support Qt/Embedded.
Changes to the build system to handle the lack of site-packages under Windows
before Python v2.2.


2002/06/19 17:43:26  phil
Minor changes to eric so that it seems to work under Qt3.


2002/06/19 17:29:06  phil
Applied Christian Bird's patch to pyuic for Qt3 to extract slot code written in
Python.


2002/06/19 17:14:00  phil
Added the missing qtsqlmod.sip.


2002/06/19 07:56:07  phil
Added the missing /Transfer/ from QCanvasPixmapArray.setImage(),
QDataTable.installEditorFactory(), QDataTable.installPropertyMap() and
QSqlForm.installPropertyMap().
Added Hans-Peter Jansen's bigtable.py, lineedits.py, smalltable.py and
tablestatistics.py example scripts.
Added the missing qxmlmod.sip.


2002/06/16 23:15:17  phil
Minor build system changes as a result of moving SIP to its new build system.


2002/06/16 15:17:01  phil
Changes to the new build system so that it works under Windows.
Removed all vestiges of the old build system.


2002/06/14 16:35:41  phil
The new build process now works with Python v1.5.x.


2002/06/14 08:46:36  phil
Changes needed to the build system to support tmake.
The compiled Python scripts will now be installed properly if qmake is used.


2002/06/13 18:05:24  phil
More minor build changes related to process for generating automatic snapshots.


2002/06/13 17:48:28  phil
Minor build changes.


2002/06/13 16:16:19  phil
Added the missing QFontMetrics.boundingRect() variant and QFontMetrics.size().
Removed the incorrect /TransferBack/ from QTabBar.removeTab().
The new build system has been tested on Python v2.2/qmake/Linux.


2002/06/04 23:33:33  phil
Remove the last of the BlackAdder related files.
Fixed the .spec file.
More updates related to the new build system.


2002/06/04 23:26:00  phil
Lots of tidying up of redundant files for the new build system.
Set the release number to v3.2.4 to align with the last official release.


2002/06/04 23:04:40  phil
Initial import of PyQt to the Riverbank Computing repository.


2002/06/01 11:08:36  phil
Correction to signature of QDir.rename().
Added README.SunOS.
QValueList<QPixmap> is now fully implemented as a mapping to a Python list of
QPixmap instances.
Added the missing QDoubleValidator.setBottom(), QDoubleValidator.setDecimals(),
QDoubleValidator.setTop, QIntValidator.setBottom() and QIntValidator.setTop().


2002/05/21 14:40:56  phil
Added the missing /Transfer/ to QClipboard.setData().
Fixed a pyuic3 bug that generates an extra ')' when using the -subimpl flag.


2002/05/17 19:04:33  phil
Minor documentation changes.
Released as v3.2.4.


2002/05/16 15:28:17  phil
Removed MacOS X support from the build process - until SIP v4.


2002/05/15 17:11:34  phil
Modules are now created as simple .so files, ie. without any release number.
The obsolete QMainWindow.setToolBarsMovable() was replaced with
QMainWindow.setDockWindowsMovable().


2002/05/15 11:31:23  phil
Fixed a bug in QInputDialog.getText() for Qt3.


2002/05/11 17:38:20  phil
Documentation changes for the latest release.
Released as v3.2.2.


2002/05/09 00:19:11  phil
Fixed QPrinter ctor for Qt3.


2002/05/07 21:17:32  phil
Added information about "--without-x" to the MacOS installation notes.
Put the -module flag back in for MacOS.
Fixed a bug in pyuic3 where QPixmaps needed to be explicitly converted to
QIconSets.


2002/05/05 13:42:46  phil
Added a version that supports the MacOS evaluation version to the list of
"common" source packages.
Released as v3.2.1.


2002/05/03 22:35:24  phil
Added INSTALL.MacX.
Removed -module from LDFLAGS as it seemed to make things worse on MacOS.
Released as v3.2.


2002/05/01 22:49:37  phil
Updated the documentation regarding support for void *.


2002/04/30 07:52:35  phil
configure will now search fro Qt v3.0.4.
Changes required for Qt v3.0.4.
Another minor bug fix related to X11 support and Qt/E.


2002/04/29 18:10:04  phil
Added README.Linux describing the broken Qt packages in Mandrake and Debian.


2002/04/29 10:17:47  phil
configure doesn't search for X11 for Qt/E.
Added the QPEMenuBar and QPEToolBar classes.


2002/04/27 14:19:22  phil
Removed the bug description at the top of the semaphore.py example now that it
is fixed.
Changed %ConvertToSubClassCode for QObject to conform to the latest SIP.
Replaced calls to sipMapCppToSelf() with sipMapCppToSelfSubClass() where
appropriate.


2002/04/22 22:56:31  phil
Changed the Windows installation instructions to put things in site-packages.
Fixed the missing QT_THREAD_SUPPORT when building sip_helper on Windows.
Added -module to all LDFLAGS.


2002/04/21 19:08:25  phil
QCustomEvent now expects a PyObject * as its data.


2002/04/20 22:43:13  phil
Convert instances of the internal class QTableHeader to QHeader.
Fixed a bug in pyuic for Qt3 relating to the format of slot signatures.


2002/04/20 16:02:00  phil
Added missing /Transfer/ to QTable.setCellWidget() and QTable.setItem().


2002/04/18 23:17:07  phil
Disabled QFont.dirty(), QClipboard.ownsClipboard(), QClipboard.ownsSelection()
and qAppName() for MacOS.


2002/04/18 12:10:42  phil
Updated the NEWS file regarding MacOS X support.
qt.py now defines PYQT_VERSION as the PyQt release as a string.
configure no longer fails if X11 couldn't be found (for MacOS X).


2002/04/17 19:10:15  phil
Added support for MacOS X (untested).


2002/04/17 09:00:35  phil
Added the missing /TransferThis/ options from all QCanvasItem ctors.
Fixed QCanvasItem.setCanvas() to handle acquiring and losing a parent canvas.


2002/04/16 14:17:44  phil
Removed all the /ReleaseLock/ options.
Added Py_BEGIN_ALLOW_THREADS, Py_END_ALLOW_THREADS, SIP_BLOCK_THREADS and
SIP_UNBLOCK_THREADS to all handwritten code.
Thread support is only enabled if it is also enabled in Python.
Added /CreatesThread/ and /NewThread/ to QThread.


2002/04/14 18:07:56  phil
Reinstated PyQtDisownTopLevelWidgets() because it solves the problem where we
can't guarantee that the order in which qApp and the top level widgets will be
destroyed.
Changed -MT to -MD for Windows (thanks to Paul Felix).


2002/04/06 17:38:53  phil
Added the %ConvertToSubClassCode for QObject and all its sub-classes.
Added the missing QToolTip.setEnabled() and QToolTip.enabled() methods.
Fixed the build process so that the naming of the Qtopia package is more
consistent with other packages.


2002/03/30 00:50:10  phil
Make sure the ChangeLog is distributed and that autom4te.cache isn't.
Merged the different versions of QEvent.Type.
Fixed a bug in QStringList.__getitem__().


2002/03/22 10:52:29  phil
Released as v3.1.
Slight change to the build process so make sure that Windows Makefiles always
use the very latest Qt library.


2002/03/22 10:40:21  phil
configure will now use qt-mt in preference to qt if it finds both.
Removed build.py from the distribution until it is finished.
Added /Transfer/ to QThread.postEvent().
Added /ReleaseLock/ to QThread.postEvent(), which might not be required but
shouldn't do any harm.


2002/03/20 15:58:33  phil
configure now handles Qt v3.0.3.
Integration of uic changes in Qt v3.0.3.
Applied Rene Hogendoorn's latest patch for slot signatures for pyuic3.


2002/03/19 00:19:32  phil
Removed the rebuild-src and rebuild-doc targets as they are no longer
maintained.
Documentation changes prior to the release of v3.1.


2002/03/17 17:37:38  phil
Removed the import of GLUT from the gears.py example.


2002/03/12 19:31:13  phil
Added the missing build instructions for the qtgl module in INSTALL.win32.
Upgraded to autoconf-2.53 and automake-1.6.
Fixed a couple of pyuic3 bugs related to SQL forms (thanks to Rene Hogendoom).


2002/03/09 18:15:48  phil
Various build changes for Windows.
Fixed a bug in QDomDocument.setContent().
Fixed the qtxml module so that it doesn't get a DLL load failure on Windows.


2002/03/04 17:18:31  phil
A couple of changes to eric to reflect the new module structure.
Fixed QThread for Qt v2.
Fixed QTable.setNumRows() in pyuic for Qt v3.


2002/02/25 16:26:19  phil
Some enum definitions have been rationalised now that SIP supports individual
values having different versions.


2002/02/24 14:59:43  phil
Went through everything adding /ReleaseLock/ to methods that might block.


2002/02/24 01:36:06  phil
configure now searches for Qt v3.0.2.
Added QLineEdit.setPasswordChar() and QLineEdit.passwordChar() for Qt v3.0.2
but left them commented out at they are marked as incompatible add ons.
Updated pyuic3 from the changes in Qt v3.0.2.
Added thread support, ie. QApplication.lock(), QApplication.unlock(),
QApplication.locked(), QApplication.tryLock() and the QMutex, QSemaphore,
QThread and QWaitCondition classes.
Re-did all of the special methods following the SIP changes.


2002/02/15 14:45:33  phil
Added the missing QPixmap.grabWidget().


2002/02/14 14:18:35  phil
Fixed bug in pyuic fro Qt v3 related to "black" and "white".


2002/02/08 15:51:02  phil
Updated the documentation for the 3.1 pre-releases.
The tr() methods now honour QT_NO_TRANSLATION.


2002/02/08 11:54:11  phil
More work on the new build system.
Fixed a bug in eric for PyQt v3.
Fixed a couple of QTable related bugs in pyuic for Qt v3.
Fixed a QToolBar related bug in pyuic for Qt v3.
Fixed bugs with QSqlCursor.


2002/01/28 13:42:24  phil
Fixed bug relating to escaping double quotes in pyuic for Qt v2.x.


2002/01/28 11:09:08  phil
Removed the Zaurus README.
Changes to configure now that the sip library is a Python module.
Added the start of an alternative build system driven by Python and using qmake
or tmake.


2002/01/09 11:47:32  phil
Put version control into the qtpe module and changed the build system so that
it uses a version compatible with both Qtopia and the Zaurus v1.02 ROMs.
Updated README.Zaurus.
Removed the qtpe module from the documentation until SIP is changed to be
tolerant of missing version information.


2002/01/08 20:17:11  phil
Removed PyQtDisownTopLevelWidgets() from the QApplication and QPEApplication
dtors because the Qt widget mapper doesn't delete the widgets in the map.


2002/01/05 13:16:45  phil
Added the warning about using flash devices as swap on the Zaurus.
Added the missing QActionGroup.add() and QActionGroup.addSeparator() methods.
Implemented enough additional features for the Large configuration of Qt/E.


2002/01/04 23:32:42  phil
Added the dragdrop example from Issac Trotts.


2002/01/04 15:41:11  phil
Added the Zaurus information.
Minor updates to READMEs etc.


2002/01/03 00:41:26  phil
The build script now copes when tmake and/or sgmltools is missing.
Added support to the build system for QPE.
Added the qtpe module.
Added the QPEApplication class (not yet working).
Changed the build system so that there is only one instance of the helper code
and it is more a part of the build system rather than being so closely tied in
which SIP.
configure now allows the directory where the Python modules are to be installed
to be specified.


2001/12/27 12:28:07  phil
Fixed all Qt3 writeBlock() methods.
Changes required by the latest SIP.
Support for Qt/Embedded on the Sharp Zaurus.
Removed the QDragResponseEvent internal class.
Added the missing QImageTextKeyLang class.
Added the missing QImage.dotsPerMeterX(), QImage.dotsPerMeterY(),
QImage.setDotsPerMeterX(), QImage.setDotsPerMeterY(), QImage.offset(),
QImage.setOffset(), QImage.textList(), QImage.textLanguages(),
QImage.textKeys(), QImage.text() and QImage.setText() methods.
Added the QValueList<QImageTextLangKey> mapped type.


2001/12/09 11:38:47  phil
configure now looks for Qt v3.0.1.
The build system now handles Qt v3.0.1.
.sip file changes needed by Qt v3.0.1.
Updated pyuic3 from Qt v3.0.1.


2001/12/06 11:03:29  phil
Fixed more pyuic3 bugs.
Fixed the ownership bug in all QCheckListItem ctors.


2001/12/04 10:40:56  phil
Fixed bugs in QSocket.readLine() and QSocket.readBlock().


2001/12/01 18:37:31  phil
Fixed QWidget.reparent().
Removed the QDateTimeEditBase internal class.
Bug fixes for pyuic3.
configure now allows the location of zlib to be specified.
Used AC_HELP_STRING throughout acinclude.m4.


2001/11/25 18:27:27  phil
Minor fixes for pyuic3.


2001/11/17 14:48:19  phil
Added the missing qInitNetworkProtocols() function to the qtnetwork module.
Added the missing QRect.contains() variant.
Changed QByteArray, QCString and QString %ConvertToTypeCode to convert None
objects to empty instances.
Changed QFileInfoList, QKeySequence, QList<QNetworkOperation>, QMemArray<int>,
QObjectList, QPair<int,int>, QPtrList<QNetworkOperation>,
QPtrList<QWindowsMime>, QStrList, QValueList<QUrlInfo>, QValueList<int> and
QWidgetList %ConvertToTypeCode to handle None objects.
Fixes to the .spec file.
Fixed ownership issues with QWidget.reparent().


2001/11/11 19:01:27  phil
configure will search for Qt v2.3.2.
Fixed bugs in pyuic for Qt3 (thanks to Andreas Gerstlauer).
Fixed bug in Windows detection (thanks to Andreas Gerstlauer).
Fixed the Qt3 QSizePolicy ctor.


2001/10/28 10:33:03  phil
Generated with the latest SIP.


2001/10/26 23:33:45  phil
Fixed the ChangeLog.


2001/10/26 23:32:23  phil
Changed the way Python special methods are defined to conform to the latest
SIP.
Added __unicode__ to QString for Python v2.2.
Fixed a couple of bugs in pyuic for Qt3.
Changed QString.__str__() to do the "right thing".


2001/10/21 13:51:26  phil
Fixed the new QImage ctor.
Fixed the long standing problem converting a QString to Python using unicode().
Fixed bugs with QFile.readBlock() and QFile.readLine().


2001/10/19 23:34:04  phil
Applied Alan Eldridge's patch for the .spec file.
Made the second parameter to QObject.tr() and QObject.trUtf8() optional.
Added the missing QImage ctor.
Fixed pyuic for Qt3.


2001/10/13 11:20:53  phil
Fixed problem with QMenuData.insertItem() when the QKeySequence argument was
omitted.
Ported the remaining examples.


2001/10/12 22:46:59  phil
Minor fixes to get the SQL module to build.
Created a separate examples directory for Qt3.
Changes required for the final release of Qt v3.0.0.


2001/10/12 10:19:27  phil
Added the qtsql module.
Added the QDataBrowser, QDataTable, QDataView, QEditorFactory, QGridView,
QLibrary, QObjectCleanupHandler, QProcess, QSql, QSqlCursor, QSqlDatabase,
QSqlDriver, QSqlEditorFactory, QSqlError, QSqlField, QSqlFieldInfo, QSqlForm,
QSqlIndex, QSqlPropertyMap, QSqlQuery, QSqlRecord, QSqlRecordInfo, QSqlResult,
QStyleFactory and QWindowsMime Qt3 classes.
Implemented QPtrList<QWindowsMime>.
Renamed QLineEdit.del() to QLineEdit.delChar().
Renamed QMultiLineEdit.deleteChar() to QMultiLineEdit.delChar().
Fixed QLineEdit super class for Qt3.


2001/10/07 18:47:03  phil
Updated the .spec file with the new modules.
Fixed a bug in the build process.


2001/10/06 18:20:00  phil
Fixed QLayoutIterator.next().
configure now handles multi-threaded Qt.
Moved Canvas module classes to the new qtcanvas module.
Moved Network module classes to the new qtnetwork module.
Moved Table module classes to the new qttable module.
Moved XML module classes to the new qtxml module.
Added the QSound class.


2001/10/04 21:33:48  phil
Added the Qt3 classes QDateEdit, QDateTimeEdit, QTimeEdit, QErrorMessage,
QPixmapCache and QSettings.
Added the Qt2 class QDns.
Added QCustomMenuEvent, QIMEvent and QTabletEvent to the list of new Qt3
classes in the documentation.
Restructure the top-level SIP files so that the documentation is completely
separate.


2001/09/30 10:48:01  phil
Implemented QPair<int,int>.
Bug fixing of revised hand-written code.
Changes to get pyuic to compile against Qt3.


2001/09/28 23:13:01  phil
Upgraded to Qt v3.0.0Beta6.
Changes required to handwritten code by the new sipParseArgs().
Added the missing QObject.connect() variant.
Renamed QDate.isValidDate() to QDate.isValid().
Renamed QTime.isValidTime() to QTime.isValid().
Renamed QFile.fileExists() to QFile.exists().
Renamed QFile.removeFile() to QFile.remove().


2001/09/23 20:04:21  phil
Re-added QInterlaceStyle.
Changes required by Qt v3.0.0 Beta5.
Implemented QMenuItem as an opaque class.
Added the missing QSGIStyle class.
Added the missing QMenuData.findItem(), QMotifPlusStyle.drawMenuBarItem(),
QMotifPlusStyle.drawPopupMenuItem(), QMotifStyle.drawPopupMenuItem(),
QMotifStyle.extraPopupMenuItemWidth(), QMotifStyle.popupMenuItemHeight(),
QPlatinumStyle.drawPopupMenuItem(), QPlatinumStyle.extraPopupMenuItemWidth(),
QPlatinumStyle.popupMenuItemHeight(), QPopupMenu.drawItem(),
QPopupMenu.itemHeight(), QStyle.drawPopupMenuItem(), QStyle.drawMenuBarItem(),
QStyle.extraPopupMenuItemWidth(), QStyle.popupMenuItemHeight(),
QWindowsStyle.drawMenuBarItem(), QWindowsStyle.extraPopupMenuItemWidth(),
QWindowsStyle.popupMenuItemHeight().
Added the QStyleOption Qt3 class.
Classes converted to Qt3: QGL et al, QCDEStyle, QCommonStyle, QMotifPlusStyle,
QMotifStyle, QPlatinumStyle, QStyle, QWindowsStyle.


2001/09/21 17:12:07  phil
The following classes were fully converted to Qt3: QFile, QFileDialog,
QFileInfo, QFontDatabase, QFontDialog, QIconView, QIconViewItem, QInputDialog,
QNetworkProtocol, QPaintDeviceMetrics, QPrintDialog, QPrinter, QProgressBar,
QProgressDialog, QRadioButton, QSemiModal, QServerSocket, QSimpleRichText,
QSizeGrip, QSocket, QSpinBox, QTabDialog, QTextBrowser, QTextStream, QUrl,
QUrlOperator, QWhatsThis, QWidgetStack, QWizard, QWorkspace.
Added the missing QFileIconProvider, QFontDialog, QTextBrowser and QWidgetStack
private copy ctors.
Added the missing QFileDialog.done(), QIconView.dropped(),
QIconViewItem.dropped(), QNetworkProtocol.newChildren(),
QPrintDialog.addButton(), QProgressDialog.forceShow(),
QUrlOperator.newChildren() and QUrlOperator.startNextCopy() methods.
Added the missing QIconDrag and QIconDragItem classes.
Implemented QList<QNetworkOperation>, QPtrList<QNetworkOperation>,
QValueList<QIconDragItem> and QValueList<QUrlInfo>.
Added the missing TransferThis to the QPrintDialog ctor.
Moved the QList<> and QPtrList<> templates to their own files.


2001/09/21 00:32:29  phil
Forgot to add the new qmemarray.sip file.


2001/09/21 00:31:34  phil
Fully converted the following classes to Qt3: QAction, QActionGroup,
QColorDialog, QDial, QDom et al, QMessageBox, QPopupMenu, QPushButton,
QScrollBar, QScrollView, QSplitter, QStatusBar, QTable, QTableItem, QTabWidget,
QToolButton, QToolTip, QToolTipGroup.
Added the following missing methods: QColorDialog.customColor(),
QColorDialog.customCount(), QColorDialog.getRgba(),
QColorDialog.setCustomColor(), QScrollBar.minValue(), QScrollBar.maxValue(),
QScrollBar.setMinValue(), QScrollBar.setMaxValue(), QScrollBar.lineStep(),
QScrollBar.pageStep(), QScrollBar.setLineStep(), QScrollBar.setPageStep(),
QScrollBar.value(), QScrollBar.setValue(), QToolTip.hide(),
QToolTipGroup.enabled(), QToolTipGroup.setEnabled().
Added the missing QDir.match() variant.
Removed the handling of QValueList<int> out of QSplitter and made it generic.
Added the following Qt3 classes: QCheckTableItem, QComboItem.
Removed QTabWidget.selected() as it is not part of the official API.


2001/09/16 18:12:22  phil
Removed the Transfer flag from the QWidget parameter to QLayout.add(),
QGridLayout.addWidget(), QGridLayout.addMultiCellWidget(),
QBoxLayout.addWidget() and QBoxLayout.insertWidget().
Fixes to the build process so it works with the latest automake.


2001/09/14 16:40:03  phil
Added the missing QLayoutIterator.next() method.


2001/09/14 15:17:17  phil
Changes to QObject.tr() and QObject.trUtf8() so that they work as expected with
Qt3.
Put back the separate builds for Qt v2.3.0 and v2.3.1.
Put back QPrinter.PageSize.Custom for Qt v2.3.1.
Added the new /AutoGen/ option where needed.


2001/09/09 16:26:16  phil
QGrid, QLCDNumber, QListBox, QListBoxItem, QListBoxPixmap, QListBoxText,
QMenuBar, QMenuData, QRangeControl and QSlider fully converted to Qt3.
A QString or int can now be supplied whenever a QKeySequence is expected.
The missing QListBox.isRubberSelecting(), QMenuBar.activateItemAt(),
QMenuBar.focusInEvent(), QMenuBar.isDefaultUp(), QMenuBar.minimumSize(),
QMenuBar.minimumSizeHint(), QMenuBar.setDefaultUp() methods have been added.


2001/09/07 16:15:28  phil
Added the new QKeySequence .sip file and remove the QInterlaceStyle .sip file.


2001/09/07 16:13:22  phil
Added the missing QAccel ctor.
Added the missing QHeader.setUpdatesEnabled(), QHeader.showEvent() and
QLineEdit.displayText() methods.
Added the missing QColorDrag class.
Converted all the Qt3 changes to Beta4.
Added the QKeySequence Qt3 class.
Fully converted QComboBox, QDialog, QDragObject, QGridLayout, QHeader, QLayout,
QLineEdit, QUriDrag and QWidgetItem to Qt3.
Removed the QBitArray related methods from QVariant.
Removed the QInterlaceStyle class.
Remove QPrinter.PageSize.Custom so that the v2.3.1 build is the same as v2.3.0.
QObject.className() now works with Python classes.
Upgraded to libtool-1.4.1.


2001/09/02 17:13:50  phil
Fully converted the following classes to Qt3: QButton, QButtonGroup, QCanvas et
al, QCheckBox, QCheckListItem, QGroupBox, QLabel, QListView, QListViewItem.
pyuic now generates double quoted strings rather than single quoted strings.
Upgraded to autoconf-2.52 and automake-1.5.


2001/08/15 19:18:39  phil
Added the Qt3 classes QRegExpValidator and QTextEdit.
Added the missing QPainter.pos() and QTranslator.messages() methods.
Added all methods that use QDataStream now that it has been implemented.
Removed QTableHeader as it isn't part of the documented API.
Fully converted the QFrame, QHBox, QPainter, QPicture, QPointArray, QRect,
QRegExp, QSessionManager, QStyleSheet, QStyleSheetItem, QTab, QTabBar,
QTextCodec, QTextView, QTranslator, QTranslatorMessage, QVariant, QVBox and
QWMatrix classes to Qt3.


2001/08/14 16:10:26  phil
Added the QDesktopWidget, QDockArea and QDockWindow Qt3 widgets.
Fully converted the QApplication, QClipboard, QChar, QColorGroup, QDate,
QDateTime, QFontMetrics, QIconSet, QMainWindow, QMimeSource,
QMimeSourceFactory, QPalette, QString, QTime and QToolBar classes to Qt3.
Added the missing QChar.nbsp, QChar.isLetterOrNumber(), QChar.mirroredChar(),
QImage.inputFormatList(), QImage.outputFormatList(),
QMimeSourceFactory.filePath(), QMimeSourceFactory.addFilePath() and
QPalette.inactive() methods.
Added the missing QString.append() and QString.prepend() variants.
Renamed QTime.IsValidTime() to QTime.isValidTime().
Made QList<QToolBar> a mapped type now that SIP can handle mapped templates.


2001/08/10 18:03:56  phil
Final documentation changes for v2.5.


2001/08/10 14:54:29  phil
Fixed typo in the Qt3 versioning.


2001/08/08 23:28:38  phil
User events get converted to QCustomEvents rather than QEvents.
Finally decided to implement Display * as void *.
QEvent etc., QFont, QFontInfo, QMultiLineEdit and QTableView converted to Qt3.


2001/08/07 22:37:16  phil
QWidget is now converted to Qt3.
Added the missing QWidget.customEvent().
Changed Display to be a class rather than a struct.
Fix a problem with the normal build process caused by the new Qt3 stuff.
Added the temporary qt3.sip-in file.


2001/08/07 19:57:06  phil
Fixed a typo in the clean target.
Added Qt3 support for QColor, QCursor, QObject, QPaintDevice, QPixmap and
QSizePolicy.
Added QColor.getHsv().
Added the Display opaque structure.
Added qt_xdisplay(), qt_xscreen() and qt_xrootwin().
Added QPaintDevice.x11Display(), QPaintDevice.x11AppDisplay,
QPaintDevice.x11SetAppDpiX() and QPaintDevice.x11SetAppDpiY().
Added the missing QPixmap.save() variant.


2001/08/06 19:57:09  phil
Build changes for the qtgl module under Windows.
The HTML documentation is no longer put into a compressed tar file.
Fixed a minor bug in the widgets.py example.
Changed the configure test for OpenGL support.


2001/08/01 22:15:38  phil
More minor build changes.
Fixed QApplication.winVersion().
Fixed Windows pyuic Makefiles.


2001/07/30 22:55:33  phil
Changed the build process so that the current version doesn't have to be the
latest version.
Changed AMTAR to TAR.
Generate Makefiles that support Qt-NC (untested).


2001/07/27 22:18:26  phil
The different types that are mapped to Python lists will now return an empty
list (rather than None) when given a NULL pointer.
Fixed a problem detecting -fno-exceptions.
Added QDataStream.
Added the QDom classes.


2001/07/21 15:46:35  phil
Used the new %Timeline and %ImportWithTimeline directives.
Added version control to the qtgl module.


2001/07/20 23:19:06  phil
Fixed the memory leaks related to sipMapCppToSelf() in hand-written code.
Changed the build system to handle different versions of PyQt for different
versions of Qt.


2001/07/17 07:44:09  phil
Changes needed by the latest SIP - Version and %MappedType.
Fixed QScrollView.addChild().


2001/06/29 16:24:55  phil
Minor changes to the BlackAdder DistUtils setup.


2001/06/28 23:34:54  phil
Addedpost-hooks to complement the existing pre-hooks.
Added the Pizza example project.


2001/06/24 15:12:44  phil
Minor changes to pyuic for BlackAdder.
Moved the BlackAdder specific stuff to its own directory.


2001/06/19 15:54:23  phil
Fixed the problems with QLineEdit.event() and QMultiLineEdit.event().


2001/06/18 10:35:45  phil
Re-enabled QInterlaceStype for Qt v2.3.1+.
configure now looks for Qt v2.3.1.
Added QPrinter.PageSize.Custom.
Updates to pyuic from Qt v2.3.1.


2001/06/02 17:02:01  phil
Fixed the QTranslatorMessage documentation.


2001/05/31 21:01:16  phil
Added the missing QTranslator methods.
Added the QTranslatorMessage class.


2001/05/30 21:22:42  phil
Fixed incorrect definition of QTextView.setText().
Added the /Constraint/ argument everywhere it was needed.
Removed all methods that could never be called because they had different C++
signatures, but the same Python signatures.


2001/05/22 19:36:24  phil
Added the missing QWidget.reparent() variant.
Added the qtgl module.


2001/05/14 20:14:36  phil
Removed the QInterlaceStyle class untill Trolltech fix the Windows port.


2001/05/13 17:16:43  phil
Added the missing variant of QInputDialog.getText().


2001/05/07 16:50:14  phil
Added fix to pyuic for escaping single quotes properly.


2001/04/29 16:21:20  phil
Minor configuration changes.


2001/04/22 15:26:48  phil
Added the missing QFileDialog.getExistingDirectory() method.
Upgraded to automake v1.4d.


2001/04/19 22:10:42  phil
Final changes for the release of v2.4.


2001/04/15 00:38:40  phil
Added missing methods to QMotifStyle.
Added missing enum value to QPalette.
Updated the themes.py example.


2001/04/13 13:52:21  phil
Added QCustomEvent.


2001/04/08 13:24:53  phil
Added the missing final parameter to QMultiLineEdit.insertAt().
Updated the documentation ready for v2.4.


2001/03/05 23:13:16  phil
Added the new methods and classes implemented in Qt v2.3.0-beta1.
Updated pyuic from Qt v2.3.0-beta1.


2001/03/04 16:22:05  phil
Fixed bugs with argument parsing in some handwritten code. Only came to light
with Python 2.1b1.


2001/03/01 19:51:38  phil
The generated configure now uses the Python interpreter to find where Python is
installed.


2001/02/16 10:53:21  phil
Added a couple of methods missing from QLineEdit.


2001/02/04 14:39:56  phil
Configure now checks for Qt v2.2.4 and Python v2.1.
Release as v2.3.


2001/01/23 19:23:06  phil
Added the BlackAdder project files.
Various packaging changes for BlackAdder.


2001/01/09 11:45:51  phil
Added some missing QSlider methods.
Added some documentation about multiple inheritance.


2000/12/24 18:25:52  phil
Fixed a couple of bugs in the examples.
Updated the documentation ready for v2.3.


2000/12/19 14:51:01  phil
Added the pre-hooks just before all calls to the Qt event loop.
Changed the QApplication hook to use the new sipCallHook() function.


2000/12/13 20:15:55  phil
Really fixed pyuic this time.
pyuic now tries to do something sensible with custom widgets - it assumes they
are in another module and tries to import them. The module name is the header
file name specified in Qt Designer with any extension removed.


2000/12/13 18:00:46  phil
Repaired some damage to pyuic caused when integrating the Qt v2.2.3 changes.


2000/12/13 10:42:19  phil
Changed the configuration to look for Qt v2.2.3.
Updated pyuic to track changes to uic in Qt v2.2.3.


2000/12/12 17:46:14  phil
Added QCustomMenuItem.
Added the missing QMenuData.insertItem methods.
Changed all the handwritten occurences of sipParseArgs() to use the new version
that supports better error reporting.


2000/12/11 12:15:48  phil
Added the addressbook.py, buttongroups.py and menu.py examples.
Removed the deprecated behaviour of repr() for QString, QCString and
QByteArray.


2000/12/03 17:44:41  phil
Documented that you can't sub-class QCanvasItem.
repr() of QString et al. now does the same as repr() of any other class.


2000/12/01 01:31:48  phil
Slight changes to some of the tutorials so that they will run with Python 1.x.
Updated the application.py example.


2000/11/30 15:57:54  phil
Modified the tutorial example scripts to match the C++ ones with Qt v2.x.
Removed the old Qt v1.x example scripts.


2000/11/29 09:37:56  phil
Added the missing QMessage.setTextFormat() and QMessage.textFormat().


2000/11/24 12:04:04  phil
Added QPushButton.isFlat() and QPushButton.setFlat().


2000/11/12 21:22:02  phil
pyuic fixed to handle QLabel buddies properly.


2000/11/11 14:31:07  phil
Added documentation to QListView and QListViewItem about how to delete child
QListViewItems.
Updated pyuic from Qt v2.2.2 uic.
Updated configure to look for Qt v2.2.2.


2000/11/09 10:16:24  phil
Fixed compilation problem with QString with Qt v1.x.


2000/11/08 12:43:56  phil
A couple of minor fixes to pyuic.
A couple of more major fixes to the debugger so that it will properly go into
other modules of the same application.


2000/11/05 20:59:51  phil
Implemented __str__ for QByteArray, QCString and QString.  Changed __repr__ to
not raise an exception on null instances.
Added a section to the documentation covering Python and Qt strings.
Released v2.2.


2000/11/02 14:57:18  phil
Added missing %HeaderCode in qsizepolicy.sip.
Added %Copying.
Added __pyQtQAppHook__
Fixed the debugger for Windows.
Added QSocket, QServerSocket and QHostAddress.


2000/10/20 23:30:22  phil
Added the missing QPalette.setInactive().
Colour related fixes to pyuic (thanks to Robert Roy).


2000/10/18 16:24:37  phil
Minor fixes to pyuic.
Final updates for v2.1.


2000/10/15 20:30:19  phil
Fixed problem with the debugger code being included.
Changed the documentation for v2.1pre1.


2000/10/13 18:58:35  phil
Fixed pyuic bug related to QToolTip.
configure will now look for Qt v2.2.1.


2000/10/11 17:21:59  phil
Added the widgets.py example.
Fixed bugs with slot arguments in QMovie.


2000/10/11 13:32:25  phil
The QApplication dtor now makes sure that any top-pevel windows don't get
deleted twice.
Changed the Shell banner in eric to be closer to Python 2.0.


2000/10/08 16:31:50  phil
Added the debugger code (forgot last time).


2000/10/08 16:26:29  phil
Added eric the debugger.


2000/10/06 12:55:57  phil
Updated pyuic for Qt v2.2.1.
Fixed problems with QInputDialog.getValue() and QInputDialog.getText().


2000/10/03 16:35:25  phil
Added the missing /Transfer/ to QStatusBar.addWidget().
Added the missing /TransferBack/ to QStatusBar.removeWidget().


2000/10/02 21:45:56  phil
Added the missing QCanvasPixmapArray ctor.
Added the len, [] and in operators to QStringList.


2000/10/01 12:37:31  phil
Backed out the changes to the examples as they are no longer needed now that
SIP allows slots to be called with more arguments than expected.  This means
that the breakage described in the previous ChangeLog entry has now been
repaired.


2000/10/01 00:50:32  phil
Added the missing QMenuData.setItemParameter(), QMenuData.itemParameter() and
QMenuData.activateItemAt().
QMenuData.insertItem() and QAccel.connectItem() now expect slots that will take
an argument.  THIS WILL BREAK SCRIPTS - but is the correct behaviour because
PyQt doesn't support the Qt feature of a slot consuming fewer arguments than a
signal provides.


2000/09/28 23:09:51  phil
Added the missing /TransferThis/ in the QWorkspace ctor.


2000/09/28 16:31:19  phil
Added missing QWidget.isHidden(), QWidget.isMaximized() and
QMultiLineEdit.getCursorPosition().


2000/09/28 10:27:39  phil
Added /Transfer/ to QApplication::postEvent().


2000/09/27 17:21:27  phil
Fixed the QDir ctor for Qt v2+.


2000/09/25 12:02:15  phil
Fixed QBoxLayout::findWidget() so that it compiles under Qt v2.0.x.


2000/09/20 11:03:00  phil
Added the README about building from the CVS.
Minor changes prior to moving the CVS tree to theKompany.com.


2000/09/19 08:25:47  phil
Added the automatic ChangeLog.
Added the missing keyReleaseEvent() from QButton.
Added the missing QValidator::State::Intermediate.
pyuic was generating bad code for QWizards. Also improved the standalone
support code.

